stress-ng (0.19.03-1) unstable; urgency=medium

  * Sync to upstream version 0.19.03

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 1 Aug 2025 08:42:59 +0100

stress-ng (0.19.02-1) unstable; urgency=medium

  * Sync to upstream version 0.19.02

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 1 Jul 2025 08:27:43 +0100

stress-ng (0.19.01-1) unstable; urgency=medium

  * Sync to upstream version 0.19.01

 -- Colin Ian King <colin.i.king@gmail.com>  Sun, 1 Jun 2025 17:38:12 +0100

stress-ng (0.19.00-1) unstable; urgency=medium

  [Yong-Xuan Wang]
  * stress-gpu: remove sigalrm handler
  * stress-af-alg: prevent unsafe longjmp
  * stress-sysinval: prevent unsafe longjmp
  * stress-memrate: prevent unsafe longjmp

  [Jesse Huang]
  * core-config-check: Fix segfault cause by uninitialized namelist

  [Colin Ian King]
  * Makefile: bump version
  * Manual: Fix spelling mistake "occuring" -> "occurring"
  * stress-filerace: Fix spelling mistake "attemp" -> "attempt"
  * stress-brk: move brk stats to shared page, reset brk on out of memory
  * stress-brk: make brk reset work correctly for --brk-bytes option
  * stress-sigbus: make unaligned pointers volatile to force stores
  * stress-sigbus: disabled x86 misaligned SIGBUS feature
  * stress-sigbus: jump out of loop on timeout, check info for null ptr
  * stress-fd-race: remove network class, it's not correct
  * stress-sigbus: avoid infinite longjmp spin loops
  * stress-sigbus: ensure AC bit in EFLAGS is cleared in all signal
    handlers
  * stress-lockbus: disable pcc builds, currently it breaks the compiler
  * README.me: remove old stale tarball info
  * core-log: add the logging prefix to the logging aborting stress
    process
  * stress-schedmix: fix build issue when HAVE_PSELECT is not defined
  * stress-resched: fix build when HAVE_SETPRIORITY is not defined
  * stress-poll: add HAVE_PSELECT check
  * stress-nice: fix build issues on RISC-V debian sid
  * core-cpu-cache: remove const on ptr_end
  * stress-fpunch: clean up variable name shadowing on variable ret
  * stress-lockbus: clean up variable name shadowing on variable rc
  * stress-filerace: clean up name shadowing warnings on fd, i and uid
  * core-sync: move stress_sync_state_load from stress-ng.h to core-sync.h
  * core-sync: move stress_sync_start_cont_list from stress-ng.c to
    core-sync.c
  * stress-*: move include of core-sync.h into stress-ng.h
  * stress-cachehammer: add extra checking for failed temp dir creat
    failures
  * stress-ng.h: make stress_continue() a macro
  * stress-ng: re-work stress_continue() to just check bogo-ops
  * core-vmstat: remove include of stress-ng.h
  * core-try-open: remove include of core-attribute.h
  * core-*.h: remove include of core-attribute.h
  * core-config-check: make warning more obvious
  * stress-ng: use stress_strsignal helper rather than strsignal
  * core-perf.h: remove include of stress-ng.h
  * stress-ng.h: rename bogo_ops to bogo_max_ops since it's a max
    threshold
  * stress-ng.h: remove -O3 from bogo counter helpers
  * stress-ng.h: put bogo op-related info into bogo struct
  * stress-vma: replace g_stress_continue_flag with helper func
  * stress-easy-opcode: replace g_stress_continue_flag with helper func
  * README.md: add another research paper link
  * Makefile: enable tree vectorize and tree-slp-vectorize and relax
    cmpxchg loops
  * Add new --buildinfo option to show build time information
  * Manual: describe the duplication of stdout in the --log-file option
  * stress-ng: ensure no child processes are forked on --dry-run
  * stress-filerace: only close fd if fd has been opened
  * core-sync: move process synchronization helpers from stress-ng.c to
    core_sync.c
  * stress-dirmany: maximize dirmany_bytes to 1TB if variable is wide
    enough
  * stress-dfp: remove undefs that came from fp stressor
  * stress-rdrand: add power11 check
  * stress-rdrand: fix ppc random issue, generate 64 bit value
  * stress-lockbus: SIGILL on s390 should disable misaligned locks
  * Makefile: add extra flags for static builds
  * core-attribute: add gcc version check for nonstring attribute
  * core-target-clones: add arch=diamondrapids
  * core-builtin.h: add support gcc-15 buitin_stdc_rotate* functions
  * core-*, stress-*: use nonstring attribute for char arrays
  * Makefile.config: add built time check for nonstring attribute
  * stress-filerace: remove O_EXCL to avoid exclusive opening
  * stress-filerace: add ftruncate on recently opened file
  * stress-filerace: enable POSIX_FALLOCATE, add open/fallocate/close
  * stress-filerace: hammer temp directory dirent reading (linux only)
  * stress-filerace: add more focused file hammering
  * stress-filerace: select function either randomly or sequentially
  * stress-fractal: use faster atomic inc on larger row counter
  * stress-filerace: move stress_filerace_read_random_uint32 into only
    caller
  * stress-filerace: more voidifications for DragonFlyBSD clean builds
  * stress-filerace: voidify fd and filename in stress_filerace_faccessat
  * stress-filerace: add some macro checks before using statx and
    name_to_handle_at
  * Manual: remove discards metrics from iostat description
  * core-vmstat: remove iostat discards metrics, they are not portable or
    used much
  * Revert "stress-fractal: move row lock from global struct to stressor
    shared page"
  * stress-nop: add x86 floating point fnop instruction
  * stress-filerace: increase size of locked regions, add more concurrency
  * stress-filerace: exercise lockf test
  * stress-filerace: increase number of random operations per file
  * stress-lockbus: remove #ifdefs around label done
  * stress-*: set dirent name lists pointers to NULL
  * stress-sigbus: generate SIGBUS on x86 with misaligned memory access
  * README.md: add Jesse Huang to contributor list
  * stress-lockbus: add SIGILL detection, skip with no resources warning
  * stress-filerace: add sendfile to the mix
  * stress-filerace: add readlinkat, use dir_fd variable for *at() file
    calls
  * stress-filerace: exercise name_to_handle_at on fd and filename
  * stress-filerace: add access and faccessat system calls
  * stress-fractal: move row lock from global struct to stressor shared
    page
  * stress-fractal: manually unroll julia set for vectorization
  * stress-fractal: manually unroll mandlebrot for vectorization
  * stress-fractal: remove unrolling, minor optimization fixes
  * stress-acl: delete acls using acl_delete_def_file
  * stress-filerace: add acl exercising
  * stress-fcntl: fix spelling mistake "ftuncate" -> "ftruncate"
  * stress-fcntl: fix missing EDEADLK
  * stress-filerace: ensure tmp is initialized with a sane value
  * stress-filerace: declare open read and open write flags
  * stress-filerace: rename times to tv, truncate secs
  * stress-filerace: exercise fcntl file r/w hinting
  * stress-filerace: exercise utimes() on fd
  * stress-filerace: exercise path and fd based statx calls
  * core-shim: update shim_statx_t to keep in sync with the kernel
  * stres-filerace: add mmap'd file write + msync
  * stress-filerace: add small random sleeps during file locks
  * stress-stream: remove __linux__ checks for cache size info
  * stress-sigfd: remove glibc version constraint
  * stress-filerace: add chdir and fchdir calls
  * stress-filerace: add more locking exercising
  * stress-filerace: add file unlocking to locked files
  * stress-revio: add a readahead option to revio-opts
  * stress-iomix: add a readahead iomix method
  * kernel-coverage: only set iosched if it's available
  * stress-filerace: try to drop uncached read only data from buffer cache
  * stress-filerace: only use SIGIO handler if SIGIO is available
  * stress-ng: fix pr_dbg fix format specifier
  * stress-filerace: create/append 64 files in a back, fix open flags
  * stress-lockmix: fix locking, should be locking with F_OFD_SETLK
  * stress-lockofd: fix locking, should be locking with F_OFD_SETLK
  * stress-filerace: add ofd read/write file locking
  * stress-filerace: add lockf locking on portions of a file
  * stress-filerace: add fcntl F_SETLEASE read/write locking
  * stress-filerace: reduce number of files to 64 to increase race
    potential
  * stress-filerace: add mkdir/rmdir and link system calls
  * stress-filerace: add bulk open/close of file
  * stress-filerace: perform 4 or 512 byte read/writes
  * stress-filerace: add file help information
  * stress-filerace: add more file based syscalls based on filename
  * stress-filerace: rename stress_filerace_posix_fallocate
  * stress-filerace: add build-time check for readahead and use it
  * stress-filerace: add posix_fallocate and posix_fadvise
  * stress-filerace: add a new file race stressor
  * stress-lockmix: remove debug message
  * core-*, stress-*: ensure all messages don't start with capital letter
  * core-*, stress-*: replace "failed: ..." with "failed, ..."
  * core-*, stress-*: use pid_t for waitpid() returns and add PID for
    errors
  * core-out-of-memory: add PID and check for OOM'd process in klog
  * stress-fpunch: don't shared fd on child processes when using lseek
  * stress-fpunch: fix offset in error message
  * stress-tmpfs: fix lseek error returns check
  * stress-metamix: fix lseek error returns check
  * stress-file-ioctl: fix lseek error returns check
  * stress-fpunch: fix lseek error returns check
  * stress-fanotify: add 4 more report types
  * stress-prctl: add support for prctl commands 71 to 77
  * README.md: add another kernel bug report link
  * core-ignite-cpu: set per cpu power/pm_qos_resume_latency_us to 1 us
  * stress-easy-copy: fix asm, should be __asm__ __volatile__

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 1 May 2025 08:29:56 +0100

stress-ng (0.18.12-1) unstable; urgency=medium

  [Dmitry Antipov]
  * stress-link/memfd/mmaphuge/mmaptorture: fix global buffer overflow

  [Dmitry Grand]
  * fix error: assignment to ‘void (* const*)(stress_fma_t *)’

  [Nicolas Bouton]
  * stress-prefetch: add aarch64 load prefetch instructions (prfm)

  [Sergey Fedorov]
  * Enable PPC32 builds, use PPC32 opcodes

  [Zong Li]
  * core-asm-ret: add lpad instruction in return code on RISC-V

  [Colin Ian King]
  * debian/control: update standards version to 4.7.2
  * stress-easycopy: ensure direction flag is cleared
  * core-asm-ret: add PPC64 big endian and PPC little and big endian
    support
  * stress-flushcache: call dcbst_page for PPC and PPC64
  * stress-*: improve checking for ppc and ppc64
  * README.md: update contributor list
  * stress-nop: make policy non-clobberable for ppc32 gcc 4.9.2 builds
  * stress-cyclic: make policy non-clobberable for ppc32 gcc 4.9.2 builds
  * README.md: add another research paper link
  * stress-hyperbolic: long double trig should be at least as accurate
    as double
  * stress-trig: long double trig should be at least as accurate as
    double
  * stress-opcode: Fix incorrect opcode mmap size, 2 pages short
  * stress-lockbus: add timer to break out stuck split locks on ppc64
  * stress-regex: Fix digits regex name, should be digits and not alphas
  * stress-physmmap: Fix spelling mistake "mappping" -> "mapping"
  * core-shim: fix spelling mistake "obsolute" -> "obsolete"
  * stress-tlb-shootdown: page align two more offsets
  * stress-tlb-shootdown: msync memfd mapping using the correct size
  * stress-malloc: only declare tmp_align for aligned allocations
  * stress-tlb-shootdown: page align offsets
  * stress-opcode: fix void * pointer arithmetic, use uint8_t *
  * stress-easy-opcode: fix void * pointer arithmetic, use uint8_t *
  * stress-misaligned: perform __uint128_t access using uint64_t pointers
  * stress-open: always unlink file on O_TRUNC open
  * stress-stream: add hex string compare of checksums
  * stress-stream: fix checksum string termination, should be using
    index j
  * Manual: Fix spelling mistake "execises" -> "exercises"
  * stress-physmmap: add upper region size bounds check
  * stress-easy-opcode: ensure enough end spaces is available for
    return ops(s)
  * core-arch.h: move endian macros to core-arch.h
  * stress-easy-opcode: fix ppc64 build, replace . with ,
  * stress-opcode: clean up object code size handling
  * stress-easy-opcode: add a simple easy opcode stressor
  * stress-tlb-shootdown: make TLB shootdowns more aggressive, add
    metrics
  * core-cpu-cache: only use clflushopt if it is supported by the
    processor
  * stress-cpu: disable FP denormalization to improve performance
  * core-cpu: add helpers to disable/enable fp denormalization
  * kernel-coverage: add --physmmap-read test
  * stress-physmmap: use VERIFY_NONE since there are no verifications
  * core-cpu-cache: fix build issue, use renamed variable
  * stress-physmmap: add --physmmap-read option to force read data in
    every page
  * stress-misaligned: use atomic_fetch_add if 2,4,8 byte variants
    unavailable
  * core-cpu-cache: use uint8_t for pointers to avoid void * pointer
    arithmetic
  * stress-cache: prefetch data closer to the CPU
  * stress-physmmap: attempt to mmap entire region in one mmap
  * stress-physmmap: make mappable_pages a register size_t
  * stress-physmmap: report if no pages were mappable
  * stress-physmmap: add physical memory mapping (/dev/mem) stressor
  * README.md: Add Nicolas Bouton to contributors list
  * Makefile: add sanitization build flags
  * README.md: Add Zong Li to contributors list
  * Remove stress-mpfr.
  * core-parse-opts: rename scales to type of scaling
  * stress-uprobe: cast size_t to ssize_t for sane type comparison
  * stress-uprobe: prevent buffer overflows when parsing data
  * stress-race-sched: fix off-by-one comparison on method_all_index
  * stress-malloc: ensured aligned_alloc is a multiple of alignment
  * README.md: Add Dmitry Antipov and Dmitry Grand to contributors list
  * README.md add another research citation
  * README.md: add some more kernel bug references
  * stress-shellsort: use mmap data, collapse pages to try to sort on
    hugepage mapped data
  * stress-insertionsort: use mmap data, collapse pages to try to sort
    on hugepage mapped data
  * stress-heapsort: used mmap data, collapse pages to try to sort on
    hugepage mapped data
  * stress-bubblesort: used mmap data, collapse pages to try to sort on
    hugepage mapped data
  * stress-bitononicsort: fix mmap'd anon mapped name
  * stress-bitonicsort: used mmap data, collapse pages to try to sort on
    hugepage mapped data
  * stress-qsort: collapse pages to try to sort on hugepage mapped data
  * stress-mergesort: collapse pages to try to sort on hugepage mapped
    data
  * stress-workload: force no hugepages on mapping for more PTEs
  * stress-numa: force no hugepages on mapping for more PTEs
  * stress-memthrash: force no hugepages on mapping for more PTEs
  * core-madvise: add stress_madvise_nohugepage, clean up madvise helpers
  * core-madvise: move stress_madvise_collapse from core-helper to
    core-madvise
  * stress-vm: add collapse to vm-madvise options for MADV_COLLAPSE
  * stress-matrix-3d: improve performance by using MADV_COLLAPSE
  * stress-matrix: improve performance by using MADV_COLLAPSE
  * stress-memrate: improve performance by using MADV_COLLAPSE
  * core-heler: add stress_madvise_collapse to collapse pages to
    hugepages
  * README.md: update number of stressors and stressor types
  * stress-umask: add umask system call exercising stressor
  * stress-mmaptorture: add MADV_RANDOM on zero sized allocation
  * README.md: add a couple more research paper links
  * core-shim: add build-time check for close_range, use it in core-shim
  * stress-prefetch: perform uint64_t pointer addition correctly
  * core-helper: check for pipe on stdin and sort out tty width
    accordingly
  * README.md: add another research paper link
  * matrix-methods.job: remove hot from hot-cpu
  * core-cpu-cache: add #elif for cacheflush, helps static analyzer
  * stress-bigheap: use bit-wise & for logical anding
  * stress-numa: use bit-wise & for logical anding
  * stress-zombie: voidify return from shim_usleep()
  * stress-zlib: maximize/minimize --zlib-level, --zlib-mem-level
  * stress-yield: maximize/minimize --yield-procs
  * stress-swap: enable --swap-self on --aggressive
  * stress-stack: enable --stack-{fill|mlock|pageout|swap} on
    --aggressive
  * stress-sock: maximize/minimize --sock-msgs
  * stress-shm-sysv: enable --shm-sysv-mlock on --aggressive
  * stress-shm: enable --shm-mlock on --aggressive
  * Manual: fix missing sysv shared memory heading
  * stress-sem: enable --sem-shared on --aggressive
  * stress-resources: enable --resources-mlock on --aggressive
  * stress-remap: minimize --remap-pages
  * stress-readahead: limit --readahead-bytes maximized setting to MAX_32
  * stress-randlist: maximize/minimize --randlist-items, --randlist-size
  * stress-ramfs: fix minimize option, bump max ramfs size to 2GB
  * stress-ramfs: make --ramfs-fill fill pages with random data
  * stress-ng: check for stressors that should be ignore
  * stress-ramfs: maximize/minimize --ramfs-size
  * stress-pty: maximize/minimize --pty-max
  * stress-pseek: maximize/minimize --pseek-io-size
  * stress-pseek: enable --pseek-rand on --aggressive
  * stress-poll: maximize/minimize --poll-fds
  * stress-pipeherd: enable --pipeherd-yield on --aggressive
  * stress-pipe: maximize/minimize --pipe-data-size, --pipe-size
  * Manual: fix indentation on --pci-ops-rate option
  * stress-pagemove: enable --pagemove-mlock and --pagemove-numa on
    --aggressive
  * stress-open: minimize --open-max
  * stress-numa: enable numa-shuffle-addr and numa-shuffle-node on
    --aggressive
  * stress-numa: maximize/minimize --numa-bytes
  * Manual: fix missing netlink task title
  * stress-nanosleep: maximize/minimize --nanosleep-threads
  * stress-msg: maximize/minimize --msg-bytes
  * stress-mpfr: maximize/minimize --mpfr-precision
  * stress-monte-carlo: maximize/minimize --monte-carlo-samples
  * stress-mmaptorture: maximize/minimize --mmaptorture-bytes,
    --mmaptorture-msync
  * stress-mmaphuge: maximize/minimize --mmaphuge-mmaps
  * stress-mmapfork: maximize --mmapfork-bytes
  * stress-mlockmany: maximize/minimize --mlockmany-procs
  * Manual: fix missing title for mmapmany stressor
  * stress-malloc: maximize/minimize --malloc-pthreads
  * stress-jpeg: maximize/minimize --jpeg-height, --jpeg-width,
    --jpeg-quality
  * stress-ipsec-mb: maximize/minimize --ipsec-mb-jobs
  * stress-io-uring: maximize/minimize --io-uring-entries
  * Manual: remove idle-page help
  * stress-icmp-flood: maximize/minimize --icmp-flood-max-size
  * stress-fractal: maximize/minimize --fractal-iterations,
    --fractal-sizex, --fractal-sizey
  * stress-fpunch: maximize/minimize --fpunch-bytes
  * stress-forkheavy: maximize/minimize --forkheavy-allocs,
    --forkheavy-procs
  * stress-flipflop: maximize/minimize --flipflop-bits
  * stress-fifo: maximize/minimize --fifo-data-size
  * stress-fd-fork: maximize/minimize --fd-fork-fds
  * stress-far-branch: maximize/minimize --far-branch-pages
  * stress-factor: maximize/minimize --factor-digits
  * stress-exec: maximize/minimize --exec-max
  * stress-ng: fix help, iostate -> iostat
  * stress-epoll: maximize/minimize --epoll-sockets
  * stress-dirmany: maximize/minimize --dirmany-bytes
  * stress-dir: maximize/minimize --dir-dirs
  * stress-dccp: maximize/minimize dccp-msgs
  * stress-chdir: maximize/minimize chdir-dirs
  * stress-bigheap: maximize/minimize bigheap-bytes
  * stress-malloc: flush pages when using --aggressive
  * core-resources: ensure all mapped pages are touched
  * stress-bigheap: use memory clearing calloc when using --aggressive
  * stress-vm: flush pages when using --aggressive
  * stress-vm-addr: flush pages when using --aggressive
  * stress-vma: flush pages when using --aggressive
  * stress-stack: flush touched stack pages when using --aggressive
  * stress-stack: make --stack-fill option fill stack with random data
  * stress-workload: use stress_cpu_data_cache_flush to flush data
  * stress-tlb-shoodown: use stress_cpu_data_cache_flush to flush data
  * stress-sysbadaddr: use stress_cpu_data_cache_flush to flush page
  * stress-sigsegv: use stress_cpu_data_cache_flush to flush data
  * stress-mcontend: use stress_cpu_data_cache_flush to flush cache line
  * stress-prefetch: use stress_cpu_data_cache_flush for cache flushing
  * core-cpu-cache: increment addr by cache line size
  * core-cpu-cache: add more optimized data cache flush helper
  * stress-pageswap: madvise populate read when using --aggressive option
  * stress-munmap: for pages to page out with --aggressive option
  * stress-madvise: force more swapouts/swapins with --aggressive options
  * core-out-of-memory: Fix off-by-one array overflow error
  * stess-bigheap: increase reallocs and memory checks with --aggressive
  * stress-affinity: add more sched_setaffinity call with --aggressive
    option
  * stress-access: add more access calls with --aggressive option enabled
  * stress-lockbus: add 1 byte and 2 byte misaligned 32 bit lock bus
    operations
  * stress-ng: enable specifying number of instances as % of cpus
  * core-*, stress-*: rename num_instances to instances
  * core-vmstat: add vmstat memory scaling option --vmstat-units U

 -- Colin Ian King <colin.i.king@gmail.com>  Sun, 30 Mar 2025 13:49:32 +0100

stress-ng (0.18.11-1) unstable; urgency=medium

  * core-helper: add check for Cygwin
  * stress-zombie: repeat zombie state checks for more robust checking
  * stress-af-alg: ignore errno = 0 send* failures
  * stress-mcontend: ensure mcontend_numa is defaulted to false
  * stress-pci: make t_delta non-clobberable
  * stress-mmaptorture: cat mmap returns to uint8_t *
  * stress-zombie: add sched_yield before zombie Z state check
  * stress-mmaptorture: voidify function argument mmaptorture_msync
  * stress-vm: add HAVE_LINUX_MEMPOLICY_H check when using numa.mask
  * stress-tun: perform addition before casting to uint8_t
  * core-thrash: make begin/end unsigned to match %x sscanf format
    specifier
  * stress-munmap: make major and minor unsigned ints to match scanf %x
    specifiers
  * core-numa: avoid pointer arithmetic on potentially NULL buffer
  * core-numa: don't dereference numa_mask before it's null checked
  * core-parse-opts: ensure format specifier and type match
  * stress-mmaptorture: only declare variable mypid when required
  * stress-zlib: call deflateEnd on error return path
  * stress-tsearch: avoid division by zero
  * stress-access: fix array termination comparison
  * workload: avoid division by zero when sum is 0.0
  * stress-vm: free context.numa_mask on error return path
  * stress-mmaptorture: voidify return from stress_get_setting
  * stress-intmath: load init values for fast ints from a fast int array
  * test-intmath: add a --intmath-fast option to exercise int_fast*_t types
  * README.md: add a couple more references to papers
  * core-memrate: add --memrate-method to specify read/write method
  * stress-memrate: allow zero values of memrate-rd-mbs and memrate-wr-mbs
  * stress-sysbadaddr: use shim_madvise for madvise calls
  * stress-tlb-shootdown: use shim_madvise for madvise calls
  * stress-pagemove: fix mprotect calls
  * core-shim: add shim macros for madvise advice
  * stress-mmaptorture: #ifdef around madvise, fix QNX build
  * kernel-coverage: add html to text conversion
  * kernel-coverage: add --branch-coverage coverage option
  * stress-*: handle ENOSUP errors on timer_create more graciously
  * stress-mmaptorture: populate mapping file and read mapping
  * stress-mmaptorture: rename temp strings name to avoid name shadowing
  * stress-ng.h: use 64 bit LFS
  * stress-mmaptorture: don't map more than mmaptoture-bytes
  * stress-mmaptorture: add some more torture metrics
  * stress-mmaptorture: use shm_open and shm_unlink for anon mappings
  * stress-close, stress-shm: check for SHM_OPEN and SHM_UNLINK
  * test: add shm-open and shm-unlink build time config checks
  * stress-mmaptorture: retry if mmap's fail rather than continuing
  * stress-mmaphuge: fix inverted MAP_FAILED check on madvise calls
  * stress-mmaptorture: add mlockall/munlockall in child process
  * stress-mmaptorture: bump MMAP_SIZE_MAP from 4 to 512 pages
  * stress-mmaptorture: remove debug
  * stress-mmaptorture: name each mmap'd page to create more VMAs
  * stress-mmaptorture: where possible, set vma name
  * core-helper: fix typo in comment: hash -> has
  * Manual: add mseal notes in mmaptruncate description
  * stress-mmaptorture: mseal a page in child process, fix munmap address
  * test: add check for setproctitle_init
  * test/test-setproctitle: remove check for setproctitle_init on BSD
    systems
  * stress-mmaptorture: increase size default to 256MB, add random
    ftruncate
  * kernel-coverage: add mmaptorture options
  * stress-mmaptorture: add --mmaptorture-msync option to change % rate
    of msyncs
  * stress-mmaptorture: add mmap stats and metrics
  * stress-mmaptorture: mmap onto an existing virt address with
    MAP_NOREPLACE
  * stress-mmaptorture: add MAP_FIXED re-map on just unmapped page
  * stress-mmaptorture: make variables nonclobberable due to longjmp
  * Dockerfile: make static stress-ng image, disable GPU stressor
  * github workflows: enable more arches now we have a Debian build
  * stress-mmaptorture: madvise don't need before unmapping pages in child
  * stress-mmaptorture: make pid noclobberable
  * github workflows: remove printenv
  * stress-mmaptorture: randomly fork child to dup and remove mappings
  * stress-mmaptorture: add random swap outs on pages
  * github workflows: enable more arches now we have a Debian build
  * Dockerfile: build images on Debian
  * Makefile: enable verbose build for github docker builds
  * README.md: add another kernel issue found with stress-ng
  * stress-mmaptorture: cater for systems that don't support msync
  * Revert "stress-hdd: make stress_hdd_opts_t field advise build dependant
  * stress-mmaptorture: cater for systems without MAP_NONBLOCK
  * stress-sockpair: unconstify fds arg, gcc 4.8.2 complains about this
  * stress-mmaptorture: reduce scope on newptr
  * stress-mmaptorture: move #endif
  * stress-mmaptorture: move } outside #ifdef block
  * stress-madvise: fix build issues with HAVE_MADVISE undefined
  * stress-mmaptorture: add --mmaptorture-bytes option
  * stress-mmaptorture: add remap_file_pages call where available
  * stress-mmaptorture: rework msync helper, msync pages randomly
  * core-out-of-memory: start timeout from first waitpid exit
  * stress-mmaptorture: add stressor that tortures mmap'd memory
  * Makefile: add some Intel icx compiler optimization flags
  * stress-pidfd: exercise PIDFD_SELF_THREAD and PIDFD_SELF_THREAD* fds
  * README.md: remove ] in link
  * README.md: add kernel issue and recent paper on stress-ng
  * core-config-check: check /sys/devices/system/cpu/cpufreq/boost is set
    to 1
  * core-ignite-cpu: enable cpu boost
  * stress-ng.h: silence PCC build warnings on __cold__ not being supported
  * core-*, stress-*: add LIKELY/UNLIKELY hints for stress_continue_flag
  * core-*, stress-*: make various pointers and variables const
  * stress-shm: remove empty line
  * core-helper: add stress_random_small_sleep for small pthread startup
    delays
  * stress-vma: reduce scope of variable ret
  * stress-tee: reduce scope of variable ret
  * stress-prime: simplify mapping of prime methods
  * stress-mincore: initialize pointers with NULL instead of zero
  * stress-ipsec-mb: move ipsec_stats_t where it is required
  * stress-cache: add missing checks for HAVE_SCHED_SETAFFINITY
  * stress-hdd: make stress_hdd_opts_t field advise build dependant
  * stress-goto: simplify the goto direction mechanism
  * stress-funcret: compare data in struct rather than whole struct
  * stress-filename: simplify mapping of filename opts in method
  * stress-fd-race: remove redundant pointer fds
  * stress-fd-race: reduce scope of variables j and tmp, make them
    registers too
  * stress-exec: fix index -> method mapping on methods
  * stress-copy-file: cast -1 to shim_off64_t to be pedantic
  * core-shim: fix incorrect signed type for shim_off64_t
  * stress-bitops: reduce scope of buf
  * stress-bad-ioctl: remove need ioctl_cmd_method field, use index instead
  * core-thermal-zone: reduce scope of pointer name
  * core-affinity: constify pointers d and tmpptr, reduce scope of tmpptr
  * core-ignite-cpu: reduce scope of variable retry
  * core-perf: rename pointer l to label to make it more readable
  * README.md: add another research paper link
  * core-affinity: add checks for HAVE_SCHED_SETAFFINITY

 -- Colin Ian King <colin.i.king@gmail.com>  Sat, 1 Mar 2025 17:46:17 +0000

stress-ng (0.18.10-1) unstable; urgency=medium

  [Christian Franke]
  * stress-acl: reduce ACL testcases on Cygwin

  [Colin Ian King]
  * stress-mlockmany: make mlockmany mlocks less OOMy
  * stress-sigill: also handle SIGBUS signals
  * stress-bitops: fix assignment of is_pwr2
  * core-out-of-memory: core-*: replace %jd with PRIdMAX
  * core-*: add some LIKELY/UNLIKELY branch hints
  * stress-*: add some LIKELY/UNLIKELY branch hints
  * Manual: Fix typo "mmaphuge-numa" -> "mmanmany-numa"
  * stress-intmath: clean up if/else statement
  * stress-sigill: add extra illegal opcode for arm v6
  * stress-cachehammer: cast return from mmap to uint8_t *
  * core-cpuidle: make cpuidle_path a little larger
  * stress-fsize: fix 32 bit file size limits, force truncate each time
  * stress-mmahuge: rename ctxt to context
  * stress-mmaphuge: ensure ctxt.fd is also initialized
  * stress-mmaphuge: ensure ctxt.numa_mask is initialized
  * stress-readahead: replace %jx with PRIxMAX
  * core-thrash: replace %jx sscanf with 32/64 bit portable version
  * core-thrash: read some memory related /sysfs files for Linux
  * stress-madvise: exercise MADV_GUARD_* flags
  * stress-sigsegv: exercise MADV_GUARD_INSTALL protected pages
  * kernel-coverage.sh: ignore genhtml inconsistent errors
  * stress-*: ensure numa mask frees are performed correctly
  * stress-cpu-sched: only call stress_numa_mask_alloc if alloc succeeded
  * stress-cachehammer: only call stress_numa_mask_alloc if alloc
    succeeded
  * core-numa: ignore null numa_mask and buffer ptr in
    stress_numa_randomize_pages
  * core-*: stress-*: replace %jd, %ju, %jx with PRIdMAX, PRIuMAX, PRIxMAX
  * stress-cacheline: disable unrolling in stress_cacheline_rdfwd64 for
    clang
  * core-*, stress-*: Fix typos in comments
  * kernel-coverage: add more stressor numa options for more coverage
  * stress-vm-addr: add --vm-addr-numa option
  * stress-pagemove: add --pagemove-numa option
  * core-numa: should be mbinding to prev_ptr rather than ptr
  * stress-llc-affinity: replace spaces with tab
  * core-numa: optimize mbind calls to handle multiple runs of same node
  * stress-mremap: add --mremap-numa option
  * stress-*: Fix typo "randonly" -> "randomly"
  * stress-mmapmany: add --mmapmany-numa option
  * Manual: fix --ioport-opts description, it's missing some text
  * stress-mmapfixed: correct cut-n-paste spelling mistakes
  * stress-mmaphuge: add --mmaphuge-numa option
  * stress-mmapfiles: move numa_nodes alloc and free to main body
  * stress-memfd: add in missing free of numa_nodes
  * stress-mcontend: free numa_mask once it is no longer used
  * stress-lockbus: free numa_mask once it is no longer used
  * stress-llc-affinity: add in missing free of numa_nodes
  * stress-mmapfixed: add --mmapfixed-numa option
  * kernel-coverage: add stressor numa options for more coverage
  * stress-mmapfiles: add --memfiles-numa option
  * stress-memfd: add --memfd-numa option
  * core-numa: make buffer a void * pointer
  * stress-mcontend: add --mcontend-numa option
  * stress-cachehammer: exercise various cache options with memory access too
  * stress-llc-affinity: add --llc-affinity-numa option
  * stress-cachehammer: add more comments, add more code for ppc64 testing
  * stress-cachehammer: add prefetch read and add some missing memory
    barriers
  * stress-cachehammer: add some UNLIKELY branch hints
  * stress-cachehammer: add write + flush cache methods
  * stress-cachehammer: free page after use, cleans up resource leak
  * stress-cachehammer: remove incorrect short optarg option in help
  * stress-cachehammer: fix short help name of stressor
  * stress-cachehammer: cycle addr2 around the buffer
  * stress-cachehammer: exercise two addresses per hammer operation
  * stress-madvise: add zero size null address madvise call
  * stress-cachehammer: use register func pointer hammer for hammer
    function calls
  * stress-af-alg-defconfigs: remove pkcs1pad variants
  * stress-cachehammer: fix leak of file descriptor fd
  * stress-af-alg: handle all bind failures the same way
  * stress-cachehammer: add shared file mmap'd page cache hammering
  * stress-cache: report signal name and number when catching rogue
    signals
  * stress-x86cpuid: update with new CPU ids from wikipedia
  * README.md: Add another kernel issue found with stress-ng
  * stress-af-alg: add missing af-alg names and types to failure messages
  * stress-cpu: rename macro and variables to not contain leading _
  * stress-cachehammer: ensure loops is at least 1 for 1 iteration
  * Manual: fix --mmap-bytes description
  * README.md add another link to a paper that references stress-ng

 -- Colin Ian King <colin.i.king@gmail.com>  Sun, 2 Feb 2025 16:55:52 +0000

stress-ng (0.18.09-1) unstable; urgency=medium

  * Makefile: bump version
  * test/test-dup3: fix build issue, replace : with ;
  * Add missing power11 built in check
  * test/test-attr-packed: fix shortint -> short int type

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 6 Jan 2025 10:30:43 +0000

stress-ng (0.18.08-1) unstable; urgency=medium

  [Dominik Steinberger]
  * Fix return type of numa core dummy functions

  [Colin Ian King]
  * Makefile: bump version
  * Manual: workaround warning by defining TW
  * Manual: Fix incorrect .TE macro, use .TP instead
  * Manual: fix spelling mistake "continous" -> "continuous"
  * stress-regex: fix spelling mistake "expresssion" -> "expression"
  * stress-fma: just offset array to get add/sub flavours of fma funcs
  * stress-veccmp: add compiler version checks for older compilers
  * core-helper: re-order signals
  * stress-signest: add in missing signals SIGCONT, SIGTSTP and SIGUNUSED
  * core-helper: add WSL file system magic to file magic ids
  * stress-acl: inform number of ACLs tested vs number of valid ACLs
  * stress-cachehammer: make local_buffer and local_page non-clobberable
  * Update copyright year
  * kernel-coverage: add a handful of missing options for more coverage
  * stress-mmap: make help and mmap-numa messages easier to comprehend
  * stress-vm : add --vm-numa option to bind pages to randomly selected
    NUMA nodes
  * stress-mmap: add --mmap-numa option to bind pages to randomly
    selected NUMA nodes
  * stress-bitops: add two more bitop methods, power of 2 check and zero
    byte check
  * Manual: add line space before tables
  * stress-lsm: use uint8_t * pointer math
  * test/test-mq-posix.c: include <fcntl.h>
  * core-*, stress-*: cast char to unsigned char for ctype.h functions
  * stress-ptr-chase: remove extraneous tab
  * README.md: add another research paper link
  * core-numa: fix for builds with partial NUMA support
  * stress-cachehammer: remove unused variable masked_flags
  * stress-regex: make function stress_regex_rate static
  * stress-regex: disable lazy numbers, some regcomps fail on this */
  * stress-cachehammer: make variable ret non-clobberable
  * stress-regex: add some simple regex compilation error checking
  * stress-regex: add some more regex patterns and strings to match
  * stress-regex: remove html tag regex and reduce devious regexes
  * stress-cachehammer: randomize local cache mappings across NUMA nodes
  * stress-cachehammer: add 1 page shared page and 64 byte read/write
    hammering
  * stress-cachehammer: dup cache ops for ppc
  * stress-lockbus: rename HAVE_MISALIGNED_LOCKBUS to HAVE_NUMA_LOCKBUS
  * stress-regex: fix missing , after literal string
  * stress-regex: add a POSIX regular expressions stressor
  * README.md: update contributors list
  * stress-cachehammer: fix RISC-V built, fix missing {
  * stress-cachehammer: add ppc64 specifif cache operations
  * stress-ng: ensure stress_pid_t reaped flag is initialized on fork
  * stress-mutex: add tab to align fields
  * core-*, stress-*: replace memcmp to shim_memcmp
  * core-*, stress-*: replace memcpy to shim_memcpy
  * core-*, stress-*: replace memset to shim_memset
  * stress-mutex: re-order mutex checks on success/failures
  * stress-gendent: simplify j wrap to zero logic
  * stress-lockbus: make numa_mask nonclobberable and fix free
  * stress-lsm: add parentheses around expression
  * stress-prio-inv: remove early return statement
  * stress-cachehammer: add new stressor to exercise prefetch/flush
    cache ops
  * stress-aio: cache align info struct for minor performance improvement
  * stress-aiol: report async I/O event rate as an extra metric
  * stress-aiol: move random aiol allocations and ctx_id into a struct
  * core-ignite-cpu: make freq_delta and limit number of retries
  * stress-aiol: inline shim wrappers for io_* system calls
  * stress-tlb-shootdown: add space in while(..)
  * stress-access: add space in while(..)
  * stress-nop: add LIKELY hints on while loops
  * stress-ng: re-work aggressive pid waiting to use stress_wait_pid
  * stress-ng: also check for ECHILD on waitpid failure
  * stress-nop: fix 14 and 15 byte no-ops for x86
  * core-opts.h: sort short options
  * Manual: add missing -M short option for --metrics
  * stress-ng: make -w a short option for --with
  * stress-ng: add -K to option parsing
  * stress-ng: make -K short hand for --klog-check
  * stress-bitops: fix short help, remove -c option
  * stress-mcontent: enforce read/write order
  * stress-memthrash: add loop unrolling to stress_memthrash_memset64
  * stress-memrate: remove init arg from macros
  * stress-cache: only add prefetchw to help if it exists
  * stress-cache: add write prefetchw option
  * Manual: fix missing - on memhotplug-mmap option
  * stress-bad-ioct: allow one to run as root and write ioctls using
    PROT_NONE pages
  * Manual: update lockbus description for NUMA page randomization
  * stress-lockbus: split buffer across NUMA pages
  * stress-misaligned: use stress_numa_randomize_pages
  * core-numa: add stress_numa_randomize_pages to randomize pages
  * core-helper: keep file system magic in sync with linux
  * stress-vm-addr: unroll loops, minor performance improvement
  * stress-sigtrap: make t, duration static, aligned variable raised
  * stress-sigill: remove a few empty lines
  * stress-shm-sysv: unroll loops to improve throughput
  * stress-shm: add UNLIKELY hint on loop break
  * stress-set: reduce frequency of calls to stress_get_unused_uid
  * stress-rotate: unroll loop 8 times, improves performance
  * stress-dekker, stress-peterson: use memory barrier for ARM
  * stress-prio-inv: when fifo/rr fails, retry with SCHED_OTHER policy
  * core-mwc.h: fix missing #else .. #endif for mwc*modn decls
  * stress-sigurg: ignore SIGPIPE failures
  * stress-pseek: optimize bad data checking loop
  * stress-poll: add LIKELY hint to check on max_fds as it's very likely
  * stress-poll: add --poll-random-us option to specify ppoll/pselect
    timeout
  * stress-mutex: rename mutex_exercise to stress_mutex_exercise
  * stress-mtx: improve performance if unlikely metrics_count reset
  * stress-msyncmany: add UNLIKELY to if statement that almost never try
  * stress-workload: add vecfp double precision vector math workload
  * stress-mmapfixed: use 64 bit vec array to improve non-zero check
    speed
  * stress-mmap: use mwc*modn instead of using %, fix 64 bit version
  * stress-memfd: remove more of the NT store function selection
  * stress-memfd: remove NT stores, they weren't beneficial
  * stress-malloc: correct bogo-ops accounting and fix up man page
  * stress-ng: use pointer info to avoid multiple triple derefs
  * stress-jpeg: replace modulo with compare and set
  * stress-hash: don't allocate fixed sized hash bucket and buffer on
    heap
  * stress-fma: align double/float arrays, improve performance on SNB
  * core-mwc: inline modulo mwc functions with
    HAVE_FAST_MODULO_REDUCTION support
  * core-time: add unlikely hints on if statements that are not likely
    to be true
  * stress-aiol: improve fill and check buffer helpers
  * core-lock: add LIKELY/UNLIKELY hints on various if statements
  * stress-acl: use acl_cmp() where available, fallback to naive
    version if not
  * stress-af-alg: don't fail with EINVAL on bind calls
  * stress-af-alg: check for zero crypto items before allocate and sort
  * stress-far-branch: map pages in as shared and not private
  * core-*: Remove NONNULL attribute macro
  * core-mwc: improve modulo mwc variants using modulo reduction trick
  * core-rapl: remove NONNULL attributes
  * stress-vecmath: fix checksum checking for 128 unsigned int bit vector
  * stress-veccmp: add a vector comparison op stressor
  * stress-memthrash: use non-temporal load/stores in spinread/write
    loops
  * stress-fma: alternatively perform subtraction in fma ops
  * stress-memthrash: add randomized mbind move to the mbind mix
  * stress-numa: use MPOL_MF_MOVE in mbind call
  * stress-misaligned: use MPOL_MF_MOVE in mbind call
  * stress-misaligned: randomized misaligned buffer across NUMA nodes
  * core-numa: add new stress_numa_mask_t type for NUMA mask handling
  * stress-unlink: ensure all fds[] are initialized before main loop
  * stress-sctp: pass int64_t types for SCTP_MAXSEG and SCTP_MAX_BURST
    sock opts
  * core-klog: replace \0xa escape string with space
  * stress-*: Fix typos: stess* -> stress*
  * stress-ng: continue loops if run should be ignored

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 3 Jan 2025 11:29:12 +0000

stress-ng (0.18.07-1) unstable; urgency=medium

  [Eder Zulian]
  * Manual: stress-prio-inv default scheduling policy is fifo
  * core-affinity: rename str to arg to avoid name shadowing on token
    string str

  [Ivan Shapovalov]
  * Makefile: expand `$(*FLAGS)` and `$(MACHINE)` non-recursively

  [Julee]
  * stress-gpu: fix the gpu-upload option is not effective

  [Po-Hsu Lin]
  * Makefile: fix machine detection for Ubuntu Bionic s390x VM

  [Colin Ian King]
  * Makefile: bump version
  * stress-file-ioctl: replace long int with long for ioctl macros
  * Makefile.machine: remove need for which command
  * README.md: add another research paper reference
  * core-affinity: add die, core, cluster parsing options for affinity
    lists
  * core-helper: refactor, add helper function to check for zero'd buffer
  * stress-flipflop: use PRIu64 format specifiers for uint64_t values
  * stress-vma: don't use void * pointer arithmetic
  * stress-flipflop: add sanity check to avoid static analysis warnings
  * core-shim: fix order of int declaration for vlen in
    shim_process_madvise
  * core-affinity: swap args in calloc call
  * stress-softlock: re-work drop_niceness to cater for POSIX conformant
    nice() returns
  * stress-opcode: add missing const cast
  * stress-flipflop: constify casts in stress_flipflop_uint64_cmp
  * core-affinity: make stress_package_set static
  * core-*, stress-*: replace local static nowt pointer with global g_nowt
  * core-affinity: fix off-by 1 when printing max packages available
  * core-affinity: parse package list, e.g 0-3,7-11
  * core-affinity: parse affinity list, allow packageN to be specified
  * core-affinity: parse affinity list with mix of ranges and odd,even,
    random,all
  * Makefile.config: add built time check for cpu_set_t
  * core-setting: add missing \n in string type output
  * stress-flip-flop: add new single cacheline coherency scalability
    stressor
  * stress-l1cache: unroll loops to improve throughput
  * stress-*: handle nice returns in a portable way
  * README.md: add another paper citation
  * core-shim: add new Linux 6.13 xattrat system calls
  * stress-shm-sysv: requires sys/ipc.h and sys_shm.h so check for these
  * stress-llc-affinity: add cache line flushing option
    --llc-affinity-clflush
  * stress-gpu: rename option OPT_gpu_uploads to OPT_gpu_uploads (2)
  * README.md: update contributors list
  * stress-gpu: rename option OPT_gpu_uploads to OPT_gpu_uploads
  * stress-ng: use generalized signal handler setup
  * kernel-coverage: add --keep-going to workaround gcov errors
  * stress-vma: fix stress_mmapaddr_get_addr to return validated
    non-mapped addresses
  * stress-vma: retry address randomization if address is in text or heap
    sections
  * stress-vma: add missing comments
  * stress-vma: try access test on all pages of mmap
  * stress-vma: ensure test alloc is the correct number of pages in size
  * stress-vma: fix incorrect func name in comment block
  * core-perf: add some more perf events based on recent kernels
  * Revert "stress-pthread: disable pthread_sigqueue call for CYGWIN"
  * README.md: add another Cygwin fix to an issue found with stress-ng
  * stress-workload: add a few more permutations of fma computation
  * README.md: update bug report, replace link with git commit SHA link
  * core-nt-store: improve double nt stores on x86
  * stress-opcode: x86: generate random length of opcode prefix ops
  * stress-rawdev: use %jd format specifiers for intmax_t
  * Makefile: use a smaller set of -W settings for PEDANTIC icc builds
  * core-klog: add another const in err_exceptions[]
  * core-helper: add some missing comment blocks
  * core-shim: remove comment about use of pragma
  * core-shim: remove extraneous ( in comment
  * core-shim: use arch specific cacheflush system calls
  * core-rapl: only emit "perhaps run as root" messgage if not running as
    root
  * README.md: Update contributors list
  * stress-cacheline: unroll loops, improve performance by 33%
  * stress-bitonic: unroll test and verify loops for improved speed
  * stress-bubblesort: unroll loops to improve performance
  * core-*, stress-*: replace short with short int, long with long int
  * stress-ng: add --taskset-random option to randomize stressor CPU
    affinity
  * core-job: rename stress_chop to stress_str_chop
  * stress-vm: fix early termination of prime-incdec stressor
  * README.md: add reiserfs bug report
  * Manual: fix spelling mistake "optiob" -> "option"
  * stress-prefetch: use K instead of KB for cache size
  * stress-vma: use read rather than write on 8 bit pointer
  * core-helper: add backtrace dumping, call when SIGABRT occurs
  * core-affinity: --taskset: add "all" and "random" keywords
  * stress-l1cache: fix reverse method, fix incorrect setting of data loop
  * stress-brk: ensure the failure sbrk errno is being checked
  * core-target-clones: add more power9,10,11 target clone build time
    constraints
  * core-shim: limit _FORTIFY_SOURCE to 2 for ALT linux gcc for ppoll
    workaround
  * core-shim: use shim'd types for shim_poll args
  * core-shim: add shim to ppoll() and workaround fortification issues
  * README.md: add another kernel commit to the 2024 kernel bug list
  * stress-fp-error: remove duplicated sqrt
  * core-*, stress-*: fflush opened writable files

 -- Colin Ian King <colin.i.king@gmail.com>  Sun, 1 Dec 2024 11:21:23 +0000

stress-ng (0.18.06-1) unstable; urgency=medium

  [Daniel Hodges]
  * core-sched: Add support for sched_ext scheduling policies

  [Jimmy Ho]
  * fix stress-prio-inv bug

  [Lukas Durfina]
  * stress-vm: Check correct define for 128 bit nt stores

  [Matteo Italia]
  * stress-bitops: add macro to handle undefined return for the ctz(0)
    case as well

  [Colin Ian King]
  * Makefile: bump version
  * stress-usersyscall: move ret_libc to start of if block
  * stress-atomic: remove STRESS_ATOMIC_64BIT
  * stress-workload: add checks for HAVE_LIB_RT and HAVE_MQ_POSIX
  * stress-dfp: fix missing 64 and 128 bit _Decimal initializations
  * stress-sigill: fix MIPS build failure, remove extraneous )
  * kernel-coverage: reduce swap for more vm pressure
  * stress-mutex: remove n_cpus debug message
  * core-helper: fix Cygwin build issue, git_t -> gid_t
  * kernel-coverage: add --icmp-flood -1 --icmp-flood-max-size
  * kernel-coverage: add --spinmem -1 --spinmem-affinity test
  * kernel-coverage: remove vfork-vm option, it does not exist
  * core-affinity: fix build failure and warning with previous commit
  * core-affinity: disable affinity change debug, it can spam the output
  * stress-sigill: add loong64 and mips illegal instructions
  * core-affinity: voidify unused arg use_affinity
  * stress-cpu-sched: move n_cpus and cpus
  * stress-ng: allow one to specify odd or even CPUs with --taskset option
  * stress-tlb-shootdown: use --taskset cpu mask
  * stress-cache: fix more resource leak on array cpus
  * stress-cache: handle sched_getcpu failure with error message and fix
    resource leak on cpus
  * stress-spinmem: fix resource leak on array cpus
  * stress-llc-affinity: fix resource leak on cpus array
  * stress-ipsec-mb: add build time check for init_mb_mgr_avx
  * test/test-libipsec-mb.h: include header
  * stress-race-sched: use --taskset cpu mask to select cpus for
    cpu-affinity setting
  * stress-mutex: use --taskset cpu mask for --mutex-affinity option
  * stress-mcontend: use --taskset cpu mask to select cpus for
    cpu-affinity setting
  * stress-llc-affinity: use --taskset cpu mask to select cpus for
    cpu-affinity setting
  * stress-cpu-sched:  use --taskset cpu mask to select cpus for
    cpu-affinity setting
  * stress-cacheline: use --taskset cpu mask to select cpus for
    cpu-affinity setting
  * stress-cache: use --taskset cpu mask to select cpus for cpu-affinity
    setting
  * core-affinity: use correct number of cpus to scan cpuset
  * stress-spinmem: use --taskset cpu mask for --spinmem-affinity option
  * core-affinity: add helpers to get/free array of usable cpus
  * stress-spinmem: add --spinmem-affinity option to move processes
    around CPUs
  * stress-atomic: disable 128 bit atomics for now
  * stress-fcntl: add a few more NetBSD specific fcntl commands
  * stress-fcntl: fix incorrect #endif placement
  * stress-fcntl: add some FreeBSD + Darwin fcntl commands
  * kernel-coverage: add ext2 and ext3 into the fs stress mix
  * README.md: update nodes for Android NDK builds
  * core-pthread: include <pthread.h> if it exists
  * stress-workload: include <time.h> to fix Android build issues
  * core-helper, stress-workload: include <time.h> to fix Android build
    issues
  * stress-crypt: ensure orig_setting is eos terminated, only copy what
    is required
  * README.md: add note on LTO performance improvements
  * README.md: document various build options
  * stress-ptr-cached: add metric on duration per pointer chase operation
  * stress-zlib: add anonymous mapped name for zlib data checksums
  * stress-zero: add anonymous mapped name for read/write buffers
  * stress-workload: add anonymous mapped name for generic data buffer
  * stress-vma: add anonymous mapped name for vma metrics
  * stress-vm: add anonymous mapped name for bit error counter page
  * stress-vm-addr: add anonymous mapped name for bit error counter page
  * stress-unshare: add anonymous mapped name for unshare metrics
  * stress-tlb-shootdown: add anonymous mapped name for tlb-shootdown
    buffer
  * stress-sysinval: add anonymous mapped name for various page mappings
  * stress-sysfs: add anonymous mapped name for shared pthread context
    data
  * stress-swap: add anonymous mapped name for mmap'd swap page
  * stress-sparsematrix: add anonymous mapped name for mmap'd sparse data
  * stress-sem: add anonymous mapped name for globally shared semaphore
  * stress-seal: add anonymous mapped name for write buffer
  * stress-schedmix: add anonymous mapped name for shared semaphore
    mappings
  * stress-rmap: add anonymous mapped name for page padding mappings
  * stress-ptr-chase: add anonymous mapped name for pointer nodes and
    pointers
  * stress-pseek: add anonymous mapped name for pseek process state and
    I/O buffers
  * stress-plugin: add anonymous mapped name for signal counter data
  * stress-pkey: add anonymous mapped name for pkey pages
  * stress-pipe: add anonymous mapped name for read/write buffers
  * stress-peterson: add anonymous mapped name shared lock structure
  * stress-msync: add anonymous mapped name for I/O read buffer
  * stress-mmapfiles: add anonymous mapped name for shared mmap'd file
    information
  * stress-mmap: add anonymous mapped name for page pointers and page
    index
  * stress-mlockmany: add anonymous mapped name for mlocked pages
  * stress-misaligned: add anonymous mapped name shared page for
    misaligned transactions
  * stress-min-nanosleep: add anonymous mapped name for nanosleep delay
    tracking
  * stress-mergesort:  add anonymous mapped name for sorting data buffer
  * stress-memthrash: add anonymous mapped name for memory thrashing
    buffer
  * stress-memcpy: add anonymous mapped name for memcpy buffer
  * stress-matrix: add anonymous mapped name for matrices a,b and r
  * stress-matrix-3d: add anonymous mapped name for matrices a,b and r
  * stress-malloc: add anonymous mapped name for malloc tracking
    information
  * stress-madvise: add anonymous mapped name for single page mapping
  * stress-lsm: add anonymous mapped name for lsm data buffer
  * stress-jpg: add anonymous mapped name for rgb data and row pointers
  * stress-icache: add anonymous mapped name for object code
  * stress-far-branch: add anonymous mapped name for each page mapped
    for functions
  * stress-dfp: fix anonymous mapped page name, fp -> dfp
  * stress-dev: add anonymous mapped name for device state information
  * stress-cyclic: add anonymous mapped name for latencies
  * stress-cpu-sched: add anonymous mapped name for node masks
  * stress-context: add anonymous mapped name for context data
  * stress-atomic: add anonymous mapped name for atomic-info data
  * stress-ptr-chase: compare total with integer rather than float value
  * stress-monte-carlo: ensure results array is correctly initialized
  * stress-icache: catch and debug state if SIGSEGVs occur
  * core-helper: improve debug dump of SIG* issues
  * core-asm-x86.h: add cpuid implementation for 32 bit -fPIC builds on
    older toolchains
  * stress-atomic: add support for 128 bit atomics on 64 bit systems
  * stress-ng.h: minor clean ups, no code change
  * stress-ng: replace struct stressor_info with stressor_info_t
  * stress-has: replace struct stress_hash_method_info with typedef
    stress_hash_method_info_t
  * stress-list: replace struct list_entry with typedef list_entry_t
  * core-out-of-memory: implement stress_set_oom_adjustment for FreeBSD
  * core-out-of-memory: inline helper function stress_args_name
  * core-helper: implement stress_parent_died_alarm for FreeBSD
  * core-helper: use getdtablesize for max fd if it is available
  * core-helper, stress-*: add stress_zero_metrics helper to zero metrics
  * stress-cpu-sched: rename pid to child_pid to avoid name shadowing
  * core-*, stress-*: cast return from calloc to appropriate type
  * core-*, stress-*: cast return from malloc to appropriate type
  * core-target-clones.h: add power11 to target clones
  * stress-syscall: fix kfreebsd Debian build, include <time.h>
  * stress-syscall: fall back to gettimeofday if clock_gettime is
    unavailable
  * stress-*: cast munmap 1st arg and mmap return to appropriate types
  * stress-cpu-sched: add helper function to setup HR timer
  * stress-intmath: fix cut-n-paste errro in type, should __int128_t
    instead of __int64_t
  * stress-cpu-sched: add doing nothing asm for empty err exit path
  * stress-cpu-sched: remove check on HAVE_SCHED_GETATTR for prio
    variables
  * stress-cpu-sched: make declaration of cpus not dependent on
    HAVE_SET_MEMPOLICY
  * stress-cpu-sched: only use SCHED_RESET_ON_FORK if it is defined
  * core-target-clones.h: add Lunarlake target clones
  * stress-cpu-sched: add SCHED_RR, SCHED_FIFO and SCHED_DEADLINE
    schedulers
  * stress-hyperbolic: add hyperbolic cosh, sinh and tanh function
    stressor
  * stress-inotify: clean up some comments
  * stress-intmath: add support for 128 bit integers
  * stress-workload: default --workload-threads to 2 instead of zero
  * stress-fanotify: remove from scheduler clas
  * stress-inotify: remove from scheduler class
  * stress-inotify: fix spelling mistake "timed" -> "timed out"
  * Manual: add SCHED_EXT to supported scheduling policies
  * README.md: add another kernel bug reference
  * core-sched: move SCHED_EXT #define to core-sched.h
  * README.md: Update contributors list
  * stress-ptr-chase: add new pointer chasing cache/pointer stressor
  * README.md: Update contributors list
  * stress-schedpolicy: log the name of the mismatched scheduler type
  * stress-bitops: make bitposition a int8_t type since all values
    are < 256
  * Revert "kernel-coverage: remove swap on loop-back filesystems"
  * stress-binderfs: perform binderfs on temp path subdirectory
  * kernel-coverage: remove swap on loop-back filesystems
  * stress-apparmor: use stress_mwc32modn() for size modulo'd random
    values
  * stress-x86cpuid: add some more x86 CPUID leaf checks
  * stress-prio-inv: Fix incorrect check for PTHREAD_PRIO_{INHERIT | NONE
    | PROTECT}
  * stress-dfp: fix copyright year
  * stress-dfp: add _Decimal32/64/128 floating point add/mul/div stressors
  * kernel-coverage: cater for minix 1 to minux 3 fs types
  * stress-cpu-sched: replace block/unblock functions with
    stress_cpu_sched_hrtimer_sigprocmask
  * stress-cpu-sched: add fork retries for other forks
  * stress-cpu-sched: add fork retries
  * README.md: add a Cygwin bug link
  * stress-cpu-sched: periodically fetch process run time stats
  * stress-cpu-sched: periodically read load average
  * stress-cpu-sched: fix missing "
  * stress-cpu-sched: exercise some linux sched specific proc files
  * stress-*: use stress_system_discard for discarded reads
  * stress-cpu-sched: periodically try to read
    /sys/kernel/debug/sched/debug
  * core-helper: add file read/discard helpers to read all data from a
    file
  * stress-cpu-sched: twiddle cpu slack on each timer reset
  * core-cpu: add virtual machine cpu ids
  * core-cpu: Add some more Hypervisor ID string in EBX,ECX,EDX strings
  * stress-cpu-sched: add some random SIGSTOP/SIGCONT on child processes
  * stress-set: cater for setrlimit returning -EINVAL on sigrlimit
  * stress-cpu-sched: replace clone with fork and ensure all child
    processes die
  * stress-cpu-sched: add RT hrtimer to change cpu and scheduler
  * stress-cpu-sched: add more mechanisms to select next cpu to use
  * stress-cpu-sched: exec stress-ng from a fork'd child for more stress
  * stress-exec: use capability check shim to check for root privilege
  * stress-cpu-sched: add randomization to SIGSTOP/SIGCONT on children
  * README.md: add another kernel fix link
  * README.md: replace tab with 4 spaces in build example guide
  * stress-sysbadaddr: move signal handlers earlier in child processes
  * Makefile.machine: check if objdump exists rather than readelf
  * stress-ng: add/remove some new lines
  * stress-ng: restructure loop stress_exclude_unsupported
  * stress-ng: remove extraneous ( )
  * stress-ng: remove some empty lines
  * stress-ng.h: remove #include <sys/param.h> from header
  * stress-ng.h: move #include <sys/param.h> to stress-env.c
  * stress-ng.h: move #include <time.h> to sources that just require it
  * stress-ng.h: move #include <sys/resource.h> to core-shim.h
  * stress-ng.h: move #include <dirent.h> to core-shim.h
  * stress-ng: mungify stressor names at startup time
  * stress-ng: remove space after \n in error messages
  * core-shared-heap: rename stress_shared_heap_deinit to
    stress_shared_heap_free
  * Manual: use an escaped ? (e.g. \?) in class option example
  * stress-prio-inv: make priority inheritance error a warning
  * core-*: stress-*: voidify returns from various sleep function calls
  * core-shim: explicitly specify int for params in shim_getcpu()
  * stress-*: voidify return from shim_nanosleep_uint64()
  * stress-cpu-sched: add some more sched_yield calls
  * core-*, stress-*: voidify returns from shim_sched_yield()
  * stress-cpu-sched: add a yield after each bogo-loop round
  * stress-cpu-sched: periodically move stressor instance to different CPU
  * stress-cpu-sched: periodically allow child to change it's CPU
  * stress-cpu-sched: add SCHED_RESET_ON_FORK flag to sched_setscheduler
    policy
  * README.md: Add some Cygwin bug report/fix URLS
  * Manual: updated notes about systems that provide sched_setaffinity
  * stress-cpu-sched: fix a couple of pedantic build warnings
  * stress-cpu-sched: add some function block comments
  * stress-cpu-sched: update short help info
  * core-cpu-sched: attempt to do autogroup adjustments for nice on Linux
  * stress-cpu-sched: add nice calls to clone'd process
  * stress-cpu-sched: add periodic clone process scheduler exercising
  * stress-core-sched: exercise set_mempolicy for more work
  * stress-cpu-sched: add some per child process time wasting mechanisms
  * stress-cpu-sched: add different ordering to pids
  * stress-cpu-sched: add random setpriority setting on child process
  * stress-cpu-sched: yet another scheduler stressor
  * core-thrash: read memory related proc files on Linux
  * core-lock: increase number of concurrent locks to 2 * STRESS_PROCS_MAX
  * Add new --stressor-time option to debug log the start/finish times
    of stressors

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 31 Oct 2024 09:50:48 +0000

stress-ng (0.18.05-1) unstable; urgency=medium

  [Denis Ovsienko]
  * README.md: Update Haiku particulars.
  * stress-fcntl: fix multiple workers on Haiku
  * stress-touch: Fix file name handling in stress_touch_dir_clean().
  * Exempt Haiku from scheduling tests.

  [Lukas Durfina]
  * stress-vm: use correct method names for error messages
  * stress-fp: support bf16

  [Colin Ian King]
  * Makefile: bump version
  * README.md: add another kernel bug report
  * stress-tree: only pack tree struct for 64 bit x86-64
  * stress-iomix: don't report an error in EINTR on lseek
  * stress-file-ioctl: only report there are no ioctls tested on instance 0
  * stress-ng.h: define NAME_MAX for systems that don't define this
  * stress-pseek: only define stress_peekio_pthread if using pthreads
  * README.md: add another kernel bug reference
  * stress-bad-ioctl: fix lock segfault on removal
  * stress-cpu: add comment about pcc warning in union exerciser
  * core-*: add gcc function attribute returns_nonnull for extra sanity
    checking
  * stress-vecfp: minor space adjustments in array declaration
  * stress-jpeg: break some long lines
  * Manual: add notes about support for stress-ng
  * README.md: add some more kernel bugs and performance improvement links
  * README.md: Add another research paper link
  * stress-fd-race: add even/odd fd stride close to random closing
  * kernel-coverage: fix btrfs option -csum, should be --csum
  * stress-close: clean up some block comments
  * Manual: Fix typo "spinemm" ->" "spinmem"
  * Manual: minor change, "note - " to "note: "
  * README.md: Update number of stressors, 350+
  * stress-dev: rename stat bufs to avoid name shadowing
  * core-*: add gcc function attribute nonnull for extra sanity checking
  * README.md: Add Lukas Durfina to contributor list
  * stress-sighup: add send/recv handshake over pipe and sync on child death
  * stress-sighup: add missing bogo-op counter
  * stress-pseek: cast offsets to intmax_t to print with %j format specifier
  * stress-icmp-flood: voidify return from stress_get_setting
  * stress-sighup: add SIGHUP stressor
  * stress-sigtrap: Fix short help, it has the wrong description
  * stress-sigabrt: Fix short help, it has the wrong description
  * stress-sigabrt: fix typo, SIGABORT -> SIGABRT
  * core-asm-riscv.h: fix typo in comment
  * stress-icmp-flood: add new --icmp-flood-max-size option
  * stress-schedmix: remove trailing whitespaces
  * stress-schedmix: add some randomness to deadline times
  * stress-schedmix: add select and pselect timed delays to sched mix
  * Makefile.machine: replace objdump with readelf to detect machine type
  * Makefile: add $(PRE_V) before eigen if statement
  * stress-jpeg: replace division with recipriocal multiply in plasma
  * stress-icmp-flood: don't keep on setting packet up on each loop
  * kernel-coverage: add /usr/sbin to $PATH
  * stress-fp: fix incorrect placement of #if defined for ibm128 division
  * stress-fp: add IBM powerpc ibm128 floating point add/mul/div operations
  * stress-far-branch: add --far-branch-flush option to try to flush
    instruction cache
  * README.md: update number of stressors, 350 are now available
  * core-helper: add root like detection for Cygwin
  * stress-dev: exercise more sound control ioctls
  * core-config-check: enable oom-avoid for containerized environment
  * stress-daemon: rename err exit labels for improved readability
  * core-klog: log audit kernel log messages
  * stress-dev: use strscpy for safe copying of strings
  * stress-pseek: pwrite/pread concurrent seek position stressor
  * Manual: fix --hdd rd-seq option description
  * Manual: fix --hdd rd-rnd option description
  * stress-hdd: ensure hdd_bytes_max is set to the max number of bytes
    written
  * kernel-coverage: add --change-cpu per stressor and use --ksm for vm
    stressor case
  * stress-iomix: exercise cachestat(2) with invalid flags and invalid fd
  * stress-cgroup: add more cgroup controls to read/write
  * stress-dev: exercise ioctl command TIOCCONS
  * stress-dev: add /dev/sg* devices to be exercised by stress_dev_scsi_blk
  * stress-dev: fix DM_LIST_VERSIONS ioctl and add some invalid ioctl calls
  * stress-dev: fix dm ioctl stressor, use /dev/mapper/control
  * stress-ng: remove check to stress_cwd_readwriteable
  * core-config-check: add hint to use --oom-avoid on low memory systems
  * Makefile: add source dependencies for stress-eigen-ops.o
  * kernel-coverage: add more per file system mount options for increased
    kernel coverage
  * stress-dev: exercise /sys/dev/* files on Linux systems
  * core-helper: add naive Haiku libc information detection
  * README.md: update contributors list
  * stress-binderfs: exercise binderfs dev entry removal
  * stress-mergesort: remove ALWAYS_INLINE from a comment
  * stress-sigq: exercise invalid rt_sigqueueinfo call
  * stress-xattr: exercise xattr on TMPFILE
  * stress-tlb-shootdown: break func args into multiple lines
  * stress-timerfd: minor alignment of data in source
  * stress-sparsematrix: minor optimization hints
  * stress-sock: make stress_send_error a PURE function
  * stress-full: only declare and use variable w for linux builds
  * README.md: Add LP#2080853 bug to known bugs found by stress-ng
  * stress-full: enable of Solaris, FreeBSD and NetBSD
  * stress-full: report errno for seek failures
  * stress-af-alg: fix two heap memory leaks
  * stress-af-alg: fix inverted assocdata allocation failure check
  * Makefile: add rebuild dependency on Makefile.machine
  * Makelfile.machine: remove tabbed empty line
  * core-sort: add copy/swap helper functions for specific and generic sizes
  * stress-fcntl: exercise Linux 6.12 F_CREATED_QUERY fcntl command
  * stress-acl: stress_acl_cmp: constify acl1 and acl2 arguments
  * core-helper: stress_get_libc_version: make educated guess that
    musl-libc is being used
  * stress-file-ioctl: voidify function arg fd if it's not used
  * core-helper: stress_get_fs_info: voidify filename if it's not used
  * Makefile: make musl-gcc detection more robust
  * README.md: Add another research paper link
  * Makefile: only define _FORTIFY_SOURCE if it's not defined
  * stress-numa: fix typo in comment
  * kernel-coverage: add --interrupts option to each test run
  * kernel-coverage: add --acl-rand option to acl stressor
  * kernel-coverage: add --mmap-slow-munmap to mmap stressor
  * kernel-coverage: add --memfd-zap-pte option to memfd stressor
  * kernel-coverage: add --get-slow-sync get stressor option
  * kernel-coverage: add --swap-self swap option
  * kernel-coverage: add --sockfd -1 --sockfd-reuse test case
  * kernel-coverage: add --yield -1 --yield-sched scheduler tests
  * kernel-coverage: add --c-state to cpu stress test case
  * kernel-coverage: add --cpu -1 --raplstat 1 --rapl test case
  * kernel-coverage: add --sem-shared option for sem stressor
  * kernel-coverage: add --sem-sysv-setall sem-sysv test case
  * stress-af-alg: put fixed sized buffers on the stack rather than heap
  * core-helper: make blocks the correct unsigned type
  * stress-file-ioctl: add some per-file system specific ioctls
  * kernel-coverage: add -v verbose option when running stressors
  * kernel-coverage: run procfs stressors for longer
  * stress-poll: exercise invalid fd being passed into poll()
  * stress-sem-sysv: add option --sem-sysv-setall
  * stress-dev: exercise linux /dev/bsd/* scsi block devices
  * core-setting: print bool type values as true or false
  * core-setting: remove need for dup'ing name string
  * stress-dev: replace __u32 with uint32_t to fix musl libc builds
  * core-*: print per-stressor settings when -v is enabled
  * stress-dev: check for autofs #defines for stress_dev_autofs_linux

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 2 Oct 2024 08:57:35 +0100

stress-ng (0.18.04-1) unstable; urgency=medium

  * Makefile: bump version
  * Makfile: add Makefile.machine to make dist rule
  * stress-dev: clean up build warning on non-x86 builds
  * stress-numa: rename ptr with str to fix name shadowing warning
  * stress-vm: remove debugging setting if in statement
  * Makefile.machine: add check for existence of readelf
  * core-ftrace: remove PURE attribute on void return functions
  * stress-*: fix vm memory % size parameter handling
  * stress-vm: provide more information when mmap fails
  * stress-numa: make all of buf map to the current numa node
  * stress-numa: parse /proc/self/numa_maps to see if buf is on the
    expected node
  * core-shim: remove a space
  * core-*: add PURE attribute to pure functions
  * core-killpid: constify variable saved_errno
  * core-cpu: re-order CPUID strings, add some missing examples
  * stress-umount: remove extraneous empty line
  * stress-udp: add missing empty line
  * stress-tmpfs: make variable i const
  * stress-sparsematrix: move pointer next to inner scope
  * stress-sockpair: convert nested if statement into switch statement
  * stress-sigurg: inline helper function stress_send_error
  * stress-sigsegv: remove empty line
  * stress-sigrt: remove empty line
  * stress-set: put rlimit resource ids into a const rlimit_resources array
  * stress-session: make function argument err const
  * stress-rotate: make variables lo and hi const
  * stress-rmap: clean up switch statement, make i a register
  * stress-resched: make variables percent and scale const
  * stress-pci: reduce scope of pointer next
  * stress-opcode: make variable tmp const
  * stress-nice: make variable which const
  * stress-mutex: make variable max const
  * stress-mmap: make variable offset const
  * stress-mlock: make variable mlocked const
  * stress-*: add power10 builtin check support
  * stress-mknod: constify variable j
  * stress-memcpy: use the o1 and o2 variants in the "all" method
  * stress-membarrier: remove empty line
  * stress-led: reduce scope of pointer 'next'
  * stress-klog: make buflen const
  * stress-insertionsort: constify variable tmp
  * stress-hdd: constify variable v
  * stress-hash: explicitly use float values in chi computation
  * stress-dev: add naive simple /dev/autofs exerciser
  * stress-chattr: add mmap'd page modification to file, add metrics
  * stress-dev: exercise /dev/cpu/0/msr ioctl reading of TSC
  * stress-dev: add /dev/cpu/0/cpuid device stressor
  * core-*: don't include <sys/sysctl.h> on Linux targets
  * stress-cpu: constify some variables and add register to some variables
  * stress-clock: constify variable clkid
  * stress-chattr: constify variable bitmask
  * stress-cgroup: constify variable offset
  * stress-cacheline: constify variable 'now'
  * stress-mlockmany: remove stray const in start of source
  * stress-bitops: constify some variables
  * stress-apparmor: constify variables, fix p wrap overflow using the
    ternary operator
  * Manual: add in recursive hints to CPU stressor manual
  * Makefile: improve machine detection and disable -fmodulo-sched for
    S390x builds
  * stress-*: constify stressor_info_t structs
  * stress-aiol: constify offset
  * stress-af-alg: remove JMP debug message
  * stress-acl: constify variables, clean up some code alignment
  * stress-*: voidify returns from sig*() calls
  * stress-sem: add --sem-shared option to share 1 semaphore with all sem
    instances

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 6 Sep 2024 22:37:12 +0100

stress-ng (0.18.03-1) unstable; urgency=medium

  [Aboorva Devarajan]
  * core-target-clone: fix power9 target build issue

  [Colin Ian King]
  * Makefile: bump version
  * stress-ng: add vector class to --class option
  * stress-dekker: fix failures for out-of-order processors
  * stress-ng: fix -x option for options with - in the name
  * stress-syscall: rename sigset to sigmask to avoid gcc-4.4 variable
    shadowing warning
  * stress-syscall: rename clock to clock_id to avoid gcc-4.4 variable
    shadowing warning
  * stress-shm-sysv: rename syscall to syscall_name to avoid gcc-4.4
    variable shadowing warning
  * stress-jpeg: rename func param time to whence to clean up gcc-4.4
    name shadowing warning
  * stress-fd-race: rename dirfd to dir_fd to avoid gcc-4.4 variable
    shadowing warning
  * stress-enosys: rename func param random to do_random to avoid name
    shadowing gcc 4.4 warning
  * core-shim: rename dirfd to dir_fd to avoid gcc-4.4 variable shadowing
    warning
  * README.md: move kernel issue to correct place in README file
  * README.md: add another kernel issue to bug list for 2024
  * stress-module: only increment bogo counter on successful module load
  * stress-module: check for .ko module name ending
  * stress-module: update module search failure message for compressed kos
  * stress-module: ignore compressed .xz modules
  * stress-module: try several test modules rather than just test_module
  * core-shim: return ret instread of errno in shim_posix_fallocate
  * stress-zlib: reduce checksum to 32 bits for faster compute
  * core-shim: remove unused variable ret
  * core-shim: make shim_posix_fallocate return error code on failure
  * core-shim: check ret rather than errno on posix_fallocate failure
  * core-shim: cater for EOPNOTSUPP in posix_fallocate failure
  * stress-lsm: move ctx and ctx_end to inner loop scope
  * stress-sigurg: clear bogo-op counter flag if child is killed during
    bogo inc
  * README.md: Add another research paper link
  * Manual: fix spelling mistake "subraction" -> "subtraction"
  * test/test-libgbm.c: replace whitespace with tabs
  * stress-dirdeep: remove debug printf statement
  * stress-personality: check for no personalities using supported
    callback
  * stress-efivar: remove need for packed attribute
  * stress-get: exercise getlogin at end of stressor loop
  * stress-uprobe: report why uprobe cannot be run with static builds
  * stress-get: remove redundant #ifdef
  * stress-bind-mount: check for multiple stat failures on bind mounted
    directory
  * stress-efivar: fix access checks and check on attribute
  * stress-efivar: specify efi var fields in terms of uint8_t types
  * README.md: add another kernel bug found with stress-ng
  * stress-inotify: remove const from helper void arg
  * core-cpuidle: ensure there is plenty of space for filename snprintf
    formatting
  * core-shim: only call stime for glibc < 2.31
  * stress-lsearch: clean up some more pointer constification warnings
  * stress-lsearch: clean up some constification warnings
  * stress-fibsearch: remove re-declaration of pointer ptr
  * stress-bsearch: clean up some constification warnings
  * stress-binderfs: stress_binderfs_supported: return -1 for non-linux
    builds
  * stress-zlib: correct comment for function stress_rand_data_inc16
  * stress-mergesort: minor optimization re-ordering tweaks
  * stress-heapsort: use copy and swap helper for different data sizes
  * stress-sigq: add sigq to IPC class of stressors
  * stress-*: add ipc (inter process communication) class
  * stress-misaligned: use CLOCK_PROCESS_CPUTIME_ID for timer
  * core-time: stress_duration_to_str: add flag report_secs to always
    report secs
  * stress-cgroup: add mount EBUSY retry. Also add mount/umount retry debug
  * core-config-check: fix memory load on string lowstr
  * stress-lockmix: add a mixed file locking stressor
  * core-config-check: warn if the run environment is not suitable for
    stress-ng
  * Manual: Fix grammar on --log-lockless description
  * *.c: remove trailing tabs and white space from ends of lines
  * stress-lsearch: use simpler check to speed up comparisons
  * stress-fibsearch: make array indexes ssize_t for potential -ve ranges
  * stress-bsearch: rename bsearch-ternary to ternary in method option
  * stress-bsearch: add a 3-way ternary search method
  * stress-lsearch: add a key sentinel search method
  * Makefile: add fibsearch (Fibonacci search) stressor
  * stress-hash, stress-tree: add stressors to search class
  * stress-bubblesort: rename bubblesort method to bubblesort-fast
  * stress-sort*: add sort class
  * stress-bubblesort: add bubblesort stressor
  * core-cpuidle: name busy state C0 for x86 and BUSY for other arches
  * README.md: add C-state residency example
  * stress-vm: stress_vm_mod: replace while loop with two if statements
  * core-cpuidle: add C-state measurements with --c-state option
  * kernel-coverage: add umount sanity check on umount failures
  * stress-*: add integer and fp classes
  * stress-vec*: remove CLASS_CPU_CACHE flag
  * stress-fd-race: add helper to close fds in different orders
  * stress-close: exercise flag field with close_range call
  * stress-inotify: remove empty line
  * stress-oom-pipe: fix valid fd check before closing the fd
  * stress-tee: ensure fd is closed on error exit path
  * stress-poll: use correct array index variable for closing fds
  * stress-link: exercise pathconf on oldpath instead of testpath
  * stress-session: close pipe fds on error exit path
  * stress-shm: close pipe fds on error exit path
  * stress-vm-segv: close pipe fds on error exit paths
  * stress-key: replace vararg system call with 5 arg system call
  * stress-fd-race: fix error return paths not cleaning up allocated
    resources
  * stress-close: clean up some file descriptor handling
  * stress-tee: fix error handling closes on pipe file descriptors
  * stress-x86syscall: initialize time1, time2 to zero
  * stress-workload: add check for non-null threads array
  * stress-sysbadaddr: close pipe fds if pipe succeeds
  * stress-inotify: avoid double close on fd
  * stress-syscall: fix fd leaks on pipes on tee syscall stress case
  * stress-daemon: clean up file descriptor closing on error return paths
  * core-helper: fix pipe file descriptor leak on error path
  * core-asm-ret: constify stress_ret_opcode
  * Makefile: add -fivopts -fmodulo-sched optimization options
  * core-target-clones: add power10 cpu support
  * Makefile: remove incorrect scan-build basename check
  * stress-vma: fix void * pointer arithmetic warning on data + offset
  * stress-*: exercise pathconf options on various files
  * stress-get: exercise getlogin since this is a syscall on *BSD systems
  * core-lock: use a single mapped page for all shared locks
  * core-lock: put lock functions into per lock type struct
  * README.md: add another reference link
  * stress-waitcpu: only use umwait for x86-64 and LP64 (non-x32 builds)
  * core-helper: rename stress_x86_smi_readmsr64 to stress_x86_readmsr64
  * core-lock: provide created locks a name to track locks
  * core-lock: add lock type into VMA anon name
  * stress-numa: mmap all allocations and name the anon VMAs
  * stress-numa: add simple page data checking
  * stress-ng: remove "signal" from signal termination message
  * stress-opcode: set child signal handlers before stress_shared_readonly
  * stress-*: add some more pointer constifications
  * stress-swap: produce more meaningful swap out metrics
  * stress-misaligned: replace "got stuck" with "not fully tested"
  * stress-resources: add stress_resources_access to access various
    resources
  * stress-utime: exercise a wide range of huge times with utime
  * Manual: add missing --ipsec-mb-feature option noaesni
  * stress-cyclic: reduce spamming of the same error message with many
    instances
  * stress-binderfs: check in init stage if binderfs mounts are supported
  * stress-intmath: fix incorrect class flags, should be CLASS_CPU |
    CLASS_COMPUTE
  * stress-ng: make g_opt_pause unsigned int and add pause time in
    progress time
  * core-log: increase per line log buffer to 8K
  * stress-ng: add pause option to add pauses between each stressor
    invocation
  * stress-ng: show settings even if no stressors are run
  * core-rapl: align stats with the tz stats
  * stress-intmath: add signed integer math + - * % operations
  * stress-waitcpu: replace ;; with ;
  * stress-prefetch: replace ;; with ;
  * stress-chattr: replace ;; with ;
  * core-vmstat: replace ;; with ;

 -- Colin Ian King <colin.i.king@gmail.com>  Sun, 1 Sep 2024 10:08:23 +0100

stress-ng (0.18.02-1) unstable; urgency=medium

  [Chunyu Hu]
  * stress-hrtimers: follow sched setting

  [Myd Xia]
  * stress-ng: add qnx support

  [Colin Ian King]
  * README.md: remove extraneous spaces in examples
  * README.md: Add RAPL power example
  * README.md: add a I/O permuted stressor example
  * stress-swap: clean up error messages when using stress_get_fs_type
  * core-helper: add ZFS magic
  * Add ELISA presentation "Improved system stressing with stress-ng"
  * Manual: fix spelling mistake "desciptors" -> "descriptors"
  * stress-physpage: fix zero fd check on close
  * stress-chattr: initialize IOC_GETFLAGS arg before calling ioctl
  * stress-sigurg: only use O_ASYNC if it is defined
  * stress-pty: include sys/ioctl.h, cleans up cygwin build warning
  * stress-sockfd: move rc and nbytes declaration into a code block
  * stress-sockfd: add #ifdef around FIONREAD ioctl
  * stress-physpage: use stress_mmap_populate for MAP_POPULATE mmaps
  * stress-zero: cast ptr to clean up mmap warnings
  * stress-sysfs: cast ptr to clean up mmap warnings
  * stress-procfs: cast ptr to clean up mmap warnings
  * stress-physpage: cast ptr to clean up mmap warnings
  * stress-munmap: cast mmap return to munmap_context_t * to clean up
    pedantic warning
  * stress-efivar: cast efi_var to void * for mmap and munmap
  * stress-fork: cast unmap_start to void * for munmap calls
  * stress-dev-shm: cast addr for mmap, mummap and msync calls
  * core-cpuidle: clean up pedantic warning with gcc 10.3.0
  * core-sched: remove unused function stress_set_deadline_sched
  * Manual: add missing deadline cyclic-policy option, rename ff to fifo
  * stress-cyclic: clear up pedantic warnings when no cyclic methods are
    available
  * stress-cyclic: clear up pedantic warnings when no scheduling policies
    are available
  * stress-logmath: fix build issue on Nixos, need lvalue
  * stress-expmath: fix build issue on Nixos, need lvalue
  * stress-sigurg: ignore return from F_SETFD fcntl call
  * stress-gpu: trim newline off infoLog messages
  * stress-open: report number of fds to be used after they have been
    adjusted
  * stress-open: shrink number of fds if allocation is too large
  * stress-oom-pipe: shrink number of fds if allocation is too large
  * stress-sockfd: limit to 1024 * 1024 file descriptors
  * stress-fd-race: limit to 1024 * 1024 file descriptors
  * stress-userfaultfd: add missing HAVE_POLL_H and HAVE_POLL checks
  * stress-sysbadaddr: add missing HAVE_POLL for bad_poll function
  * stress-sigurg: remove redundant variable msgs
  * stress-fd-race: remove unused variable writes
  * stress-mq: only declare fds if poll() is available
  * Makefile: disable smi stressor for regression tests
  * stress-signest: add missing SIGURG signal
  * stress-shm: retry shm mmap without MAP_ANONYMOUS if EINVAL is returned
  * stress-fractal: cast info.data to void * for munmap call
  * stress-ng: cast mmap return to stress_pid_t *
  * stress-fd-race: move stress_fd_race_context_t declaration
  * stress-fd-race: add build time check for pthread barrier support
  * stress-bad-alt-stack: use zero_stack instead of bad_stack
  * stress-ng: use localtime for completion times
  * stress-ng: report permuted stressors and show progress
  * stress-sigurg: add a SIGURG out-of-band socket signal stressor
  * stress-sigpipe: initialize data before loop
  * stress-sigpipe: remove need for a parent/child mechanism
  * stress-sigill: add a SIGILL illegal instruction signal stressor
  * stress-sigvtalrm: fix help information
  * stress-*: add CLASS_SIGNAL class flags to stressors that generate
    signal loads
  * stress-sigvtalrm: use user time as run time count check not wallclock
    time
  * stress-sigvtalrm: sanity check signal count after 1 second of run time
  * stress-sigvtalrm: add SIGVTALRM signal stressor
  * stress-*: add built time check for poll() system call
  * stress-fd-race: randomize syscalls on fd's
  * README.md: add another link to a research paper
  * stress-ng: sanity check if excluded stressor name is valid
  * README.md: update number of stressors
  * stress-fd-race: add ignore list of files not to exercise
  * core-numa: ensure pointer str is initialized to NULL
  * stress-fd-race: add a new stressor to race file descriptor access and
    closing
  * core-lock: use #if/#elif rather than many #if/#endif sequences
  * core-ftrace: make char * pointer num const
  * stress-h*: add syncwait proc state for --sync-start state waits
  * stress-*: add syncwait proc state for --sync-start state waits
  * core-ignite-cpu: remove unused field cur_freq from struct
    stress_cpu_setting_t
  * core-cpu-cache: rename index to idx to avoid name shadowing on index()
  * core-affinity: only set cpu affinity if CPU affinity bits are set
  * core-time: stress_duration_to_str: emit 0 secs if no time has been
    formatted
  * stress-brk: add sanity check for sbrk always returning out of memory
  * stress-spinmem: add CLASS_CPU_CACHE to class flags
  * stress-ramfs: abort early on mount/umount EPERM errors
  * stress-ramfs: cater for EPERM on containerized umount failure
  * stress-io-uring: cater for EPERM on containerized io-uring setup
    permission denied
  * README.md: make packages list more compact
  * stress-umount: cater for EPERM on containerized mount failure
  * stress-reboot: cater for EPERM on containerized reboot call failure
  * stress-ramfs: cater for EPERM on containerized mount failure
  * stress-netlink-proc: fix skipped rc code, it should be EXIT_NO_RESOURCE
  * stress-numa: skip stressor on EPERM on get_mempolicy
  * stress-netlink-proc: skip stressor on EPERM on bind (containerized)
  * stress-key: skip stressor on EPERM on add_key in container
  * stress-fp-error: relax fp pedantic error checking for musl-gcc builds
  * core-helper: fix macro typo HAVE_COMPILER_MUSC -> HAVE_COMPILER_MUSL
  * stress-binderfs: cater for EPERM on containerized mount failure
  * stress-cgroup: cater for EPERM on containerized mount failure
  * core-thrmal-zone: constify dirent pointer entry
  * core-thrash: constify dirent pointer d
  * core-mounts: constify pointer mnt
  * core-resources: stress_resources_free: constify args parameter
  * core-rapl: constify pointer entry
  * core-numa: constify pointer str
  * core-process: constify pointer ptr
  * core-module: constify pointer l
  * core-cpu-cache: only define type stress_generic_map_t for Linux builds
  * core-cpuidle: constify pointers cpu_d and cpuidle_d
  * stress-rdrand: fix build issues where HAVE_SEED_CAPABILITY is not
    defined
  * core-parse-opts: add stress_get_{int|uint} prototypes
  * stress-sigabrt: remove volatile from struct pointer sigabrt_info
  * README.md: Add Linux Foundation 2024 ELISA presentation link
  * core-madvise: use unsigned int for major and minor
  * core-perf: add maple_tree/ma_op event
  * stress-bind-mount: skip stressor we don't have access
  * stress-waitcpu: Fix umwait0 and umwait1
  * stress-*: name mmap'd regions to help debugging
  * core-helper: add libc version to yaml output
  * stress-ng: remove trailing tab
  * core-lock: name anonymous mappings
  * stress-ng: name anonymous mappings
  * core-*: name anonymous mappings
  * stress-vma: use stress_set_vma_anon_name to set anon vma name
  * stress-vma: add more prctl macro build time checks
  * Manual: update vma stressor description, 32 pages now being exercised
  * stress-vma: name anonymous pages with prctl
  * stress-vma: move stress_vma_continue_flag to enable mapped regions
  * stress-ng: remove empty lines, reformat a comment block
  * stress-ng: inline helper function stress_get_num_stressors
  * stress-ng: inline helper function stress_append_stressor
  * stress-ng: munge stressor names using stress_readable_name helper
  * stress-ng stress_run_sequential: remove continue if statement
  * stress-jpeg: remove debug
  * stress-jpeg: fix overflow with brown noise generator
  * stress-ng: stress_exclude_unsupported: add check for null
    stressor->info
  * stress-spinmem: new spin write/read parent/child stressor
  * stress-ng: add stress_readable_name to munge stressor names into a
    readable form
  * stress-ng: remove stressor id, it's now deprecated
  * stress-ng: stress_exclude_unsupported: match stressors by address and
    not id
  * stress-ng: rework if (ss->ignore.run) comparisons
  * stress-ng: remove stressor_find_by_name
  * stress-ng: remove need to call stressor_find_by_id to find stressor
  * stress-netlink-task: add static analysis sanity check on nlmsgbuf_len
  * stress-opcode: check for small text lens before proceeding
  * stress-signess: use STRESS_BIT_ULL for bitmask setting (part 2)
  * bash-completion: refresh with new stressor options
  * stress-chroot: add missing ( ) around && errno expressions
  * stress-ng: fix SIGTERM on parent causing child to return bogus
    EXIT_SIGNALED
  * stress-sock: set starting port to 2000
  * stress-*: use globally defined MIN_PORT, MAX_PORT and cater for port
    wrap-around
  * core*: stress-*: Fix various spelling mistakes and typos
  * stress-usersyscall: Fix spelling mistake "syscallls" -> "syscalls"
  * stress-chroot: allow EINVAL and ENAMETOOLONG for Haiku chroot syscall
  * stress-madvise: add missing help in opts for unsupported builds
  * stress-cache: make cache_flags non-clobberable over vfork
  * stress-vm: only define stress_vm_flags when required
  * stress-lease: use opts instead of opt_set_funcs
  * stress-vecfp: use .opts instead of .opt_set_funcs
  * stress-plugin: fix plugin-so option for unimplemented stressor build
    case
  * stress-besselmath: update to ops for unsupported build paths
  * Manual: fix example code in plugin documentation
  * core-thrash: process fdmem seeking in off_t space
  * stress-dirmany: check for unlikely very small filenames
  * core-helper: stress_exec_text_addr: cater for text end is less or
    equal the text start
  * stress-netlink-task: avoid underflow on nlmsgbuf_len
  * stress-prio-inv: compute non-negative nice_div
  * core-helper: check for failed sysconf when calculating memory size
  * core-shim: ensure underflow never occurs on emulated fallocate writes
  * core-parse-opts, stress-*: use stress_unimplemented_method for
    unimplemented methods
  * core-parse-opts: remove debug and cater for zero method options
  * stress-signest: use STRESS_BIT_ULL for bitmask setting
  * core-parse-opts: remove stress_check_power_of_2
  * core-*, stress-*: use new table-driven option parsing
  * README.md: update static build notes for Android
  * README.md: update contributor list
  * stress-mmap: add MAP_DROPPABLE (Linux 6.11+)
  * Makefile.config: add LDFLAGS workaround for older versions of make
  * test-lib*: reference the contents of the function arrays
  * stress-unlink: no need for mode flags when opening existing file
  * stress-bitops: clz(0) -> 32 and not 0, fix this
  * stress-bitops: add macro to handle undefined return for the clz(0) case
  * stress-bitops: use stashed checksum to ensure all computations are
    performed
  * stress-signest: remove unused function stress_signest_find
  * stress-bitops: fix build error with clang-19
  * stress-bitops: handle zero cases for ctz and clz, add 0x for PRIx
    formats
  * README.md: add another kernel bug reference
  * core-shim: fully define shim'd statx struct
  * Manual: Add Bit Twiddling Hacks and Hacker's Delight references
  * stress-bitops: Add new bitops stressor --bitops
  * core-vmstat: only report raplstat if delay > 0
  * README.md: add another kernel bug found with stress-ng
  * stress-cgroup: remove tabs at end of lines
  * stress-signest: exercise RT signals if they are available
  * core-helper: stress_get_signal_name(): add RT signal names
  * core-time: fix time reporting where duration > 60 seconds and
    duration % 60 == 0
  * core-rapl: ignore short time measurement or zero power measurements
  * stress-ng: add --rapl and --raplstat RAPL power measurements

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 31 Jul 2024 12:47:37 +0100

stress-ng (0.18.01-1) unstable; urgency=medium

  [Daniel Andriesse]
  * stress-vecwide: fix verify option by setting results vector res

  [Po-Hsu Lin]
  * stress-cache: check RISCV_HWPROBE_EXT_ZICBOZ support for
    stress_cache_bzero

  [Sergey Matyukevich]
  * mmapfork: add --mmapfork-bytes option to specify mmap size

  [Colin Ian King]
  * Makefile: bump version
  * stress-ng: cast s_pids to void * in munmap to clear up OpenHipster
    build warning
  * stress-fsize: reduce scope of variable offset
  * stress-pci: reduce scope of i and n_devs
  * stress-landlock: reduce scope of ruleset_fd
  * stress-cgroup: reduce scope of array values and make it static const
  * stress-cache: reduce scope of some variables
  * stress-munmap: add sscanf string size limit to avoid potential buffer
    overflows
  * core-thermal-zone: use PRIu32 format specifier for uint32_t type
  * core-madvise: add sscanf string size limit to avoid potential buffer
    overflows
  * stress-chroot: just report chroot escapes with instance 0
  * stress-ng: make stress_pid_t state flag 8 bits
  * stress-kvm: add early /dev/kvm open permission checking
  * stress-fractal: report co-ordinates as (xmin, ymin) .. (xmax, ymax)
  * stress-ng: comment the stress_pid_t helper functions
  * stress-ng: add atomic load/store helpers for stress_pid_t state
  * core-shared-heap: increase initial size of shared heap
  * stress-ng: always send a SIGCONT to a waiting process
  * stress-prio-inv: indicate a force killed bogo op-counter state when
    child exits
  * stress-ng: remove stress_sync_start_cont, and remove debug
  * stress-open: don't populate mmap'd fd array, it may not be all used
  * stress-ng: stress_sync_start_cont_list: check against number of pids in
    list
  * stress-ng: stress_sync_start_cont_list: take into account finished
    stressors
  * stress-timerfd: configure timer after sync start has completed
  * stress-ng: remove unused variable waiting
  * stress-ng: add delay while waiting for stressors to start in loop
  * stress-timer: configure timer after sync start has completed
  * stress-itimer: configure timer after sync start has completed
  * stress-munmap: fix incorrect clz where size_t is not long long
  * stress-min-nanosleep: fix incorrect clz where size_t is not long long
  * core-thermal-zone: clean up formatting of multiply tz names
  * stress-goto: reduce optimization level for clang
  * stress-yield: fix build for various non-linux systems
  * stress-pci: move stress_set_pci_dev to support all arches
  * stress-min-nanosleep: provide unknown sched name
  * stress-min-nanosleep: fix build for various non-linux systems
  * core-ops: forgot to commit the io-uring-rand option
  * io-uring: add --io-uring-rand option for randomized io-uring ops
  * stress-io-uring: reduce memory impact for smaller memory systems
  * stress-*: remove trailing whitespaces
  * Add --sync-start option
  * README.md: add 4 more kernel issues found with stress-ng
  * stress-min-nanosleep: report scheduler name
  * stress-cpu: minor code clean-ups
  * README.md: update contributors name list
  * stress-cpu: matrixprod: align matrices
  * stress-cpu: idct: re-factor, move some calculations out of loop
  * stress-cpu: fft: align data and pass as restrict pointers
  * stress-min-nanosleep: use the more optimal log2 function
  * stress-sleep: fix expected C state delay, fix typo for selects message
  * stress-min-nanosleep: report shorted nanosleep measurement
  * stress-min-nanosleep: add check for short nanosleeps
  * README.md: add Sergey Matyukevich to contributors list
  * Manual: add missing --mmapfork-bytes manual option
  * stress-min-nanosleep: add stressor that measures minimum nanosleep
    delay times
  * stress-*: pass the number of stressor instances into the stressor init
    callback
  * core-time: check for CLOCK_REALTIME when using it
  * stress-sleep: use monotonic clock and stress_time_now() clocks for time
    measurement
  * stress-sleep: fix typo "to" -> "took"
  * stress-yield: add --yield-sched scheduler options
  * stress-*: use core-sched.h to define HAVE_SCHED_{GET|SET}_ATTR macros
  * core-sched: define HAVE_SCHED_GETATTR and HAVE_SCHED_SETATTR
  * README.md: add one more research paper that references stress-ng
  * stress-workload: use stress_sched_types for scheduler type information
  * stress-schedpolicy: use stress_sched_types for scheduler type
    information
  * stress-schedmix: use stress_sched_types for scheduler type information
  * core-sched: allow stress_sched_types to be in global scope
  * stress-monte-carlo: print monte-carlo computations as debug
  * stress-ping-sock: add pre-run check and explain why it may fail with
    EPERM
  * stress-ng: report stressor name in munged format, replace _ with -
  * lib: remove build dependency on libgcrypt20
  * stress-workload: make c static since it's used in pthread contexts
  * stress-pci: Add a new --pci-dev option to specify the pci device
  * stress-shellsort: remove empty line
  * stress-pci: use strcmp on dentry name for sort ordering
  * stress-io-uring: use O_DIRECT when it is available on files

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 3 Jul 2024 18:33:42 +0100

stress-ng (0.18.00-1) unstable; urgency=medium

  [Fabrice Fontaine]
  * core-sched.c: fix uclibc-ng build
  * stress-sock.c: fix build without SO_ZEROCOPY

  [Hsieh-Tseng Shen]
  * stress-cache: add stress_cache_bzero() to support cache-based bzero
  * core-asm-riscv.h: support riscv zicboz ext cbo.zero instruction

  [John Kacur]
  * stress-ng: stress-stream: Fix use of uninitialized variable

  [Po-Hsu Lin]
  * core-ops: fix --logmath-ops option
  * core-ops: fix --binderfs-ops option

  [Colin Ian King]
  * stress-mincore: cater for mincore on NULL returning ENOMEM on kfreebsd
    systems
  * stress-vm-segv: only use mprotect if system call is supported
  * stress-mseal: only use madvise if system call is supported
  * README.md: add two more research papers that reference stress-ng
  * stress-cache: add STRESS_ARCH_RISCV check and voidify func args for
    non-RISC-V
  * stress-flock: voidify i for non-linux builds
  * stress-af-alg: add more verification when using --verify
  * README.md: add another research paper citation
  * Manual: add a couple more stress-ng examples
  * stress-vm-segv: don't unmap self for OS X
  * core-lock: use stress_asm_loong64_dbar for loong64 relax spin lock
    delay
  * stress-urandom: ignore ENOSYS system call returns
  * stress-sigsegv: allow BUS_ADRERR for bus error codes
  * stress-fcntl: add Linux 6.10 fcntl command F_DUPFD_QUERY, improve
    checking
  * stress-cache: remove extraneous {
  * stress-cache: remove unused cache flags more succinctly
  * core-lock: disable atomic spin locks for ARM
  * stress-af-alg: replace spaces with tab in indentation
  * core-resources: allocate mutexes for each resource array loop
  * core-resources: use ISO C mtx mutex resources
  * stress-af-alg: add forced abort after 5 seconds of alarms
  * stress-af-alg: add checks for EINTR on recv/send calls
  * core-mincore: add MADV_POPULATE_WRITE to madvise flags
  * core-vecmath: add check for 32 bit PPC to work around build issue
  * core-lock: only perform backoff for fast CPU relax pauses
  * README.md: add another kernel issue found by stress-ng
  * stress-efivar: ensure stress_efi_var_t is aligned to clean up build
    warning
  * core-lock: remove ARM yield, fallback to shim_sched_yield
  * core-cpu-cache: fix bitmask of cache coherency line size
  * core-lock: fix missing spinlock destroy when removing a spinlock
  * Makefile: allow COVERITY=1 to disable macros that confuse cov builds
  * stress-mseal: cast pointer to uint8_t * to clean up void * pointer
    addition warnings
  * stress-vm-segv: make addr a uint8_t * pointer to simplify pointer
    addition
  * stress-*: rename variable index to avoid name shadowing with lib
    function index
  * stress-sysbadaddr: reduce scope of variable newargv
  * stress-sleep: ensure residency_ns is computed using unsigned long
    multiplication
  * stress-nanosleep: reduce scope of variable i
  * stress-mmaphuge: reduce scope of array filename
  * stress-mmapfiles: reduce scope of variable delta
  * stress-iomix: reduce scope of variable ret
  * stress-fork: reduce scope of variable pid
  * stress-dirname: rename dirname to dirpath to avoid name shadowing
    dirname function
  * stress-dirdeep: constify char * pointer name
  * stress-crypt: reduce scope of string str
  * stress-cgroup: reduce scope of some variables
  * core-config-check: constify static char array path[]
  * stress_rndstr: remove decrement of len in stress_rndstr, make len
    const
  * core-ftrace: constify a few char * pointers
  * stress-sysbadaddr: add mseal()
  * stress-sysinval: add mseal
  * stress-enosys: add mseal system call
  * stress-vm-segv: force stack segv by mprotecting pages to PROT_READ
  * stress-vm-segv: force zero optimization to ensure stackvar is on stack
  * stress-vm-segv: ensure stackvar is written to and read from
  * stress-bad-altstack: fix OpenBSD, add MAP_STACK and don't throw errors
  * stress-vm-segv: unmap stack to force SIGSEGVs in child
  * core-cpu-cache.h: include <stdarg.h> for shim_builtin_prefetch()
  * stress-timerfd: open file_fd before all timer fds are opened
  * stress-mmap: make rc non-clobberable due to longjmp
  * core-shim: force emulation if posix_fallocate returns EINVAL
  * stress-mseal: replace variable fail with boolean keep_running
  * Makefile.config: remove some debug echos
  * stress-mseal: add Linux 6.10 mseal system call exercising stressor
  * Makefile.config: add libgmp when checking libmpfr
  * stress-mutex: remove OpenBSD sleep
  * core-mwc: re-work mwc*modn() using bit masking and removing modulo
    operation
  * stress-vm-segv: remove clflush for OpenBSD as this causes issue
  * stress-mlock: ensure max is not larger than the max number of mappings
  * stress-mutex: fix some potential race issues
  * stress-mutex: NetBSD requires the yield and sleep
  * stress-mutex: use zero usleep instead of yield for NetBSD
  * core-shim: emulate posix_fallocate for FreeBSD
  * stress-sigsegv: remove __OpenBSD__ check now that BUS_OBJERR is used
  * stress-sigsegv: handle SIGBUS code with correct BUS_OBJERR
  * stress-fp-error: relax fp error checks on soft-float builds
  * README.md: add another citiation
  * stress-schedmix: remove trailing space at end of a line
  * core-mwc: remove tab in empty line
  * core-mwc: use stress_get_machine_id to add extra data to seed
  * core-helper: add stress_get_machine_id to get a 64 bit machine id
  * stress-dup: only use O_CLOEXEC if it is defined for dup3 calls
  * stress-tun: cast int value to uint8_t type for PRIu8 format
  * stress-schedmix: ensure all pids in pids array are initialized to -1
  * stress-dev-shm: use correct format strings for unsigned type
  * core-parse-opts: use correct format strings for unsigned types
  * core-ignite-cpu.c: use correct format strings for int types
  * stress-vnni: force -O2 at -Os/-Oz as well
  * core-helper: fix spelling mistake in comment
  * stress-ng.h: increase per-stressor metrics STRESS_MISC_METRICS_MAX
    to 96 for af-alg
  * stress-loadavg: remove system limit of pthreads when reducing
    loadavg-max
  * core-ftrace: show failed open filename in error message
  * stress-besselmath: use double precision for check sum on float bessel
    functions
  * stress-netlink-task: break out of loop on EINTR or EAGAIN sendto
    errors
  * stress-vm: remove redundant assignments to pointer ptr
  * stress-prime: remove redundant assignment to variable rate
  * stress-munmap: fix file descriptor resource leak on error return path
  * stress-af-alg: add some sanity checks on digest and info args
  * stress-fault: ensure buffer is zero'd
  * core-job: zero string txt, keep cppcheck happy
  * clear up pedantic cppcheck warning
  * core-builtin.h: remove long cast workaround macros for Bessel shim
    wrappers
  * core-buildin: fix j*l macros
  * core-lock: uncomment #undefs used for debugging new locks
  * stress-dev: include missing <sys/ioctl.h>
  * stress-ng.h: move #include <sys/times.h> into sources that require it
  * stress-ng.h: move #include <stdarg.h> into sources that require it
  * stress-ng.h: remove #include <sys/file.h>, it was commented out
  * stress-ng.h: move #include <sys/file.h> into sources that require it
  * stress-ng.h: move #include <sys/ioctl.h> into sources that require it
  * core-shim: add __NR_fallocate check for fallocate syscall
  * stress-ng.h: move #include <ctype.h> into sources that require it
  * README.md: add two more kernel improvement references
  * stress-ng: make stress_exclude_unimplemented static
  * stress-ng.h: remove commented out math.h include
  * stress-ng.h: move <math.h> into sources that require it
  * stress-*: add ( ) around expressions
  * core-*: add ( ) around expression
  * core-cpu-cache: fix misplaced )
  * core-parse-opts: use standard seconds in a year and not equinoctial
    seconds
  * core-lock, stress-mtx: add build time checks for mtx_destroy, mtx_init
  * stress-mtx: add mtx_t check and remove need for stack size attr
  * core-lock: add OSI C mtx mutex option for locking
  * stress-mtx: remove includes that are not required
  * core-lock: lock name for sysv semaphore
  * stress-mutex: fix --mutex-procs option
  * stress-mtx: Add new ISO C mtx (mutex) stressor
  * stress-besselmath: add a new Bessel function stressor
  * stress-sockfd: voidify return from stress_socket_fd_send
  * stress-insertionsort: add new insertion sort stressor
  * core-ops: fix --powmath-ops option
  * Manual: update list of classes for the --class option
  * stress-ng: annotate stress_sigalrm_info_t fields and make sigalrm_info
    static
  * stress-ng: add global lock create/destroy helpers
  * stress-ng: fix incorrect name of function in comment
  * stress-sockfd: add new --sockfd-reuse option to re-use file descriptor
  * Manual: add size of the matrix-3d stressor matrix to the documentation
  * Manual: add size of the matrix stressor matrix to the documentation
  * core-ops: fix --expmath-ops option
  * stress-zlib: add metric for the amount of input data that has been
    compressed
  * stress-sigchld: replace debug SIGCHLD stats with metrics
  * stress-seek: add total number of seeks metric
  * stress-rawpkt: move debug packet stats to metrics
  * stress-link: add link create/remove rate metrics
  * stress-key: add successful key add/operation/remove rate as metric
  * stress-icmp-flood: replace sendto % success debug with metrics
  * Makefile: remove empty lines
  * stress-dup: add number of dup calls as a metric
  * stress-aiol: add total number of successful async I/O events metric
  * stress-factor: report maximum factor digit size as a metric
  * stress-aio: report total number of async I/O signals using metrics
  * stress-*: rename GEOMETRIC_MEAN and HARMONIC_MEAN metric macros
  * stress-prime: add metrics for total primes found and maximum digits
    found
  * stress-ng: add metrics for total and maximum values
  * stress-*: Remove HOT attribute
  * stress-cpu: add more information on ackermann failure message
  * stress-fractal: use stress_lock_acquire_relax() to reduce atomic lock
    contention
  * core-lock: add stress_lock_acquire_relax()
  * stress-lsm: use ~0 for invalid ctx addr, re-work error messages
  * stress-nanosleep: remove "just" from C states message
  * stress-ipsec-mb: remove "none detected" if no features are found
  * stress-ng: no need to check metrics if no stressors actually ran
  * stress-ng: report unimplemented stressors early and don't execute them
  * stress-rawdev: remove duplicated rawdev name in skipped message
  * stress-lsm: remove whitespace in tabs
  * stress-lsm: fix missing shim_lsm_set_self_attr helper
  * core-lock: include asm headers for arch specific pause/yield ops
  * stress-rtc: ignore ioctl EINVAL errors if the ioctl is not implemented
  * stress-rtc: ignore RTC_ALRM_READ EINVAL errors if the ioctl is not
    implemented
  * stress-crypt: fix performance issues with crypt_r data
  * core-shim: add mseal shim wrapper
  * stress-lsm: exercise lsm set with invalid ctx_len
  * core-lock: always inline helper function stress_lock_valid()
  * core-lock: add pause/yield in spinlock for architectures other than
    x86
  * core-asm-arm.h: declare stress_asm_arm_yield when HAVE_ASM_ARM_YIELD
    is defined

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 6 Jun 2024 09:15:11 +0100

stress-ng (0.17.08-1) unstable; urgency=medium

  [ruihongw]
  * fix spelling of lsm_list_modules in Makefile.config

  [Yiwei Lin]
  * Fix unterminated cpu-stress if non 0% or 100% load

  [Colin Ian King]
  * Makefile: bump version
  * stress-epoll: fix missing space after comma in error messages
  * README.md: add another bug found by stress-ng
  * stress-sigfpe: report SIGILL trap information when --verify is used
  * stress-sigfpe: handle unexpected SIGILL signals
  * stress-rtc: silently ignore RTC sys read EINVAL errors
  * stress-rtc: don't fail on ENOENT errors
  * stress-tsearch: remove double comma
  * stress-rtc: fix error handling, don't fail on EINTR or EPERM
  * stress-mergesort: remove MAP_32BIT
  * stress-mergesort: fix out of bounds copy
  * stress-unlink: use shim'd versions of fsync and fdatasync
  * stress-swap: ensure opt_set_funcs and stress_set_swap_self are
    declared for all builds
  * stress-io: fix build issues when HAVE_SYNCFS is not defined
  * core-out-of-memory: move #define of WAIT_TIMEOUT to fix non-linux
    builds
  * stress-judy: clean up variable shadowing warning
  * stress*: Add compute to the --class option for high compute stressors
  * stress-prime: fix spelling mistakes in comments
  * stress-factal: fix spelling mistake of Mandelbrot
  * stress-ng: fix --permute with checksum verification enabled
  * stress-fractal: minor tweaks to reduce front end delays and improve
    core utilization
  * stress*: Add search to the --class option for searching stressors
  * Manual: remove duplicated comma
  * stress-fault: fix fd leak on error path
  * stress-fractal: add Mandelbrot and Julia set fractal stressor.
  * stress-*: clean up errno handling
  * core-ftrace: remove redundant initialization of pointer num
  * core-klog: remove redundant initialization of pointer msg
  * stress-yield: constify variable residual
  * Manual: waitcpu: add more per-processor notes for waiting
    instructions
  * stress-yield: add --yield-procs option, specify child processes per
    stressor
  * stress-forkheavy: fix typo in comments forke -> fork
  * Makefile: improve toolchain detection, fixes scan-build builds
  * stress-pidfd: ensure return code in rc is returned to parent
  * stress-mq: ensure child rc status is returned to parent
  * stress-judy: re-work rc status so the default is EXIT_FAILURE
  * stress-hsearch: ensure rc is set to EXIT_SUCCESS for success path
  * stress-file-ioctl: assign rc to EXIT_NOT_IMPLEMENTED and not ret
  * stress-close: remove redundant assignments to rc
  * core-mwc: remove unused 32 bit mwc implementation
  * Makefile.config: fix float checks, need LIB_MATH not LIB_M
  * stress-prime: add --prime-start N option to specify starting point
    of search
  * stress-fork: add #ifdef check around MADV_PAGEOUT
  * stress-swap: add --swap-self option to force self process pages out
  * stress-fork: make --fork-pageout more aggressive, do all maps
  * stress-prime: remove empty line
  * stress-fork: add --fork-pageout option to force pages to be paged out
  * stress-prime: add hourly prime rate in --prime-progress output
  * README.md: update contributors list
  * stress-prime: move variables and a function to clean up build warning
  * stress-enosys: fix typo: SYS_lsm_modules -> SYS_lsm_list_modules
  * Manual: clarify the time between each prime progress update
  * core-builtin: fix macros and shims
  * Manual: add new --primes-progress option, fix prime-ops name
  * core-log: don't report timestamp if localtime_r does not exist
  * stress-prime: add --prime-progress option to periodically show prime
    finding progress
  * stress-prime: add long integer prime computations stressor
  * stress-factor: fix short description of stressor
  * stress-unlink: add end of test check in link phase, add missing
    deinit state
  * stress-unlink: make file syncs less frequent
  * core-config-check: minor re-phrasing of scaling governors note
  * stress-unlink: remove some whitespaces
  * stress-unlink: use random open flags
  * stress-unlink: add occasional fd sync'ing and data syncing
  * Manual: correct the --vm-bytes description.
  * stress-unlink: add new stressor to exercise concurrent racing unlink
    calls
  * stress-dev: add a few more HID specific ioctls
  * stress-dev: add linux frame buffer /dev/fb* ioctl exercising
  * core-version.h: wrap macro parameters with ( )
  * core-io-priority: wrap macro parameters with ( )
  * core-builtin: wrap macro parameters with ( ), align macros
  * Manual: replace ',' with '|' in the --prio-inv-policy option
  * Manual: replace ',' with '|' in --fd-fork-file option
  * core-builtin: fix brackets on shim'd helpers shim_ccosl and
    shim_csinl
  * stress-get: add --get-slow-sync option to force get system calls to
    be in sync
  * stress-zlib: use shim wrapped sin function
  * stress-remap: remove empty line
  * stress-monte-carlo: use shim'd math functions
  * core-builtin: add hyperbolic sin, cos float and double shim wrappers
  * stress-*: constify variables
  * core-helper: remove duplicated null check on gpu_freq
  * stress-*: ensure EXIT_FAILURE is returned on failures
  * stress-sockdiag: rename rc to ret and ret to rc
  * stress-cacheline: ensure EXIT_FAILURE is returned on data corruption
  * stress-bsearch: ensure EXIT_FAILURE is returned on data mismatches
  * stress-ng: set success flag to false on EXIT_SIGNALED exits
  * stress-bitonicsort: ensure EXIT_FAILURE is returned on data
    mismatches
  * stress-bigheap: ensure EXIT_FAILURE is returned on memory failures
  * stress-affinity: remove space
  * stress-matrix-3d: ensure EXIT_FAILURE is returned on data mismatch
  * stress-matrix: ensure EXIT_FAILURE is returned on data mismatch
  * stress-ng: fix missing FAILED flag increment for EXIT_SIGNALED state
  * stress-fma: increment b in add231 to force use of fma instruction
  * stress-filename: make static array posix_allowed const
  * stress-acl: make static array stress_acl_tags const
  * stress-workload: add some constifications and UNLIKELY on an if
  * stress-io-uring: improve termination by enabling various flags
  * core-out-of-memory: give at least 2 minutes before giving up waiting
    for OOMable child processes
  * stress-ng: bail out with EXIT_NO_RESOURCE on sched_settings_apply
    call
  * stress-inotify: replace __s32 with int32_t

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 2 May 2024 08:30:57 +0100

stress-ng (0.17.07-1) unstable; urgency=medium

  [Stian Onarheim]
  * core-stressors.h: Sort the stressor list

  [Amit Singh Tomar]
  * stress-vm: fix the stress_vm_check argument name

  [Erik Stahlman]
  * Remove write potentially outside of buffer

  [Colin Ian King]
  * Makefile: bump version
  * Manual: fix table T{ T} around --eigen-method add-double
  * core-shared-heap: double size of shared heap allocation slab
  * core-helper: move gpu_freq null check to start of function
    stress_get_gpu_freq_mhz
  * stress-zlib: negative read size check
  * core-helper: move null ptr checks earlier in stress_get_meminfo
  * core-helper: add #else path in stress_get_load_avg
  * stress-fma: voidify return from stress_get_setting call
  * core-helper: add endianness information
  * stress-pty: break out of loop if EINTR occurs on pty open
  * stress-access: set errno to 0 before access calls
  * stress-filename: ignore ENOTSUP failures
  * stress-msyncmany: break out of test loop if failed more than 5 times
  * stress-filename: add ENOSUP error check for Solaris
  * stress-clock: ignore EINTR for clock_nanosleep for Solaris
  * stress-clock: ignore EINTR for clock_gettime for Solaris
  * Add build check and use <sys/mkdev.h> for makedev() macro
  * Makefile: enable compile/link garbage collection when GARBAGE_COLLECT
    is set to 1
  * stress-powmath: increase precision for float tests sum and result to
    double
  * stress-logmath: increase precision for float tests sum and result to
    double
  * stress-expmath: increase precision for float tests sum and result to
    double
  * stress-fma: munmap pfma and not fma
  * stress-x86syscall: make function wrap_dummy static
  * core-helper: make function stress_fs_magic_to_name static
  * stress-powmath: compare floating point values using difference and
    precision
  * stress-logmath: compare floating point values using difference and
    precision
  * stress-expmath: compare floating point values using difference and
    precision
  * stress-enosys: fix system call name __NR_lsm_list_modules
  * README.md: update contributor list
  * Makefile.config: break functions into 1 line entries and sort them
  * Makefile.config: break types into 1 line entries and sort them
  * Makefile.config: break cpufeatures into 1 line entries and sort them
  * Makefile.config: rename *_WCHAR to *_WCHAR_H to match header naming
  * Makefile.config: break headers into 1 line entries and sort them
  * core-helper: fix error return code, should be EINVAL
  * stress-powmath: remove redundant cast on sum addition
  * stress-expmath: remove redundant cast on sum addition
  * stress-logmath: remove redundant cast on sum addition
  * stress-cgroup: add missing wait for each fork'd child
  * core-helper: make stress_fs_magic_to_name static
  * core-time: manually inline stress_timespec_to_double into code
  * core-perf: make stress_perf_stat_succeeded static
  * stress-x86syscall: remove dummy_x86syscalls
  * Makefile: add linker garbage collection to remove unreferenced
    sections
  * core-helper: add some argument sanity checking
  * stress-syscall: add maximum system call time in nanoseconds
  * stress-syscall: add lsm_list_modules and lsm_get_self_attr system
    calls
  * stress-enosys: add lsm_list_modules and lsm_get_self_attr system calls
  * stress-powmath: add hypotenuse functions
  * stress-fma: disable FP_FAST_FMA, FP_FAST_FMAF for now
  * stress-mathlog: add logb, logbf and logbl exponent get libc functions
  * stress-fma: add the --fma-libc option to use libc fma functions
  * README.md: update number of tests
  * stress-powmath: add power maths function exercising
  * stress-vecshuf: for x86, reduce optimization levels to avoid STLF
  * stress-vnni: add build time check for target clone avxvnni
  * stress-memhotplug: make variable max non-clobberable by longjmp
  * core-target-clones: remove need for gcc version check
  * stress-vecshuf: remove OPTIMIZE3 setting
  * stress-expmath: add exponential maths function exercising
  * README.md: add a couple more paper references
  * stress_vm_walking_flush_data: fix buffer overflow on last 7 bytes
  * README.md: update contributors list
  * stress-logmath: add logarithmic maths function exercising
  * README.md: Add another publication link
  * memhotplug: add --memhotplug-mmap option
  * stress-prio-inv: ensure parent has higher priority than children
  * stress-prio-inv: break kill and wait into separate phases
  * README.md: add missing newline
  * README.md: add some more upstream linux git commit references
  * stress-acl: fix typo in unimplemented_reason string
  * stress-lsm: exercise new LSM system calls lsm_list_modules and
    lsm_get_self_attr
  * core-cpu: remove trainling white space
  * stress-statmount: Add new stressor to exercise statmount and
    listmount system calls
  * stress-file-ioct: exercise FS_IOC_GETFSSYSFSPATH
  * stress-file-ioctl: add FS_IOC_GETFSSYSFSPATH ioctl
  * stress-vm: add walking memory flush stress method
  * core-cpu: add a couple more obscure CPU id strings
  * stress-monte-carlo: add area of a unit squircle
  * kernel-coverage: add --mmap-stressful option
  * stress-malloc: add malloc_usable_size allocation size verification
  * Makefile.config: filter out -Werror from CFLAGS
  * core-perf: remove duplicated "Cgroup Switches" event

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 4 Apr 2024 22:33:12 +0100

stress-ng (0.17.06-1) unstable; urgency=medium

  [Hsieh-Tseng Shen]
  * Manual: fix a few typos

  [Colin Ian King]
  * Makefile: bump version
  * stress-fd-fork: fix comment for STRESS_FD_DEFAULT
  * stress-fd-fork: fix spelling mistake "discriptors" -> "descriptors"
  * test/test-utime: zero buf
  * test/test/test-pthread-setaffinity-np: zero cpuset
  * stress-fork: voidify pid
  * Makefile.config: ensure all CONFIG_LDFLAGS are passed through
    LIB_ORDER filter
  * stress-sigsegv: ignore SEGV_ACCERR error check on OpenBSD
  * stress-hsearch: typedef ACTION if we don't have native hsearch support
  * Makefile.config: workaround a make issue on Nixos, add empty echo in
    loop
  * stress-aiol: fix interrupted or end of stressing aiol waits with -1
    return
  * stress-peterson: add mfence to fix failures on out-of-order ARM cpus
  * stress-pci: report untested PCI rates as "unknown" rather than 0.00
  * stress-ng.h: only define _FILE_OFFSET_BITS if it is not defined
  * stress-signest: add some more signals, sort them in name order
  * Makefile: add --cache-enable-all for slow-test-all and verify-test-all
  * stress-chroot: fix placement of colon in chroot escape message
  * stress-ng: add a few more percent wiggle room on end of run estimate
  * stress-stream: improve memrate message
  * stress-mq: add note to increase /proc/sys/fs/mqueue/queues_max for
    linux
  * stress-kvm: report KVM kernel API as a debug message
  * stress-dev: add notes about running as root to exercise more devices
  * Makefile: add --progress and remove --verbose from verify-test-all
    and slow-test-all
  * stress-mlock: remove extranous space in debug message
  * stress-fd-fork: report approx number of fds
  * stress-fd-fork: report how many fds were closed
  * core-shim: add warning disabling pragma on extern stime declaration
  * stress-fork: handle 32/64 bit address for 32 bit systems
  * stress-enosys: don't exercise > 32 bits for 32 bit systems
  * stress-exec: only use MAP_STACK if it is defined
  * stress-memfd: remove duplicated declaration of fd
  * stress-cpu-online: remove duplicated declaration of variable cpu
  * stress-monte-carlo: declare stress_mc_supported for HAVE_ARC4RANDOM
  * stress-fork: voidify unused arg fork_unmap for non-linux builds
  * stress-cache: voidify cache related flags and mask
  * stress-dev: swap calloc arguments to the correct way around
  * core-target-clones: add Arrowlake and Pantherlake CPU support
  * Dockerfile: remove kmod and xxhash
  * Dockerfile: add mpfr and judy from community repos
  * stress-sigsegv: methodically exercise reads from all VM address range
  * core-perf: add swiotlb perf event and bump event count up as we are
    running low
  * core-perf: add IRQ tasklet entry/exit metrics
  * core-perf: add IPI Raise event
  * stress-resources: only declare ppid if HAVE_PIDFD_OPEN is defined
  * stress-cpu-online: ensure cpu is initialized
  * core-klog: ignore cpu affinity warnings, these are benign
  * stress-cpu-online: round-robin CPUs for instances 1 and 2
  * stress-cpu-online: always try a different cpu and don't try an
    already offlined cpu
  * stress-ng: Fix net_port_map lock failure
  * stress-cpu: don't check for onlining failure for more than 1 instance
  * stress-bitonic: rename bionicsort_count to bitonic_count
  * stress-shellsort: remove redundant 8 bit sort
  * stress-bitonicsort: Add another sorting stressor
  * stress-cpu-online: run a child process that tries to pin itself to
    offlined CPU
  * core-resouces: open another fd, based on the stdout of parent pid
  * stress-memfd: don't populate memfd mapped pages
  * stress-memfd: exercise each flag per iteration
  * stress-memfd: change memfd_fds to a int32_t
  * stress-memfd: create some filenames just one
  * stress-memfd: use close_range on fds, fall back to loop'd fd close
  * stress-enosys: add 24, 40, 48, 56 bit syscalls
  * stress-malloc: add some SEGV action information
  * stress-fd-fork: add --fd-fork-file option to specify file to dup
  * stress-fd-fork: add metrics on time to open all fds and open 10000
    files per loop
  * stress-fd-fork: add --fd-fork-fds option to specify number of files
    to open
  * Manual: add note about fd-fork bogo-op rate dropping over time
  * Manual: recommend using the maxtrix-3d stressor for cache misses
  * stress-ng: avoid potential division by zero by total_run
  * stress-fd-fork: add a file descriptor copying via fork stressor
  * Manual: Fix typo "maybe" -> "may be"
  * stress-crypt: add --crypt-method to allow encryption method to be
    selected
  * Manual: update crypt stressor with list of all crypt methods used
  * stress-memfd: fix #endif, removed the wrong one
  * stress-memfd: remove debug #ifdef's
  * stress-memfd: make random madvise calls an optional opt-in with
    --memfd-madvise
  * stress-memfd: add in opt-in zap pte test option --memfd-zap-pte
  * stress-memfd: include <linux/memfd.h> for MEMFD huge page flags
  * TODO: add IP_LOCAL_PORT_RANGE
  * stress-ng: add estimated completion time for --progress option
  * stress-ng: add a --progress option to show --sequential run progress
  * stress-fork: disable --fork-unmap if --fork-vm is also enabled
  * stress-fork: remove stress_set_proc_state so libbsd can be removed
  * stress-fork: don't remove readable pages that may be used in dlsym
    searches
  * stress-syscall: only define SHADOW_STACK_SET_TOKEN if it's not defined
  * stress-fork: add --fork-unmap option to force unmapping of shared libs
  * Makefile.config: specify library link ordering
  * stress-clone: force lazy bind libc functions to be bound before clone
    is run
  * stress-stream: fix collapse stream-madvise option to use MADV_COLLAPSE
  * stress-fpunch: add --fpunch-bytes option to specify fpunch file size
  * stress-fork: force lazy bind libc functions to be bound before child
    is run
  * stress-fork: do immediate _exit() call for short lived processes
  * stress-fork: make help clearer on process creation naming
  * core-thrash: no need to snprintf a fixed path name, clean up code
  * stress-fork: align info array to cacheline
  * stress-skiplist: add bounds check on ln2n
  * Manual: fix misalignment of --misaligned-ops option
  * stress-cache: zero buffer before benchmarking read/write rates
  * stress-cache: correctly report the cache flags being used
  * stress-vforkmany: add --vforkmany-bytes option to specify mmap size
  * core-mincore: add missing --page-in OPT_FLAGS_MMAP_MINCORE check
  * stress-vforkmany: use waste_size instead of WASTE_SIZE for mmap'd
    waste region
  * stress-numa: add support for MPOL_WEIGHTED_INTERLEAVE
  * core-helper: use program_invocation_name to get program name
  * stress-monte-carloc: add arc4 cryptographically-secure pseudorandom
    generator
  * stress-numa: add NUMA hit/miss metrics
  * stress-context: make context regions smaller, move stack to new
    mmap'd area

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 5 Mar 2024 16:43:38 +0000

stress-ng (0.17.05-1) unstable; urgency=medium

  [Nikolas Kyx]
  * stress-syscall: fix cmp_test_duration() return value

  [Colin Ian King]
  * Makefile: bump version
  * Makefile: add core-asm-loong64.h to HEADERS
  * stress-atomic: make atomic region 64 bytes wide, step through it
  * Manual: update caveat concerning bogo-op rates
  * Manual: update date
  * stress-unshare: silently ignore EACCES returns
  * core-pragma: drop packed gcc version to 9.4
  * Manual: fix a couple of typos
  * stress-prio-inv: fix typo "cheduling" -> "scheduling"
  * core-helper: fix some spelling mistakes
  * stress-landlock: ensure all set bits work in mask and zero
    ruleset_attr before use
  * stress-sysfs: ignore SIGKILL as bad signal
  * stress-numa: fix one more %zu format specifier
  * stress-numa: use %zu format specifier for size_t
  * stress-monte-carlo: don't use getrandom for Solaris, it's very slow
  * core-vmstat: only account for CP_SPIN on OpenBSD if it exists
  * stress-stack: make rc no-clobberable, cleans up gcc 4.9.2 warning on
    kfreebsd
  * core-shim: disabled process_mrelease for SPARC
  * stress-monte-carlog: only define stress_mc_no_seed if it is required
  * core-perf: make filemap page cache description match existing style
  * stress-numa: report per instance mapping size to 1 decimal place
  * stress-numa: add --numa-bytes option to specify total memory size
  * kernel-coverage: add numa addr and node shuffling options
  * stress-numa: add --numa-shuffle-addr and --numa-shuffle-node
  * stress-numa: ensure pages get re-assigned to different nodes
  * stress-tree: disable warnings on misaligned pointer access
  * stress-numa: use stress_mmap_set_light to touch pages
  * core-pragma: add checks for gcc 10
  * core-pragma: add missing \
  * stress-monte-carlo: use generic supported and no_seed functions
  * stress-dev: add include ifdefs around stress_dev_ptp_linux
  * stress-dev: add macro VOID_ARGS to voidify common function args
  * stress-dev: remove UNEXPECTED checks, add more linux guarding
  * stress-dev: add some kvm ioctls
  * stress-dev: exercise UI_GET_VERSION ioctl on /dev/uinput
  * stress-dev: add RNDGETPOOL ioctl on /dev/random
  * stress-dev: exercise /dev/input/event*
  * stress-dev: add RTC RTC_IRQP_READ32 ioctl
  * stress-dev: add linux /dev/rtc ioctls, delay on -EBUSY
  * stress-mmap: add missing MMAP_SYNC flag
  * stress-ng.h: disable _FORTIFY_SOURCE when using PCC
  * stress-ng.h: disable _FORTIFY_SOURCE when using TCC
  * core-mmap: remove unused variable val
  * stress-sigsegv: make pointers uint8_t * to clean up void * pointer
    addition warnings
  * Makefile: don't enable -fipa for icc
  * stress-tree: allow tree node packed structures where packed is
    allowed on x86
  * core-pragma: add -Waddress-of-packed-member to WARN_OFF macro
  * core-attribute.h: add PACKED macro for attribute packed
  * stress-tree: move u into it's own typedef and make tree node 8 byte
    aligned
  * stress-tree: avl: remove redundant assignments to taller
  * stress-tree: avl: add pointer r as a short cut for (*root)
  * stress-tress: avl: make variable taller a register
  * stress-tree: avl: remove sub_taller variable
  * stress-tree: avl: replace (*root) with node on new node
  * stress-tree: don't pass taller flag in avl_insert
  * Add build-time test for packed attribute
  * README.md: add DEBUG=1 make build instructions
  * stress-monte-carlo: add some more complex integrals to compute
  * stress-monte-carlo: fix ppc64 darn and add missing rand support check
  * stress-rseq: add check for __builtin_thread_pointer()
  * stress-monte-carlo: add Monte Carlo computation of pi and e
  * stress-rseq: remove debug '| 1' for sys/rseq.h include
  * stress-rseq: remove trailing white space
  * stress-rseq: remove invalid rseq test cases
  * stress-rseq: remove rate debug
  * stress-rseq: move critical section count into a stressor metric
  * stress-rseq: rework to work with rseq in glibc
  * stress-sigsegv: fix exact fault address check
  * stress-x86syscall: add geteuid, getgid and getuid
  * README.md: add another citation link
  * stress-prio-inv: remove undef of PTHREAD_MUTEX_ROBUST
  * stress-prio-inv: remove prio default case from switch
  * stress-prio-inv: add build time check for pthread_mutexattr_setrobust
  * stress-prio-inv: add build-time checks for various SCHED_* support
  * stress-prio-inv: update reason why stressor is not implemented
  * stress-prio-inv: move pthread_mutex_t dependant types
  * Add shim for dirent d_type
  * stress-landlock: shift left with correct sized integer
  * Makefile.config: cater for empty $LIB_BSD string
  * stress-time-warp: add a time/clock time warp checking stressor
  * stress-prio-inv: match order of STRESS_PRIO_INV_POLICY_* with
    stress_prio_inv_policies
  * stress-mmap: add --mmap-stressful
  * stress-prio-inv: add --prio-inv-policy to select scheduler policy
  * stress-prio-inv: use FIFO sched by default
  * README.md: add Nikolas Kyx to contributors list
  * Add new prio-inv (priority inversion) stressor
  * stress-mmap: add --mmap-slow-munmap option
  * core-perf: add some more trace events
  * stress-landlock: only exercise flags that are usable
  * core-shim: replace strlcpy with safer strscpy
  * stress-landlock: add more landlock access flags, add check for
    usability
  * core-mwc: optimize and generalize mwc*modn() functions, remove pwr2
    helpers
  * stress-mmap: use non-mod random mwc functions for faster index
    generation
  * stress-mmap: add new option --mmap-write-check for opt-in write +
    checks
  * stress-factor: up the maximum digit size to 100000000 digits
  * stress-mmap: add --mmap2 option in short help
  * kernel-coverage: add new mmap options to mmap stress cases
  * stress-mmap: add opt-in randomized madvise on pages
  * core-mmap: touch + check just start of each page rather than filling
    them
  * debian/control: add libgmp-dev for factor stressor
  * README.md: update number of stressors (320+) and add loong64 arch
  * stress-mmap: touching pages should be using sz and not
    context->mmap_bytes
  * stress-mmap: add --mmap-mergeable option
  * stress-factor: clean up indentation
  * stress-mmap: reduce affect of mumap on stressor
  * stress-factor: add factorization stressor using libgmp
  * core-mmap: replace add/sub with xor
  * core-mmap: remove need for shift and compare, replace with add/sub
  * Manual: add "next generation" reference in title to explain why it
    is called stress-ng
  * core-mmap: replace compare + check for each value with 32 sum + check
  * Manual: add missing System V semaphore stressor title
  * stress-mmapfiles: ensure fd is closed on loop break paths
  * stress-mmapfiles: add ENOMEM check to bail out early
  * Manual: add notes to --mmapfiles stressor
  * stress-mmapfiles: add missing , between literal strings
  * stress-mmapfiles: remove ANONYMOUS mapping flag and use fd in mmap
  * stress-mmapfile: add file based memory mapping stressor
  * stress-cpu-online: move stressor back onto newly online'd cpu
  * stress-affinity: let main stress process reap all children
  * core-vmstat: Add OpenBSD implementation of stress_get_cpu_ghz
  * core-vmstat: add vmstat support for OpenBSD
  * stress-crypt: fix FreeBSD build issues
  * README.md: add note about snaps of stress-ng
  * core-shim: add missing shim block comments
  * Makefile: add support for Link Time Optimization
  * stress-ng: keep track of metrics overflow, report so.
  * stress-af-alg: add metrics for each af-alg crypto type
  * README.md: add another link to a kernel issue found by using stress-ng
  * stress-sysbadaddr: add Linux 6.8 lsm system calls
  * stress-waitcpu: add support for loong64 by using dbar instruction
  * stress-workload: RISC-V: use stress_asm_riscv_pause instead of a fence
  * stress-waitcpu: use RISC-V pause instruction for small delays
  * stress-waitcpu: only sanity check non-rates on non virt x86 systems
  * stress-eigen-ops.cpp: remove commented out debug code
  * stress-priv-instr: add loong64 privileged instructions
  * stress-pipe: add debug to log default pipe read/write sizes
  * core-*.h: add ALWAYS_INLINE annotation for small inline helpers
  * stress-regs: add loong64 implementation
  * core-asm-loong64.h: Add support for cpucfg instruction
  * stress-acl: terminate do-while stressor loop on acl error exit
  * kernel-coverage: exercise all ioschedulers on filesystems
  * stress-tsc: add rdtime.d instruction auto-built detection
  * stress-workload: add Loong64 support for dbar instruction
  * Manual: Add Loong64 implementation details for tsc stressor
  * stress-tsc: add Loong64 tsc reading support
  * core-asm-arch: initial support of Loong64 arch
  * Makefile: swap order of -U and -D FORTIFY_SOURCE
  * Makefile: ensure cc_supports_flag is defined outside the PEDANTIC
    flag settings
  * stress-io-uring: add optimizations - late sqe memset and optimize
    out zero stores

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 1 Feb 2024 15:02:47 +0000

stress-ng (0.17.04-1) unstable; urgency=medium

  [Munehisa Kamata]
  * README.md: fix a typo in the contributor name
  * stress-acl: Fix stress_acl_info definition

  [Colin Ian King]
  * Makefile: bump version, change code name
  * README.md: add Cygwin to supported systems
  * kernel-coverage: add longer duration sysbadaddr test
  * stress-pthread: disable pthread_sigqueue call for CYGWIN
  * stress-tree: disable RB trees for CYGWIN
  * stress-sparsematrix: disable RB trees for CYGWIN
  * core-helper: add _start workaround for CYGWIN
  * core-shim: fix setdomainname check on HAVE_SETDOMAINNAME
  * stress-dir: don't reference non-POSIX d_reclen for CYGWIN
  * stress-mmapfork: use stress_mmap_populate for MAP_POPULATE
  * stress-xattr: workaround ENODATA not being defined for NetBSD
  * stress-metamix: voidify parameter temp_dir if O_DIRECTORY is not defined
  * core-time: voidify parameter dnow, cleans up Dilos build warning
  * stress-sysbadaddr: fix another valid fd check, should be >= 0
  * stress-sysbadaddr: fix valid fd check, should be >= 0
  * stress-sysbadaddr: close fdin rather than fdout on fdout open failure
  * stress-sysfs: use SCNu16 formate specifier for sscanf uint16_t
  * stress-sock: remove shadowed declaration of variable i
  * stress-vdso: add clock_getres
  * stress-sysinval: set dirfd mode, gid and uid back to original setting
  * stress-sigxfsz: retry setrlimit with smaller size if limit is too large
  * stress-copy-file: replace sizeof(char) with 8
  * stress-copy-file: fix the max off_t, it's signed to cater for this
  * stress-sysbadaddr: use shim_cacheflush instead of direct system call
  * stress-sysbadaddr: pass different addresses to ppoll
  * stress-af-alg-defconfigs: re-order and remove blank lines
  * stress-mmap: add mprotect EACCESS error check for NetBSD
  * stress-metamix: add EBADF on fdatasync on read-only fd
  * stress-metamix: fix incorrect EBADF check
  * stress-metamix: ignore EBADF on fdatasync on read-only file
  * stress-ng: don't call mprotect if it does not exist
  * stress-syscall: add comment explaining why shell sort is used instead
    of qsort
  * stress-sysbadaddr: use VOID_RET for typed voidification of system call
    returns
  * Update copyright year to 2024
  * Manual: remove . in Eigen description
  * stress-sock: exercise SO_SOCKET SO_* opts that return int type values
  * stress-sysbadaddr: only increment counter if a syscall is to be made
  * stress-sysbadaddr: avoid exercising system calls that will not fail
  * stress-sysbadaddr: add some more xattr system calls
  * stress-sysbadaddr: bad_fstat: exercise fstat on temp dir
  * stress-sysbadaddr: add copy_file_range
  * stress-sysbadaddr: add missing MIPS cacheflush system call
  * stress-syscall: add missing MIPS cacheflush system call
  * stress-sysbadaddr: exercise shim'd and non-shim'd syscalls
  * stress-sysbadaddr: exericse system call parameters with range of
    parameters
  * stress-sysbadaddr: only respawn child when bad addr breaks system call
  * core-version: define EQUAL_GNUC for all compiler times
  * stress-radixsort: remove array size specifiers to fix tcc build failures
  * core-builtin: add shim wrapper for __builtin_assume_aligned()
  * core-cache: add missing tab to clean up \ alignments
  * stress-vecshuf: remove redundant variables total_ops and total_bytes
  * stress-numa: Fix spelling mistake in comment
  * stress-memthrash: remove trailing space at end of line
  * README.md: update contributors list
  * stress-syscall: add the --syscall-top N option to report top N fastest
    syscalls
  * Manual: fix typo "fasted" -> "fastest"
  * stress-radixsort: reduce memory bandwidth by making length 2 bytes
  * stress-radixsort: clean up casting in IDX and IDX_T macros
  * stress-radixsort: remove signed conversions in radix_strlen
  * stress-radixsort: offset digit counter by 1
  * stress-radixsort: optimize radixsort
  * stress-radixsort: add nonlibc implementation of radixsort
  * stress-heapsort: add new --heapsort-method option to help
  * stress-mergesort: add new --mergesort-method option to help
  * stress-mergesort: add some more memory copying optimizations
  * stress-mergesort: optimize for 4 byte data
  * stress-mergesort: remove base_ptr, replace with base
  * stress-mergesort: optimize copying of lhs and rhs to base
  * stress-mergesort: add missing base_ptr increment
  * stress-mergesort: optimize lhs and rhs copying
  * stress-mergesort: add nonlibc implementation of mergesort
  * stress-heapsort: optimize copy and swap for common size cases
  * stress-heapsort: add nonlibc implementation of heapsort
  * Makefile: add cc_supports_flag to simplify CFLAGS checking
  * Makefile: add gcc optimization flag -fipa-pta
  * stress-sysfs: exercise test resume command for /sys/power/disk
  * stress-pty: exercise cfgetispeed and cfgetospeed on leader and follower
  * stress-vecshuf: report shuffle rates as Harmonic Mean
  * stress-sysinval: add map_shadow_stack system call
  * stress-syscall: add map_shadow_stack call
  * core-*: add more comments
  * core-helper: assign val2 to avoid any static analysis warnings
  * stress-acl: add randomized acl attribute order shuffling with --acl-rand
  * Makefile.config: Fix incorrect addition of -DSTRFUNC to LDFLAGS
  * stress-ng: initialize values to 0.0 rather -1.0
  * stress-acl: exercise all ACL types, ACL_TYPE_ACCESS and ACL_TYPE_DEFAULT
  * core-shim: shim_kill: don't allow SIGKILL on pid -1
  * stress-ng: don't kill entire group or pid 1 (init)
  * stress-acl: uppercase ACL in help text
  * stress-acl: add ACL set vs get verification
  * stress_acl: rename acl functions, prefix with stress_
  * stress-acl: exercise acl_get_file and add metrics for this
  * kernel-coverage: enable acl for reiserfs
  * README.md: add another link to a research paper
  * stress-open: add open using all the possible file modes
  * stress-acl: compute and cache all valid ACLs to improve performance
  * stress-vma: voidify returns using VOID_RET macro
  * Update documentation and debian/control for libacl dev libs
  * stress-acl: exercise POSIX ACLs using libacl
  * README.md: add another link to a research paper
  * stress-inotify: exercise ioctl command INOTIFY_IOC_SETNEXTWD
  * stress-sock: retry send on ENOBUFS
  * stress-sock: fix zerocopy - enable it via setsockopt and use flag
    appropriately
  * core-asm-x86.h: remove duplicated cpuid legacy implementation
  * kernel-coverage: add extra bcachefs format options for more test
    coverage
  * core-helper: stress_get_null: cast zero to uintptr_t before void * cast
  * stress-sem-sysv: reduce the rate at which proc info is being read
  * stress-vecwide: don't use target clones for gcc 9.4.0
  * core-asm-x86.h: remove STRESS_ARCH_X86_32 variant of rdtsc
  * stress-vma: fix non-termination of vma pthreads and child processes
  * kernel-coverage: reduce tmp file system image size to 4000MB for bfs
  * stress-raw[pkg|udp]: only include linux/udp.h if netinet/udp.h does not
    exist
  * core-helper: add null function to obfuscate (void *)0 values
  * stress-workload: include sched.h required for
    aarch64-linux-android33-clang
  * stress-rawudp: fix type comparison warning, cast to in_addr_t
  * Fix missing headers and rindex/index for clang android static builds
  * stress-malloc: only declare trim_counter when it's required
  * Fix open calls that have extraneous mode flags on non-create opens
  * kernel-coverage: add collapse --stream-madvise option
  * stress-stream: add collapse --stream-madvise option
  * kernel-coverage: add in some extra stressing options

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 5 Jan 2024 09:12:11 +0000

stress-ng (0.17.03-1) unstable; urgency=medium

  [Colin Ian King]
  * Makefile: bump version
  * Makefile: remove -g from CFLAGS
  * stress-sock: fix memory real on mmap_buffer
  * stress-malloc: replace pre-inc with post-inc on trim_counter
  * stress-tsc: only define stress_tsc_check when required
  * manual: update release date
  * stress-opcode: allow exit system call
  * stress-sysbadaddr: don't unmap shared memory, just make it read-only
  * stress-enosys: don't unmap shared memory, just make it read-only
  * stress-opcode: don't unmap shared memory, just make it read-only
  * stress-sysinval: don't unmap shared memory, just make it read-only
  * stress-tsc: clean up warnings with systems that do not support lfence
  * stress-sysonval: add in missing old/deprecated and new system calls
  * stress-enosys: add in missing __NR_* syscalls
  * README.md: add another kernel issue found by stress-ng
  * stress-malloc: mmap addr array and prefetch values
  * stress-malloc: only trim memory when new option --malloc-trim is used
  * stress-tsc: add the --tsc-rdtscp option
  * Add build-time check for rdtsc instruction

 -- Colin Ian King <colin.i.king@gmail.com>  Sat, 9 Dec 2023 23:57:32 +0000

stress-ng (0.17.02-1) unstable; urgency=medium

  [Sascha Hauer]
  * stress-physpage: explicitly use 64bit type for physical addresses
  * stress-ng.h: define _FILE_OFFSET_BITS before including features.h

  [Rulin Huang]
  * Reduce the file operations if the unused pid can be found within
    several tries

  [Colin Ian King]
  * stress-bigheap: ensure value in *uintptr is initialized
  * stress-workload: clean up some clang-scan-build warnings
  * stress-workload: remove redundant assignments to variable t
  * stress-workload: remove redundant initialization of t_begin
  * stress-sigpipe: add wrapper to pipe_child to clear up tcc warning
  * stress-reboot: add wrapper to reboot_clone_func to clear up tcc
    warning
  * stress-vma: remove volatile cast, it is unnecessary
  * stress-lsearch: add casts to const char * to avoid void * arithmetic
  * stress-bsearch: cast base to const char * to avoid void * arithmetic
  * core-time: return -1 if time not available via
    stress_time_now_timespec
  * stress-msync: make pointer buf unclobberable
  * stress-msg: remove another invalid msgrcv calls that work for
    OpenBSD systems
  * stress-msg: remove invalid msgrcv calls that work for *BSD systems
  * core-shim: Fix non-PURE shim_enosys function
  * core-resources: include core-pthread.h for pthread types
  * stress-get: don't call gettimeofday with NULL values
  * core-shim/stress-get: use gettimeofday() for non-linux shim_time calls
  * core-shim: fix typo: tlock -> tloc
  * core-shim/stress-get: use time() for non-linux shim_time calls
  * stress-get: fix error messages, replace gettimeval with gettimeofday
  * stress-get: only exercise time(NULL) on Linux
  * core-helper: move ret inside #ifdef block
  * README.md: Update contributor list
  * stress-*: clean up a handful of spelling mistakes
  * stress-stream: unmap in correct idx order
  * README.md: add another link to a research paper
  * stress-prctl: munmap page_anon on error return path
  * stress-seal: unmap buf on error return paths
  * stress-cyclic: unmap latencies mappings on error return
  * stress-zero: unmap read/write buffers on error return paths
  * stress-stream: simplify error unmapping return paths
  * stress-rawdev: fix memory leak on mmap'd buffer on error return path
  * stress-fail: use fail error exit path for non-implemented /dev/full
  * stress-sockmany: fix memory leak on signal handler error return path
  * stress-signest: fix memory leak on signal handler error return path
  * stress-sock: fix memory leak on fork failure error return path
  * stress-sigpipe: fix memory leak on signal handler error return path
  * stress-stackmmap: make stack_sig non-clobberable
  * stress-sigbus: make ptr non-clobberable
  * core-helper: add stress_mmap_populate to mmap with MAP_POPULATE
  * stress-qsort: add missing tab
  * stress-bseach: add -O3 for nonlibc bsearch function
  * stress-waitcpu: add some more nops
  * stress-vm: remove volaile where it's not required, add memory barrier
  * stress-vm: speed up prime-gray-0 and prime-gray-1 by reducing total
    memory read/writes
  * stress-vm: speed up prime-0 and prime-1 by reducing total memory
    read/writes
  * stress-vma: provide different handlers for SIGBUS and SIGSEGV
  * stress-vma: optimize matrics, add cacheline pad and remove volatile
  * stress-vdso: add dummy function call to emulate minimal vdso function
  * stress-udp: don't memset the send buffer on each send
  * stress-trig: replace iterations with macro STRESS_TRIG_LOOPS
  * stress-trig: unroll loops, speed up by ~4.2%
  * stress-memthrash: only report lack of NUMA support with instance 0
  * stress-schedmix: reduce compute overhead on prime number CPU load
  * stress-stack: unroll loop in stress_stack_alloc
  * stress-sockpair: optimize buffer setting and checking
  * stress-sockdiag: move bogo-op count to outside parser loop
  * stress-skiplist: use 8 bits for skip_list_random_level generation
  * stress-skiplist: optimize ln2 operation using clzl
  * stress-sigxfs: optimize counter increment, remove branch
  * stress-sigxfsz: don't make async_sigs volatile
  * core-helper: only declare array buf when it is required
  * core-helper: voidify function argument dumpable
  * core-helper: only declare array buf when it is required
  * core-shim: move include <sys/uio.h> to core-shim.h
  * stress-gpu: move declarations for gpu_freq_sum and gpu_freq_count
  * core-numa: add stress_numa_nodes helper for non-linux builds
  * stress-stream: don't print numa nodes related info for non-linux
    systems
  * core-shim: add missing include of sys/uio.h required for struct iovec
  * stress-mmapfixed: fix array overflow, iterate over only the array
    elements
  * stress-gpu: ensure usec computations are using uint64_t type
  * stress-hsearch: voidify return from stress_get_setting
  * core-helper: use STRESS_MAXIMUM on maximum pid
  * stress-vma: add in extra protection flags and mmap flags for more
    stress
  * stress-vma: add PROT_NONE back
  * stress-vma: ensure page is always mappable
  * stress-ng: move ci counter struct into args and args into stat struct
  * stress-signal: don't use volatile for in-signal handler counter
    increment
  * stress-ring-pipe: replace % operator with compare and set
  * stress-resched: remove need to check for non-mapped yields array
  * README.md: add more research paper links
  * stress-remap: unroll a handful of loops
  * stress-regs: reference registers rather than v variable
  * stress-readahead: unroll some loops
  * stress-randlist: add prefetch to next pointer in list scanning
  * core-mwc: use clz for shift maximization for 8 and 16 bit mwci
    functions
  * core-sort: optimize of powers of 2 size for
    stress_sort_data_int32_shuffle
  * stress-gpu: only report GPU frequency if > 0.0 MHz
  * core-time: optimize get_time_now()
  * stress-procfs: use MAP_POPULATE on mmap to reduce read-fault hit
  * stress-procfs: perform less timeout checks on 1 byte reads and
    optimize timeout paths
  * stress-poll: switch order of read return checks
  * stress-opcode: inline and unroll loop in stress_opcode_random
  * stress-null: scale down mmaps to 1 once every 500 iterations
  * stress-nice: add ( ) to clarify precedence
  * stress-syncload: add yield delay for ppc
  * core-builtin.h: Add llabs builtin shim wrapper
  * core-ops: add in missing OPT_hsearch_method
  * stress-nanosleep: ensure no overflow occurs on 32 bit systems
  * stress-hsearch: add hsearch method for libc and non-libc versions
  * stress-mmaphuge: simplyfy the set and check memory exercising
  * stress-mmapfixed: make vec array uint32 to speed up mincore checking
  * stress-mmapfixed: move memset in stress_mmapfixed_is_mapped_slow
  * core-helper: add missing space between ) and {
  * core-helper: stress_process_dumpable: use stress_system_write
    to write data
  * core-helper: stress_get_memlimits: use stress_system_read to read data
  * stress-lsearch: use lfind_nonlibc in lsearch_nonlibc
  * stress-lsearch: add lsearch method for libc and non-libc versions
  * stress-bsearch: add --bsearch-method short help
  * stress-lockofd: remove yield point, it's not helping that much
  * stress-lockf: remove yield point, it's not helping that much
  * stress-locka: remove yield point, it's not helping that much
  * Makefile.config: echo the number of configurations in config.h
  * stress-jpeg: compute gradient image using float instead of double
  * stress-io-uring: add UNLIKELY hint on error return check
  * stress-iomix: stress-_iomix_rd_wr_mmap: just read 1 byte from page
  * core-mwc: move stress_rndstr from core-helper to core-mwc
  * stress-icache: add missing space before + operator
  * stress-hdd: optimize hdd_fill_buf
  * core-mwc: move stress_rndbuf from core-helper to core-mwc
  * stress-gpu: add GPU frequency metrics based on 10 samples per second
  * stress-ng: emit plural of instance if instances > 1
  * core-config-check: replace "will" with "may"
  * stress-getrandom: reduce overhead of gettimeofday calls
  * stress-full: fix and optimize stress_data_is_not_zero
  * core-mwc: optimize modulo mwc32 and mwc64 functions
  * stress-fifo: add poll replacement to select, disable it for now
  * stress-far-branch: inline the branch shuffling, reduce iterations
    from 5 to 1
  * stress-epoll: don't fill send buffer on each send
  * core-time: make function stress_timeval_to_double PURE
  * core-helper: add PURE annotation to two more helper functions
  * core-helper: optimize stress_rndstr
  * stress-clock: move memsets outside of loops for minor performance
    improvement
  * stress-bsearch: allocate bsearch array using mmap
  * stress-ng: fix short help for change-cpu, fix missing -
  * stress-bsearch: add bsearch method for libc and non-libc versions
  * stress-qsort: add in missing qsort-method short help
  * stress-ng: don't timeout until all stressors are spawned
  * core-helper: fix low memory swap check
  * stress-sigxfsz: remove unused include files
  * stress-sigxcpu: Add new SIGXCPU stressor
  * stress-sig*: add new class "signal", add signal stressors to this
    class
  * stress-cpu-online: write the string length rather than buffer size
  * core-helper: make inline helper function stress_chr_munge PURE
  * stress-pthread: constify variable trun
  * stress-pthread: use same racy pid for tgid rather than fetching one
    3 times
  * README.md: Update contributors name list
  * stress-sigxfsz: Add new SIGXFSZ stressor
  * README.md: add some more kernel issues found with stress-ng
  * core-cpuidle: report C states with commas between each state
  * stress-sysbadaddr: add missing #include <termios.h>
  * Add in some missing <sched.h> includes
  * fix up build errors from unchecked in changes
  * stress-ng.h: move #include <sched.h> to sources that require it
  * stress-af-alg: add in missing #include <sys/socket.h>
  * README.md: add another citation link
  * stress-ng.h: move #include <pthread.h> to core-pthread.h
  * stress-ng.h: move #include <termios.h> to sources that require it
  * stress-ng.h: move #include <pwd.h> to sources that require it
  * stress-ng.h: remove #include <getopt.h>
  * stress-ng.h: move #include <sys/socket.h> to sources that require it
  * core-helper: move MEM_CACHE_SIZE from stress-ng.h to core-helper.c
  * stress-stream: decouple the default guess cache size from
    MEM_CACHE_SIZE
  * core-attribute: add extra checks for attribute noinline
  * core-attribute: add extra checks for attribute always_inline
  * core-attribute: add extra checks for attribute weak
  * core-attribute: add extra checks for attribute noreturn
  * core-attribute: add extra checks for attribute warn_unused_result
  * core-attribute: add extra build checks for hot attribute
  * core-attribute: add PURE macro for gcc pure attribute
  * stress-crypt: use the correct size to strlcpy to
  * stress-cpu-online: report the sysfs file when writes fail
  * core-helper: take into consideration NUMA nodes for full cache size
  * stress-msync: mark fd as NOCLOBBER, clean up gcc 13.2.1 warning
  * Makefile: remove gcc optimization flags
  * Makefile: fix gcc detection for extra gcc optimization flags
  * stress-memthrash: add a buffer 8 bit reverse method
  * stress-malloc: use valloc in non-thread scenarios
  * stress-malloc: add valloc (or valloc emulation) for more calls to
    exercise
  * stress-hsearch: add -O3 optimization
  * stress-hsearch: move repeated verify flag check to a const bool
  * stress-fma: improve fma buffer copying
  * core-sort: minor re-ordering of load/stores and compute for minor
    speed improvement
  * core-sort: minor optimization in stress_sort_data_int32_init
  * stress-zlib: improve rarely0 and rarely1 performance
  * stress-ng: clean up some more whitespace / tab issues
  * stress-ng: replace spaces with tab
  * stress-zlib: implement rdrand filler for non-x86 systems
  * stress-zlib: improve performance of rdrand filling of buffer
  * stress-tree: remove the UNLIKELY hint in avl_find
  * stress-tree: remove the UNLIKELY hint in binary_find
  * stress-tree: remove TARGET_CLONES from binary tree find/insert
  * stress-stream: add TARGET_CLONES for index0 level streaming
  * core-nt-store.h: use a union cast for stress_nt_store_double store
  * stress-prefetch: clean up some source white space/tabs
  * stress-io-uring: tweak number of io-uring entries depending on CPU
    count
  * stress-io-uring: add --io-uring-entries N option to specify ring size
  * Revert "stress-context: avoid using alternative stacks in a
    swapcontext"
  * stress-fork: replace slow mwc8 with fair round-robin switch
    selection index
  * stress-hash: don't call expensive mwc reseed for non-verify mode
  * stress-branch: load next goto address in previous loop
  * stress-branch: re-order branching code to compute idx before jmp
  * test/test-crypt-r: check for support of GNU libcrypt data fields
  * stress-ng: Fix stupid extraneous {
  * Makefile.config: remove some trailing spaces
  * stress-*: improve rate metrics by using harmonic mean
  * kernel-coverage: remove scheduler names
  * stress-cpu: replace 64 bit mwc and 7 shifts with 2 x 32 bit mwc and
    6 shifts
  * stress-crypt: remove redundant prefix initialization
  * stress-crypt: remove a few more args from stress_crypt_id call
  * stress-crypt: optimize crypt_r usage with less memory buffer copying
  * stress-memfd: store and read data in cacheline strides
  * kernel-coverage: add bcachefs
  * stress-metamix: remove empty line
  * stress-metamix: handle EINTR for fdatasync and fsync
  * stress-iomix: break out of stressor loops on EINTR for read or writes
  * core-helper: add bcachefs magic

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 7 Dec 2023 11:24:11 +0000

stress-ng (0.17.01-1) unstable; urgency=medium

  [Andrey Gelman]
  * stress-led: use shim_strlcpy instead of strlcpy

  [Max Kellermann]
  * stress-splice: remove "Exercise 1 byte splice, zero flags" call

  [Colin Ian King]
  * Makefile: bump version
  * debian/control: move homepage URL
  * README.md: add a few more links to research papers
  * Manual: update date with release
  * stress-vnni: remove extraneous word just in some messages
  * core-config-check: only report non-tty attached message when not
    using a tty
  * core-cpuidle: remove redundant initialization of cc
  * stress-sigsegv: only reference expected_addr if SA_SIGINFO is defined
  * core-helper: rename si_code to sig_code to fix macro clash with Minix
  * stress-trig: cater for 16, 12 and other sized long doubles
  * stress-utime: cast integer constants to time_t for time_t struct
    values
  * stress-schedmix: fix build warning for SCHED_OTHER case
  * stress-schedmix: only declare case_sched_other when required
  * stress-trig: voidify return from call to stress_get_setting
  * stress-uprobe: check for concurrent access to
    /sys/kernel/debug/tracing/trace_pipe
  * stress-schedpolicy: only declare case_sched_other when is required
  * stress-sigsegv: add PROT_NONE read to force SIGSEGV
  * core-shim: just call stat libc funcs for stat/lstat/fstat
  * stress-trig: lower precision if long double is same size as double
  * stress-msg: pass down error from receiver to parent
  * stress-cpu: advise not to use --cpu-method all when specifying
    --cpu-load
  * stress-ng: remove need to include core-put.h
  * core-madvise: add mergeable madvise helper, use it on some mmap calls
  * stress-trig: drop precision for float trig functions, add NULL on
    opt_set_funcs
  * stress-trig: Add TARGET_CLONES to use optimial float instructions
  * stress-trig: add a new trigonometric function stressor
  * stress-workload: remove NOINLINE to fix clang builds
  * stress-workload: make buffer uint8_t * rather than void *
  * stress-workload: constify pointers w1 and w2 in stress_workload_cmp
  * stress-copy-file: make stress_copy_file_seek64 an inlined static
    helper
  * core-config-check: include core_config_check.h to check
    stress_config_check prototype
  * stress-ng: remove CASE_FALLTHROUGH macro
  * stress-ng: exit with EXIT_FAILURE if locks fail to create
  * stress-ng: exit with EXIT_FAILURE if shared heap cannot be allocated
  * core-helper: add missing check for HAVE_SYS_PRCTL_H when using prctl
  * core-helper: add extra macro check for HAVE_SYS_UTSNAME_H when using
    utsname
  * stress-sctp: add extra macro checks for SCTP_SS_* macros
  * stress-remap: voidify unused function parameter remap_mlock
  * stress-switch: add extra check for HAVE_KEY_T
  * stress-sem-sysv: add extra check for HAVE_KEY_T
  * stress-syscall: need to check for HAVE_REMOVEXATTR for
    syscall_xattr_name
  * stress-syscall: need to check for HAVE_GETXATTR for syscall_xattr_name
  * stress-wcs: add some extra macro sanity checking for wcs* functions
  * core-ftrace: add extra macro check for RB tree functionality
  * stress-sparsematrix: add extra macro checks for tree types
  * core-ftrace: check if HAVE_BSD_SYS_TREE_H is defined for trees
  * stress-ng.h: clean up some spacing in macros
  * stress-context: only report context address mapping for instance 0
  * stress-context: avoid using alternative stacks in a swapcontext
  * stress-ng: add aligned padding for counter metrics, rename it to pad
  * core-log: move ABORT_FAILURES from stress-ng.h to core-log
  * core-try-open: move STRESS_TRY_* macros to core-try-open.h
  * stress-dup: move STRESS_FD_MAX from stress-ng.h to stress-dup
  * stress-ng: move a few more macros from stress-ng.h to stress-ng.c
  * stress-mknod: move DEFAULT_DIRS macro to stress-mknod
  * stress-ng: move macros from stress-ng.h to stress-ng.c
  * stress-link: move DEFAULT_LINKS macro to stress-link
  * stress-access: remove trailing tab
  * stress-context: add SIGSEGV debug handling
  * core-helper: only dump object code for SIGILL
  * core-helper: add sigsegv handler and more debug to handlers
  * stress-mpfr: clean up indentation
  * stress-workload: add fused-multiply-add workload method
  * stress-workload: add --workload method option to specify work
    exercising method
  * stress-workload: add pause/yield workload
  * stress-syncload: use arm asm built-in for yield
  * syscalls.txt: update Copyright dates
  * stress-udp: use SO_REUSEADDR before bind
  * README.md: add another kernel bug found by using stress-ng
  * stress-file-ioctl: remove size check on FIOQSIZE
  * core-shim: fix missing ; on stat calls
  * core-shim: add shim wrapper for stat
  * core-shim: add shim wrapper for lstat
  * stress-iomix: use shim_copy_filerange and 64 bit offsets
  * stress-fpunch: cast offset to intmax_t to match print format specifier
  * core-shim: shim_copy_file_range: use shim_off64_t instead of
    shim_loff_t
  * core-helper: make buffer tmp larger to avoid gcc-12.2.0 m68k warning
  * core-shim: add shim wrapper for fstat
  * stress-open: try O_TMPFILE on temp_dir first, then fall back to /tmp
  * stress-workload: scale workload by number of threads
  * stress-workload: use correct delay time between next work item for
    threaded workloads
  * stress-workload: add an evenly spaced scheduling distribution option
  * stress-workload: add in missing workload duration for poisson dist
  * core-helper: provide warning when using the 0 reset timer-slack
    setting
  * stress-workload: provide --timer-slack advice when quanta is low
  * stress-workload: add a poisson process method of scheduled time
    generation
  * stress-*: add support for more floating point types
  * Makefile.config: use actual _Decimal* type names
  * stress-*: use _Float128 or __float128 depending on what is available
  * stress-*: replace HAVE_FLOAT128 with HAVE__float128
  * stress-*: replace HAVE_FLOAT80 with HAVE__float80
  * stress-*: replace HAVE_FLOAT64 with HAVE_Float64
  * stress-*: replace HAVE_FLOAT32 with HAVE_Float32
  * stress-*: replace HAVE_FLOAT16 with HAVE_fp16
  * stress-*: replace HAVE_FLOAT_DECIMAL* with HAVE_Decimal*
  * stress-workload: set workload_threads to zero if mq or pthreads not
    available
  * stress-workload: compare failed wq with cast value of -1
  * stress-workload: add --workload-threads option to use threads
  * stress-workload: remove CLASS_INTERRUPT from class
  * stress-link: minor speedup for mass file unlinking for minix 3 fs
  * stress-workload: fix scheduler build issues for non-linux builds
  * stress-vma: use shim_mincore instead of mincore
  * stress-workload: add memory flush/read work item
  * stress-workload: fix missing break in switch
  * stress-workload: add yield instead of very small sleeps
  * stress-workload: add a getpid() workload
  * stress-vma: fix missing proc-maps metrics
  * kernel-coverage: add workload sched workers
  * stress-workload: add --workload-sched option
  * stress-workload: add more randomly selected workloads
  * stress-workload: print histograph in debug verbose mode only
  * stress-workload: add a new scheduling workload stressor
  * stress-access: remove trailing space
  * README.md: update contributors list
  * stress-shm-sysv: add more information on shmat failure
  * README.md: add two more research citations
  * kerne-coverage: mount hfs, hfsplus with -o rw, increase loopback to
    4GB
  * stress-swap: handle ENOSPC more gracefully as a skipped stressor
  * stress-access: don't report chmod errors for some filesystems
  * stress-led: add LED /sysfs exercising stressor (Linux)
  * README.md: update contributors list
  * core-killpid: make killable timeout 10 minutes instead of 3
  * core-helper: add musl gcc detection
  * Add HOT OPTIMIZE3 attributes to random data filling helper funcs
  * core-mwc: replace just OPTIMIZE3 with HOT OPTIMIZE3 on highly used
    mwc funcs
  * test/test-libxxhash.c: include string.h and make buffer static
  * Manual: update vma manual description to reflect recent vma changes
  * stress-vma: reduce number of concurrent vma processes per instances
    to 2
  * stress-vma: fix 32/64 bit address generation
  * README.md: add two more research paper citations
  * core-*, stress-*: Add musl-gcc detection and HAVE_COMPILER_MUSL
  * stress-vma: add reading /proc/self/maps
  * stress-mva: add mprotect and msync
  * stress-vma: add mincore calls on pages
  * stress-procfs: use pthread_cancel to cancel pthreads before join
  * core-config-check: fix inverted tty message
  * stress-cgroup: fix duplicated open flags, use S_IRGRP | S_IWGRP
  * core-config-check: check for powersave cpu governor
  * core-shim: remove debug stress_process_info call
  * stress-open: report filesystem type on O_DIRECT open/create issue
  * stress-dev: use stress_kill_and_wait instead of kill and wait combo
  * core-shim: shim_wait: bail out after 3 minutes of waiting
  * core-helper: add stress_process_info to dump process state
  * core-*, stress-*: use %jd and (intmax_t) cast for all pid_t formatting
  * core-*/stress-*: rename pid to PID across system
  * core-killpid: give up killing PID and debug report this after 3
    minutes
  * kernel-coverage.sh: add --mmaphuge-file option to text mix
  * stress-mmaphuge: add --mmaphuge-file option to attempt to mmap onto
    a 16GB file
  * core-config-check: add system configuration sanity checks
  * kernel-coverage.sh: add /usr/sbin to path for gcov tools
  * stress-sysfs: terminate child process and pthreads using helper

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 9 Nov 2023 17:32:18 +0000

stress-ng (0.17.00-1) unstable; urgency=medium

  [ Colin Ian King ]
  * Makefile: bump version to 0.17.00
  * core-out-of-memory: treat zero timeout as ignore timeout check
  * stress-nanosleep: voidify function parameter ctxt
  * stress-nanosleep: fix build issue on Oracle Linux 6.1
  * README.md: add another research paper citation
  * test/test-swap.c: make array swapfile const
  * test/test-sendmmsg: fix incorrect indexes in msg_iov2
  * test/test-recvmmsg: fix incorrect indexes in msg_iov2
  * test/test-lseek: reduce scope of variables offset and ret
  * test/test-libkmod: constify pointer mod
  * test/test-inotify: constify pointer
  * README.md: update number of stressors
  * stress-af-alg: treat EINTR as non-fatal in error reporting
  * stress-vma: add madvise() calls to pages for extra contention
  * README.md: Add another presentation link
  * sreess-io-uring: remove verbose debug
  * stress-ng: remove redundant assignment to variable handler_set
  * stress-vma: remove redundant call to getpid
  * stress-metamix: remove unused calls to stress_exit_status
  * stress-cgroup: voidify return from fstat
  * stress-softlockup: cast mmap return to uint8_t * to clear up build
    warning
  * core-helper: fix uninitialized totalswap and freeswap for BSD
    stress_get_meminfo
  * stress-cgroup: exercise a child process in cgroup
  * stress-cgroup: exercise seek+read on cgroup files for more exercising
  * stress-landlock: silently ignore ENOSYS when EINVAL is intended
  * stress-cgroup: improve linux only build checks
  * stress-cgroup: minimal linux cgroup v2 stressor
  * stress-landlock: remove debug return 0 in landlock supported check
  * stress-io-uring: silently ignore EINVAL for unimplemented ops
  * core-shim: fix FTBFS, missing ; on membarrier call
  * README.md: Add citation link to another academic paper
  * stress-vma: cast mmap'd void pointer to stress_vma_metrics_t *
  * stress-nanosleep: re-order #defines and typedef for non-pthread builds
  * stress-dir: cast isdigit arg to int to clear up minix build warning
  * core-cpuidle: only define stress_cpuidle_cstate_add_unique for linux
    builds
  * stress-vma: use MAP_GROWSDOWN only if it is defined
  * stress-utime: only exercise VFAT utime bounds for 64 bit systems
  * core-pragma.h: remove -Wstringop-overflow for older toolchains
  * core-pragma: use -Wstringop-overflow on toolchains that support it
  * stress-vma: fix build issues with systems without MLOCK_ONFAULT
  * stress-softlockup: add rep sto on 1MB buffer for x86
  * stress-landlock: traverse file system adding as many files as possible
  * stress-landlock: fix non-working flags, re-work stressor
  * stress-vma: Add a new virtual memory address stressor
  * presentations: Add kernel recipes 2023 presentation
  * stress-dev: remove shadowed pointer dev
  * core-cpuidle: remove unused variable max_cpus
  * core-shim: add waitpid build check and use waitpid if it is defined
  * core-shim: use membarrier if it is defined
  * stress-dev: exercise /dev/cdc-wdm*
  * README.md: add another performance issue found with stress-ng
  * stress-swap: add filesystem type when swapon fails
  * kernel-coverage: fix typo in ionice loop
  * kernel-coverage: add swap on file systems for more exercising
  * stress-getrandom: add invalid GRND_INSECURE | GRND_RANDOM |
    GRND_NONBLOCK flags
  * stress-dev: add Linux /dev/vmci version ioctls
  * stress-dev: exercise /dev/radio with v4l ioctls
  * stress-dev: add /dev/lirc ioctl get commands
  * stress-sysfs: add finer grained locking, add sysfs exercise metrics
  * stress-utime: exercise some more times outside specific ranges
  * stress-fallocate: use O_SYNC'd fallocate every 16 bogo-loops
  * core-shim: handle posix_fallocate error returns correctly
  * stress-open: exercise two different invalid futimesat times
  * stress-shm: exercise a range of fallocate modes on shm
  * stress-sleep: add C state residency sleep durations to exercise deep
    C state sleeps
  * stress-nanosleep: add --nanosleep-method to specify different
    nanosleep methods
  * stress-nanosleep: also use C state residency durations for nanosleeps
  * core-cpuidle: allocate cpu C states and residency info in linked list
  * stress-dir: use stat or fstat depending if open fails or not
  * stress-dev: randomize the order of devices
  * stress-apparmor: remove unused commented out variable counter_lock
  * stress-dir: add file open/close on concurrent directory accesses
  * stress-dev: exercise /dev/dm with queued IO under RCU protection
  * stress-dir: reduce scope of variable d and make it const
  * core-helper: reduce scope of variable duration, make t const
  * core-log: clean up redundant variable initialization and
    constifications
  * core-clocksource: add check to see if HPET clocksource is being used
  * stress-dir: exercise readdir and rewinddir after populating a directory
  * stress-metamix: make verification optional with --verify option
  * stress-metamix: allow small 512 byte sizes, and mmap + check pages
  * stress-*: remove SIGTERM kills before SIGKILL kills
  * stress-*: use stress_kill_pid_wait() for kill/wait combos
  * core-*: use stress_kill_pid_wait() for kill/wait combos
  * stress-*: use stress_kill_pid() for kill SIGKILLs
  * core-log: only sync writes to log file and not stderr, stdout
  * core-log: don't write to logfile if it is not opened
  * core-*: fix syscall typo process_release -> process_mrelease
  * core-out-of-memory: include core-killpid.h
  * core: use stress_kill_pid for SIGKILLs
  * core-killpid: use process memory relasing if signal is SIGKILL
  * core-helper: remove some empty lines
  * core-helper: join broken literal strings
  * stress-vecmath: fix call to stress_catch_sigill
  * stress-ng: remove some empty lines
  * core-helper: add SIGILL handler for code that uses target clones
  * stress-metamix: add a new stressor that exercises a mix of file
    metadata operations
  * stress-epoll: silently ignore -ve parameter passed to epoll_wait
  * README.md: Add citation link to FIRESTARTER 2
  * stress-ng: move child stressor invoking code into stress_run_child
  * stress-ng: use stressor array size as limit for stressor loops
  * core-log: fix ptr and size changes per write
  * core-log: add pr_log_write_buf_fd helper for writes of buffer to a fd
  * core-log: change semantics of pr_lock/unlock
  * Manual: add more explanation why --log-lockess is useful
  * core-helper: Add 1 ms yielding in logging and fork child startup
  * README.md: add three more research paper links
  * README.md: add four more research paper links

 -- Colin Ian King <colin.i.king@gmail.com>  Sun, 8 Sep 2023 20:30:11 +0100

stress-ng (0.16.05-1) unstable; urgency=medium

  [Anisse Astier]
  * stress-vnni: verify if selected method supports intrinsic in intrisinc
    mode

  [Erwan Velu]
  * Manual: Indent stressors to ease man page reading

  [John Kacur]
  * stress-ng: Fix text of license in stress-sleep.c

  [Hsieh-Tseng Shen]
  * stress-pty: don't treat EINTR as failure when tcdrain is interrupted

  [matoro]
  * core-asm-generic: reintroduce HAVE_ASM_NOP check

  [ Colin Ian King ]
  * Makefile: bump version
  * Makefile: add missing core-time.h from headers
  * Makefile: remove snap from make dist rule
  * stress-touch: fix missing help args for --touch-method and --touch-opts
  * stress-ng: fix missing arg for --timer-slack help
  * stress-stream: fix --stream-index help, missing arg
  * stress-ring-pipe: fix help, missing args for --ring-pipe-num and
    --ring-pipe-size
  * stress-mremap: fix type in mremap-mlock help
  * stress-module: use settings names and variable names that match
    boolean args
  * core-opts: module-no-modver and module-no-vermag are argless, fix these
  * stress-ng: fix --max-fd help, needs arg N
  * stress-dirmany: fix --dirmany-bytes option in help
  * stress-cache: fix help for cacheline writeback should be --cache-clwb
  * stress-affinity: add missing numeric arg in --affinity-sleep option
    help
  * stress-llc-affinity: Fix spelling mistake "memiry" -> "memory"
  * Makefile: restore verify-test-all to 5 secs per stressor
  * stress-misaligned: double the timeout time for very heavily loaded
    systems
  * stress-cpu-online: fix nixos build error, missing semicolon
  * stress-kvm: skip stressor if /dev/kvm is already in use
  * Makefile: ignore warning return values in regression tests
  * stress-syscall: Add BSD rfork() system call
  * README.md: add another kernel reference
  * stress-mlock: only show munlock metrics if they are available
  * core-opts: fix disabled --perf option
  * Add map_shadow_stack to TODO list
  * stress-enosys: add map_shadow_stack
  * stress-dev: only use stress_dev_hid_linux if HAVE_LINUX_HIDRAW_H is
    defined
  * stress-ng.h: define _RENTRANT for __sun__ builds for threading
  * test/test-builtin-bitreverse: don't use random() to remove OpenBSD
    warnings
  * tests: don't use random() to remove OpenBSD warnings
  * core-cpu-cache: cast uint32 values to uint64_t before multiply
  * stress-sigbus: unconstify ptr8, clean up pedantic warnings:
  * core-helper: stress_write_buffer: use void * for ptr rather than char *
  * core-setting: fix  const warning with pedantic builds
  * core-sort: fix const warning with pedantic builds
  * stress-icache: make function stress_icache_func static
  * stress-zero.c: only declare mmap_counter and mmap_index for linux
    builds
  * stress-softlockup: reduce scope of variables t and d
  * stress-icache: reduce scope of variable val
  * stress-fma: fix return type of stress_fma_rnd_float to float
  * core-builtin: ensure shim_sqrtl returns long double
  * stress-bad-ioctl: constify pointers
  * stress-bad-ioctl: reduce scope of variables type, nr and ret
  * stress-aiol: cast result of multiply to same type as offset
  * core-cpu-cache: make cache_size match the same type as
    cpu->caches[i].size
  * stress-af-alg: constify pointer ptr
  * core-shim: shim_posix_fallocate: reduce scope of variable ret
  * core-numa: stress_parse_node: constify pointer str
  * core-affinity: stress_parse_cpu: constify pointer str
  * core-setting: remove unused field uintptr_t from struct
  * core-interrupts: change scope of pointer ptr
  * stress-watchdog: re-work code to remove need for watchdog_close label
  * Makefile: force vnni to be built with at least -O2
  * stress-vnni: move scope of variable to inside loop
  * stress-far-branch: clean false positive gcc warning by initializing ptr
  * stress-bad-altstack: make variable rnd non-clobberable
  * Add --interrupts option to enable interrupt accounting
  * core-interrupts: parse /proc/interrupts once for all types
  * README.md: add another paper citation
  * README.md: add two more kernel issues found with stress-ng
  * stress-enosys: add fchmodat2
  * stress-syscall: add fchmodat2
  * test-chmod: add fchmodat2 Linux 6.6 call and shim, add fchmodat shim
  * core-opts.h: move PR_OPT option macros to core-opts.h
  * core-opts: move gnu long options into core-opts.c
  * stress-prctl: add build check for new prctl macros
  * stress-prctl: exercise PR_RISCV_V_{GET|SET}_CONTROL
  * stress-prctl: add PR_GET_AUXV
  * README.md: add another kernel issue found using stress-ng
  * stress-schedmix: reduce scope of variable policy and remove
    initialisation
  * test/test-vfork.c: replace exit with _exit
  * stress-jpeg: stress_rgb_compress_to_jpeg: ensure duration is
    initialized to zero
  * stress-dev: add lseek + read on /dev/nvram, voidify some args to
    /dev/hid
  * stress-dev: exercise linux /dev/hid ioctls
  * stress-dev: exercise linux /dev/acpi_thermal_rel ioctls
  * stress-ng.h: rename PR_* macros to OPT_FLAGS_PR_*
  * core-thermal-zone.h: move perf related structs and defines to
    core-thermal-zone.h
  * core-perf.h: move perf related structs and defines to core-perf.h
  * stress-ng.h: remove unused typedef stress_func_t
  * README.md: add Anisse Astier to contributors list
  * Manual: rename AF_ALG stressor title
  * stress-netdev: exercise invalid lengths in ifr_ifindex and ifc_len
  * core-helper.h: move stress_align_stack into core-helper.h
  * core-time: move function prototypes to core-time.h
  * move stress_pagein_self definition to core-thrash.h
  * core-helper.h: move stress_warn_once from stress-ng.h to core-helper.h
  * stress-ng.h: remove unused legacy function declarations
  * core-helper: move stress_sigchld_set_handler from stress-ng.c to
    core-helper.c
  * include core-killpid.h for stress_killpid definition
  * stress-ng.h: remove stress_killpid, it is in core-kill.h
  * stress-ng.h: remove stress_clean_dir
  * core-helper: move stress_clean_dir and helpers to core-helper.c
  * core-helper: rename pr_* helper functions to stress_*
  * Makefile: add core-shim.h to headers
  * core-helper: move function prototypes and macros to core-helper.h
  * core-shim: move function prototypes and typedefs to core-shim.h
  * Remove snapcraft yaml file
  * core-helper: provide non BSD no-op variants of getsysctl functions
  * stress-sock: enable --sock-msgs option, set default from 1 to 1000
    messages
  * stress-sock: remove need to assign recvfunc pointer for every send
  * Manual: clarify support for --vmstat option
  * Manual: add --metrics RSS description
  * stress-dccp: add --dccp-msgs option, set default from 16 to 10000
    messages
  * README.md: add some more citiations
  * Manual: minor stressor description tweaks
  * Manual: minor corrections
  * Manual: re-adjust first option after each stressor heading using .TQ
  * stress-ng: make --metrics brief dump just bogo-ops metrics, more
    metrics with --metrics option
  * stress-null: add --null-write for write only null benchmarking
  * core-shared-heap: move function prototypes to core-shared-heap.h
  * core-processes: move function prototypes to core-processes.h
  * core-sched: remove unused function stress_set_deadline_sched
  * core-sched: move function prototypes to core-sched.h
  * Makefile: add missing core-limit.h
  * stress-ng.h: replace lock declarations with include of core-lock.h
  * core-mwc: move function prototypes to core-mwc.h
  * core-log: move function prototypes to core-log.h
  * core-setting: move function prototypes to core-setting.h
  * core-*: add missing extern and missing inclusion of header in core*c
  * Add core-attribute.h and core-parse-opts.h
  * core-out-of-memory: move function prototypes to core-out-of-memory.h
  * core-lock: move function prototypes to core-lock.h
  * core-limit: move function prototypes to core-limit.h
  * core-job: move function prototypes to core-job.h
  * core-vmstat: move function prototypes to core-vmstat.h
  * core-try-open: move function prototypes to core-try-open.h
  * core-numa: move function prototypes to core-numa.h
  * core-mounts: move function prototypes to core-mounts.h
  * Makefile: add two missing header files
  * core-mmap: move function prototypes to core-mmap.h
  * core-mlock: move function prototypes to core-mlock.h
  * core-mincore: move function prototypes to core-mincore.h
  * core-madvise: move function prototypes to core-madvise.h
  * core-klog: move function prototypes to core-klog.h
  * core-killpid: move function prototypes to core-killpid.h
  * core-io-priority: move function prototypes to core-io-priority.h
  * core-interrupts: move function prototypes to core-interrupts.h
  * core-ignite-cpu: move function prototypes to core-ignite-cpu.h
  * core-cpuidle: move stress_log_cpuidle_info to core-cpuidle.h
  * core-affinity: move function prototypes to core-affinity.h
  * stress-ng: stress_class_info_t: constify class
  * stress-ng: stress_verifiable_mode: constify mode arg
  * stress-ng: move stress_kill_stressors to remove need for forward
    declaration
  * stress-ng: rename some variables, add some inlining
  * stress-ng: rename classes to stress_classes
  * stress-ng.h: minor clean-ups
  * stress-ng.h: move some compiler specific #define's
  * core-opts: move long option enum into core-opts.h
  * stress-ng: fix spelling mistake in --oom-avoid message
  * README.md: update list of contributors
  * Manual: minor indention fixup for some hdd stressor options
  * stress-ng.h: use STATX definitions for SHIM'd macros if they exist
  * stress-ng.h: some minor #define and comment clean-ups
  * stress-ng.h: remove old legacy HDD flags and fix starting bit for
    OPT_FLAGS_METRICS
  * stress-ng.h: annotate the bit flags for the option flags
  * stress-ng.h: remove g_caught_signal - it is no longer used
  * stress-ng.h: remove g_opt_parallel from header, it's only used in
    stress-ng.c
  * stress-ng.h: remove g_opt_sequential from header, it's only used in
    stress-ng.c
  * stress-sem-sysv: skip stressor if semaphore can't be initialized early
  * stress-zero: rate reduce the amount of mmap's in stressor loop
  * stress-zero: add --zero-read option just to benchmark /dev/zero reads
  * stress-dir: add directory renaming while exercising readdir
  * stress-vecshuf: implement shuffle if __builtin_shuffle does not exist
  * README.md: add two more research paper citations

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 5 Sep 2023 08:51:23 +0100

stress-ng (0.16.04-1) unstable; urgency=medium

  * Makefile: bump version
  * core-asm-ret: move STRESS_ARCH_{LE|BE} macros from stress-far-branch
    to core-asm-ret
  * core-asm-ret: convert _ in name to -
  * stress-icache: fix missing assignment to ret
  * core-cpu-cache: #ifdef out more functions not required for non-linux
    builds
  * core-cpu-cache: #ifdef out functions not required for non-linux builds
  * core-cpu-cache: stress_cpu_cache_get_index: voidify args for
    non-linux build
  * core-cpu-cache: stress_cpu_cache_get_index: return 0 for non-linux
    systems
  * core-asm-ret: Add asm return function and re-use it in 3 stressors
  * stress-icache: don't exercise i-cache if not page aligned
  * stress-flushcache: don't exercise i-cache if not page aligned
  * stress-lockbus: add more compiler support checks
  * stress-icache: remove gcc constraint, there are no compiler
    constraints now
  * stress-flushcache: enable for more compilers (clang, icx, icc)

 -- Colin Ian King <colin.i.king@gmail.com>  Sun, 13 Aug 2023 23:10:14 +0100

stress-ng (0.16.03-1) unstable; urgency=medium

  [ mingkwind ]
  * stress-cache: fix the help of the --cache-size option
  * stress-cache: Add --cache-size option, set cache-size = N, and ignore
    --cache-level option

  [ Colin Ian King ]
  * Makefile: bump version
  * Makefile: add core-asm-generic.h to HEADERS
  * Makefile: fix make dist rule to not include generated source
  * README.md: order kernel improvements in year order
  * README.md: fix URL to a citation
  * README.md: order the citations in published year order
  * Manual: update date
  * core-target-clones/stress-vnni: fix icx compiler target build issues
  * stress-ng: stress_run_permute: remove unused variable n
  * core-bitops.h: don't use __builtin_popcountll for PCC, it breaks
  * stress-dev: fix name shadowing on variable i, rename to j
  * test/test-__restrict: make arg src const
  * stress-vnni: make pointer c32 register const
  * stress-vdso: func_find: constify arg name
  * stress-switch: stress_switch_rate: constify arg method
  * stress-prefetch: stress_prefetch_data_set: constify pointer
    l3_data_end
  * stress-memhotplug: stress_memhotplug_removable: constify arg name
  * stress-pipe: reduce scope of pointer buf32
  * stress-mmapfork: notrunc_strlcat constify arg src
  * stress-ng: stress_get_class_id: constify arg str
  * stress-ng: stress_exclude_unsupported: remove redundant ss
    initialization
  * core-cpuidle: remove redundant max_states > 0 check
  * stress-ng: don't wait for stressors that have been ignored
  * stress-ng: fix --perm bogo-op stats
  * core-helper: <sys/swap.h> on 64 bit Solaris throws and error, so
    disable it
  * stress-sigbus: handle SIGSEGV as some *BSD systems generate these too
  * stress-sigbus: check for a range of allower si_codes for SIGBUS
  * stress-sigbus: check for BUS_ADRERR in si_code instead of SEG_ADRERR
  * test: test/mm-*: return data from vector to avoid optimizing out
    intrinsic calls
  * test: test/mm-*: add randomize vector setting to avoid optimizing out
    intrinsic calls
  * stress-mlock: ensure mappings_len is at least a page_size
  * core-helper: log the compiler information even if uname is not
    available
  * stress-ng: voidify function argument ticks_per_sec if it is not used
  * stress-ng: change test results ordering: skipped, passed, failed
  * stress-vnni: simplify check for stress_avx512_vnni_capable
  * core-cpu-cache: declare sysfs strings only for Linux
  * stress-sigbus: fix a comment
  * stress-pipe: define PIPE_BUF if it is not defined
  * README.md: add one more kernel issue found with stress-ng
  * stress-sigbus: remove shadow'd variable ret
  * stress-schedmix: check for MEMBARRIER_CMD_GLOBAL before using it
  * README.md: move some more bugs into the correct year
  * README.md: break bug reports into years found
  * core-cpu-cache: fix incorrect close for stress_cpu_cache_get_sh4
  * README.md: add another citation
  * Makefile: use gcc -fsplit-loops optimization
  * stress-ng.h: shared_heap_t: fix spelling mistake slap -> slab
  * core-setting: move stress_setting_t from stress-ng.h to core-setting.c
  * Add --config option to dump out configuration #define's
  * core-target-clones: reformat target clones macro
  * stress-ng.h: put ignore flags into their own struct
  * core-vmstat: fix thermalstat headings, thermalzone headers were not
    being printed
  * Manual: update date
  * Manual: move and update the --with option to also refer to the
    --permute option
  * core-out-of-memory: don't report EACCES issues on oom adjustments
  * stress-ng: disallow --random with --sequential, --all or --permute
  * stress-ng: add --permute N option, run permutations of stressors
  * stress-vnni: fixup for big endian checksums
  * stress-ng: add new --with option to specify stressors to run with
    --seq or --all options
  * core-target-clones.h: Add graniterapids
  * stress-vnni: minor optimization on exercise loop and checksum
  * stress-vnni: don't call non-intrinsic methods if vnni_intrisic is set
  * stress-vnni: add --vnni-intrinsic option to exercise just intrinsic
    code
  * Add vnni (vector neural network instructions) stressor
  * stress-syncload: add some sqrt computations for more load variants
  * stress-waitcpu: constify function pointers in stress_waitcpu_method_t
  * stress-vecwide: constify vecwide_func and byte_size in
    stress_vecwide_funcs_t
  * stress-vecshuf: constify vecshuf_func and elements in
    stress_vecshuf_funcs_t
  * stress-vecfp: constify vecfp_func and elements in stress_vecfp_funcs_t
  * stress-vdso: constify function pointer in stress_wrap_func_t
  * stress-syscall: constify fields in syscall_method_t and syscall_t
  * stress-switch: constify function pointer in stress_switch_method_t
  * stress-rotate: constify function pointer in stress_rotate_funcs_t
  * stress-nop: constify func pointer in stress_nop_instr_t
  * stress-memthrash: constify function pointer in
    stress_memthrash_method_info_t
  * stress-memrate: constify function pointers in stress_memrate_info_t
  * stress-ipsec-mb: constify fields in stress_ipsec_features_t
  * stress-getrandom: constify flag in getrandom_flags_t
  * stress-fpunch: constify fields in stress_fallocate_modes_t
  * stress-chattr: constify fields in struct stress_chattr_flag_t
  * stress-cache: constify mask_flag_info and field flag
  * stress-atomic: make fields in atomic_func_info_t const
  * core-interrupts: constify fields in stress_interrupt_info_t
  * stress-zlib: constify morse data struct fields
  * core-perf: enable more perf events
  * README.md: add another citation
  * core-shim: typedef shim_rusage_who_t rather than using #define
  * core-cpu-cache: replace #define'd literal string with const char
    arrays
  * stress-ng: typedef shim_ino64_t instead of using a #define
  * stress-ng.h: replace #define's with typedefs for some shim'd types
  * stress-ng.h: add parentheses around shift in STRESS_BIT_U* macros
  * stress-af-alg-defconfigs: add more af-alg configurations based on
    6.5-rc4
  * core-perf: add some more perf metrics
  * README.md: add another kernel issue found with stress-ng
  * stress-swap: handle EPERM when we have permission
  * stress-swap: move stress_swapoff to core-helper, force swapoff when
    cleaning files at end
  * stress-swap: force remove any pre-existing swap files
  * stress_exclude_unsupported: skip over ignored stressors
  * stress-swap: add oomable wrapper to catch OOM'd stressor
  * stress-ng.h: remove space after __attribute__
  * stress-ng.h: remove unused macro ALIGN_CACHELINE
  * core-helper: rename stress_proc_self_exe to stress_get_proc_self_exe
  * core-helper: rename stress_proc_self_exe_path to
    stress_get_proc_self_exe_path
  * core-helper: rename stress_fs_type to stress_get_fs_type
  * core-helper: rename stress_min_pthread_stack_size to
    stress_get_min_pthread_stack_size
  * core-helper: rename stress_min_sig_stack_size to
    stress_get_min_sig_stack_size
  * core-helper: rename stress_sig_stack_size to stress_get_sig_stack_size
  * core-helper: rename stress_min_aux_sig_stack_size to
    stress_get_min_aux_sig_stack_size
  * core-helper: rename stress_hostname_length to
    stress_get_hostname_length
  * core-helper: rename stress_text_addr to stress_get_exec_text_addr
  * core-helper: constify stress_handle_stop_stressing signum parameter
  * core-helper: stress_rndbuf: constify size parameter
  * core-helper: rename stress_signal_name to stress_get_signal_name
  * stress-ng.h: add more comments
  * stress-ng.h: re-organize misc shared data fields,
    remove warn_once_flags
  * stress-ng.h: move checksum specific data into checksum struct
  * stress-ng.h: move instance counts to instance_count struct
  * stress-ng.h: remove af_alg_hash_skip and af_alg_cipher_skip from
    shared data
  * stress-ng.h: move pr_ logging fields to struct pr
  * stress-ng.h: move mem_cache stressor fields to struct mem_cache
  * stress-ng.h: move cacheline stressor fields to struct cacheline
  * stress-ng: add spaces between comma separated sizes and times in
    example
  * stress-schedmix: only declare attr for deadline supported systems
  * stress-schedmix: move declaration of schedmix_sem
  * stress-*: add build check for struct ifreq
  * stress-sock: only exercise SIOCGIFADDR ioctl if it is defined
  * stress-schedmix: only declare buf array for linux builds
  * stress-ng: stop SIGALRM once tests are complete
  * stress-sparsematrix: constify pointer table
  * stress-opcode: fix cppcheck false positive check on small
    STRESS_OPCODE_SIZE values
  * core-cpu-cache: fix file descriptor leak on calloc error exit path
  * core-cpu-cache: use %zu for size_t sscanf format specifier
  * Makefile: ensure CONFIG_LDFLAGS += with no trailing spaces are
    filtered out
  * stress-pipe: voidify fd param in pipe_get_size for OS X builds
  * stress-mlock: voidify oom_avoid param for OS X builds
  * core-shim: add emulation for posix_fallocation if it is not available
  * core-bitops.h: Fix build issue with stress_bitreverse32
  * kernel-coverage: fix typo in do_stress calls
  * core-vmstat: add stats showing number of stressors that received
    SIGALRM
  * kernel-coverage: add periodic status information on direct stress-ng
    invocations
  * kernel-coverage: add more options for more coverage
  * Makefile.config: ensure CONFIGS directory exists before touching
  * Makefile: pass CXX flags to Makefile.config on config rule
  * Makefiles: add override prefix to all CFLAGS and LDFLAGS settings
  * README.md: update build notes
  * Makefile: add cleanobj and cleanconfig rules
  * stress-hdd: fix verification on partially completed writing due to
    ENOSPC
  * stress-sigbus: only report no space error when not EINTR failure
  * stress-fault: handle EINTR interruption from a fallocate
  * stress-cpu-online: report the cpu number in message
  * core-cpuidle: only report cpu idle states if any are found
  * core-cpuidle: ensure singular and plural of CPU and state are correct
  * core-cpuidle.c: add debug showing CPU idle states
  * stress-pipe: fix incorrect position of space in --pipe-vmsplice help
  * stress-dev: use VOID_RET to voidify returns from ioctl calls
  * stress-dev: add FDWERRORGET ioctl
  * stress-pipe: add --pipe-vmsplice option to use vmsplice on pipe data
  * stress-ng: minor opt arg code clean-up
  * Add flag options to settings so they can be shown with --settings
    option
  * README.md: add two more citations
  * stress-schemix: only create semaphore if shared memory allocated
    correctly
  * stress-sendfile: fix fd leak on error exit path
  * stress-sigbus: add a new SIGBUS exercising stressor
  * stress-tlb-shootdown: exercise
    /sys/kernel/debug/x86/tlb_single_page_flush_ceiling
  * stress-ng: Add --settings option to show all the stored option
    settings
  * core-helper: define PR_SET_MEMORY_MERGE if it not already defined
  * stress-ng: cancel periodic alarm in child on stressor completion
    earlier
  * core-cpu-cache: add /proc/cpuinfo parsing for SH4
  * core-bitops.h: move stress_nextpwr2 from stress-cpu to core-bitops.h
  * core-bitops.h: move stress_parity32 from stress-cpu to core-bitops.h
  * core-bitops.h: move stress_popcount32 from stress-cpu to core-bitops.h
  * core-bitops.h: move stress_bitreverse32 from stress-cpu to
    core-bitops.h
  * stress-schedmix: give each child a random nice value
  * stress-schedmix: add blocking on a semaphore
  * stress-mlockmany: break large mlock/munlocks into smaller chunks
  * core-shim: add a shim wrapper for posix_fallocate for expedited
    allocations
  * stress-dir: indicate dir stressor is cleaning up as early as possible
  * stress-unlink: indicate unlink is cleaning up as early as possible
  * stress-schedmix: get rusage and times stats for more load
  * core-helper: add more timeout checking in stress_redo_fork
  * core-out-of-memory: add timeout checks on re-fork and stressor
    re-invocation phases
  * core-helper: constify args for stress_read_buffer and
    stress_write_buffer
  * core-helper: replace stress_get_cc_version with stress_get_compiler
  * core-helper: rename stress_uint64_zero to stress_get_uint64_zero
  * core-bitops.h: move stress_swap32 from core-helper.c to core-bitops.h
  * core-helper: fix function name in comment block
  * core-helper: rename stress_tty_width to stress_get_tty_width
  * stress-sparsematrix: fix typo in help information, judt -> judy
  * stress-ng: make help options column 2 chars wider
  * core-asm-generic: rename shim_mb to stress_asm_mb, move to
    core-asm-generic
  * core-asm-generic: header for generic inline assembler
  * stress-ng: replace io with iomix as an example stressor
  * core-helper: add toolchain information to -v output
  * core-helper: add some more file system magic numbers
  * core-helper: remove duplicated MINIX2_SUPER_MAGIC
  * stress-schedmix: add --schedmix-procs option to specify number of
    child processes
  * stress-schedmix: add more scheduling exercising
  * stress-schedmix: add itimer for more scheduling wake-ups
  * stress-schedmix: correct copyright
  * stress-sock: remove unnecessary cast to double and comparisons
  * stress-schedmix: add mixed scheduling load stressor
  * kernel-coverage.sh: add some more stressor options
  * kernel-coverage: disable SMI from all stressors
  * stress-misaligned: check if timeout occurred before next iteration of
    stressor loop
  * stress-sock: declare count only if SIOCOUTQ is defined
  * Makefile.config: improve compiler checks to help cross-compilation
  * stress-set: exercise settimeofday with bogus tz
  * stress-sock: exercise SIOCGIFADDR for more kernel coverage
  * stress-mlock: ensure flag bit on address is masked off
  * stress-mlock: get bits from random uint8_t rather than uint32_t
  * stress-io-uring: fix build issues on systems without {GET|SET}XATTR
    ops
  * stress-sock: exercise ioctl SIOCATMARK for more kernel test coverage
  * stress-sock: add SIOCINQ/OUTQ metrics
  * stress-sock: fix UNIX socket by using sock_protocol 0, exercise
    SIOCUNIXFILE
  * Manual: remove unix from --udp-domain
  * stress-*: use args->time_end for the time to end
  * stress-misaligned: check for timeout before iterating again after a
    siglongjmp
  * stress-ng: add end time to per-stressor args
  * core-*: rename system_{read|write} to stress_system_{read|write}
  * stress-msg: exercise IPC_NOWAIT flag for more kernel coverage
  * stress-cpu-online: remove --cpu-online-all from global flags
  * stress-cpu-online: add new --cpu-online-affinity option
  * stress-dev: exercise CDROMSTART and CDROMSTOP ioctls
  * stress-io-uring: exericse IORING_OP_SETXATTR and IORING_OP_GETXATTR
  * stress-msg: periodically exercise IPC_NOWAIT
  * core-out-of-memory: relax a bit before retrying a fork
  * stress-mlock: relay a little on failed mappings table allocation
  * stress-dev: exercise /proc/sys/dev/cdrom/* on linux
  * stress-dev: set option for cdrom ioctl CDROM_SET_OPTIONS
  * stress-dev: set q.cdsc_format for CDROMSUBCHNL

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 11 Aug 2023 09:13:53 +0100

stress-ng (0.16.02-1) unstable; urgency=medium

  * Makefile: bump version again
  * stress-cyclic: Fix segv caused by uninitialized variable cyclic_method
  * README.md: add repology information

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 13 Jul 2023 08:44:47 +0100

stress-ng (0.16.01-1) unstable; urgency=medium

  [ Pino Toscano ]
  * debian/control: Update/improve the build dependencies (Closes: #1040582)
    - enable libkeyutils-dev also on ia64, as it is available there as well
    - enable libjudy-dev, libxxhash-dev, and libglvnd-dev on all the
      architectures, as they are not specific to a certain OS
    - switch the build dependencies that exist only on Linux from
      "!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64" to "linux-any":
      libkeyutils-dev, libapparmor-dev, apparmor, libaio-dev, libcap-dev,
      libsctp-dev, libatomic1, libkmod-dev, libgbm-dev

  [ Colin Ian King ]
  * Makefile: bump version
  * Manual: update date
  * stress-shm-sysv: abort early if we run out of shm resources
  * stress-hash: fix index overrun during initialization
  * stress-hash: fix index overrun in stress_hash_all
  * stress-nop: add NOCLOBBER to pointer instr, clear Solaris gcc 4.8.2
    warning
  * stress-ng: fix sigprocmask, signals that need to be blocked are set,
    not zero'd
  * stress-bad-ioctl: replace next label with continue statement
  * core-setting: remove TYPE_ID_UINTPTR_T type
  * stress-zlib: replace null check in methods array with length check
  * stress-vm: replace null check in methods array with length check
  * stress-vm-addr: replace null check in methods array with length check
  * stress-switch: replace null check in methods array with length check
  * stress-sparsematrix: replace null check in methods array with length
    check
  * stress-opcode: replace null check in methods array with array length
    check
  * stress-misaligned: replace null check in methods array with length
    check
  * stress-cyclic: pass address of pointer rather than method address
  * stress-memcpy: replace null check in methods array with length check
  * stress-hash: replace null check in methods array with length check
  * stress-exec: replace null check in methods array with length check
  * stress-cyclic: replace null check in cyclic_methods with length check
  * stress-cpu: replace null check in cpu_methods with length check
  * Manual: fix typo in --cpu-offline-all option
  * Manual: some minor grammar changes
  * stress-ng: add --status N option to report stressor runs status every
    N seconds
  * stress-malloc: remove need for some global variables, clean up code
  * stress-schedpolicy: add --schedpolicy-rand option to select policy
    randomly
  * stress-bad-ioctl: fix fd leak
  * stress-chroot: add two standard methods of breaking out of a chroot
    as tests
  * stress-bad-ioctl: add --bad-ioctl-method to select how ioctl commands
    are changed
  * stress-stream: ensure number of elements is a multiple of unroll size
  * stress-ng: make child termination SIGALRM messages debug only
  * stress-ng: speed up child termination by blocking signals and skip
    excessive free'ing

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 11 Jul 2023 11:24:12 +0100

stress-ng (0.16.00-1) unstable; urgency=medium

  * Makefile: bump version to 0.16.00
  * core-helper: double size of temporary string buffer tmp
  * stress-ipsec-mb: use reverse compat macros for versions 0.55.00
  * stress-ipsec-mb: add reverse compat macros for version 0.52.0 or
    earlier
  * Manual: fix eigen table
  * stress-mlock: clean up pedantic warning on uninitialized pointer
    mappings
  * stress-cache: clean up longjmp clobber warnings on openhipster 202104
  * stress-mmap: check for NetBSD EPERM errors on page protection checks
  * stress-far-branch: disabled for NetBSD
  * stress-iomix: shrink file size if we hit EFBIG or ENOSPC
  * stress-copyfile: handle ENOSYS by skipping stressor
  * stress-misaligned: handle timeout by jmping back and restarting
  * kernel-coverage.sh: add more mlock options
  * README.md: fix ClearLinux libattr bundle name
  * stress-pagemove: add new --pagemove-mlock option
  * stress-memfd: add new --mefd-mlock option
  * stress-malloc: add new --malloc-mlock option
  * stress-llc-affinity: add new --llc-affinity-mlock option
  * kernel-coverage: add some more stressor options for more coverage
  * stress-physpage: voidify physpage_mtrr when not used
  * stress-bad-altstack: return EXIT_FAILURE insted of
    _exit(EXIT_FAILURE)
  * core-parse-opts: return 0 on err, clean up pedantic tcc warnings
  * stress-ng.h: undef _FORTIFY_SOURCE for TCC builds
  * core-killpid: break out of infinite loop and return via return path
  * stress-af-alg: add hmac(md5) to defconfigs
  * core-helper: add detection for Darwin libc
  * core-vmstat: clean up pedantic warning on const name array on OS X
  * stress-madvise: voidify hwpoison
  * stress-x86syscall: rename variables to avoid name shadowing
  * stress-open: remove shadowing variable ret
  * Manual: re-order options into alphabetical order, fix some hyphens
  * Manual: remove expand from tables now that x is being used
  * Manual: put code examples in courier font
  * Manual: use lx expand description in tables
  * Manual: add notes about the legacy io stressor
  * README.md: add another citation
  * Manual: remove x86 specific notes for icache stressor
  * stress-mmapaddr: remove trailing space
  * Manual: rephrase mlock options
  * stress-vm-addr: add new --vm-addr-mlock option
  * stress-waitcpu: only perform nop rate comparisons of x86
  * stress-stream: add new --stream-mlock option
  * stress-shm-sysv: add new --shm-sysv-mlock option
  * stress-shm: add new --shm-mlock option
  * stress-remap: add new --remap-mlock option
  * stress-resources: add new --resources-mlock option
  * stress-mmapmany: add new --mmapmany-mlock option
  * stress-mmaphuge: add new --mmaphuge-mlock option
  * stress-mmapfixed: add new --mmapfixed-mlock option
  * stress-mmapaddr: add new --mmapaddr-mlock option
  * stress-mmap: add new --mmap-mlock option
  * stress-l1cache: add new --l1cache-mlock option
  * stress-forkheavy: add new --forkheavy-mlock option
  * stress-bigheap: add new --bigheap-mlock option
  * stress-switch: report pipe read/write failures as debug message only
  * core-out-of-memory: change stress_set_adjustment to pass args
    instead of args->name
  * core-helper: add stress_munmap_retry_enomem to retry munmaps on
    ENOMEM errors
  * stress-open: unlink correctly path'd temp file
  * stress-sparsematrix: initialize some pointers to clean up cppcheck
    errors
  * stress-atomic: set check2 to non-check1 value to ensure value gets
    overwritten
  * core-perf: remove redundant null check on sp
  * core-helper: cast to uintmax_t for %ju format specifier
  * README.md: add two more citation links
  * stress-fp: check for upper bounds of method index
  * stress-ng: fix potential null deref in stress_get_nth_stressor
  * stress-utime: force fsync in #ifdef block
  * stress-pipe: add missing const from pointer buf32
  * stress-misaligned: fix unassigned timer.it_value field
  * stress-exec: add missing space in void * cast
  * core-vmstat: don't check for __APPLE__ if __FreeBSD__ is defined
  * core-helper: only declare tmp where it is required
  * stress-ng.h: remove unused shim_builtin_memmove macro
  * stress-open: use temporary directory for open+create files
  * stress-numa: exercise new linux system call set_mempolicy_home_node
  * stress-iomix: exercise new Linux cachestat system call
  * stress-aiol: ensure all fields in bad_ioc are zero
  * core-helper: fix SHIM_EXT2_IOC_SETFLAGS, pass &flags and not flags
  * core-killpid: set wstatus to zero
  * stress-vecfp: add some alignment hints
  * stress-shellsort: add some optimization hints
  * stress-steam: add more restrict and const pointer annotations
  * stress-physpage: only enable mtrr settings with the new
    --physpage-mtrr option
  * stress-get: remove duplicated getcontext call
  * Manual: correct the clock duration section
  * stress-pipe: default the pipe read/write size to 4096
  * stress-pipe: use verify/non-verify variants of read and write helpers
  * core-*: send SIGALRM to child process if stress-ng parent dies
  * core-*: check for ss->ignore and skip if set
  * core-*, stress-*: rename bogo-op related functions and variables
  * core-cache: remove unavailable cache options from cache flags mask
  * stress-far-branch: fix typo in .opt_set_funcs
  * core-helper: report cache sizes when -v is enabled
  * core-cpu-cache: rename stress_cpu_cache_get_level_size cache size
    argument
  * core-helper: add stress_unset_chattr_flags to unset chattr flags
  * stress-apparmor: break from loop on fatal policy load
  * stress-alarm: disable SIGUSR1 during counter increment
  * stress-ng: account for stressors that had untrustworthy metrics
  * README.md: add a kernel regression found with stress-ng
  * stress-ng: account for stressors that are skipped before they are run
  * stress-*: remove trailing space at end of lines
  * stress-*: add SIGCHLD handling to inform parent child has terminated
  * stress-remap: use correct integer range checking function
  * stress-remap: add --remap-pages option to specify number of pages to remap
  * Manual: fix --regs-ops option, missing -ops
  * stress-mlock: set error return on mlock failure from child
  * stress-udp-flood: add sendto rate metrics and failure check
    verification
  * stress-udp-flood: replace main for loop with do-while
  * stress-watchdog: add verification of watchdog ioctl return values
  * stress-madvise: voidify return from stress_get_setting
  * stress-mlock: allocate appropriately sized mappings table
  * core-*, stress-*: replace errno = %d with errno=%d
  * stress-mlock: prefix errno value with errno=
  * stress-madvise: only enabled hardware page poisoning with
    --madvise-hwpoison
  * core-cpu: add more CPUID processor manufacturer ID strings
  * stress-brk: add --brk-bytes option to specify maximum brk size
  * stress-bigheap: add --bigheap-bytes option to specify maximum heap
    size
  * core-try-open: use increasing backoff delay and add keep_stressing
    check
  * core-shim: add kill wrapper shim_kill
  * core-vmstat: allow --vmstat, --thermalstat and --iostat use s,m,h
    time suffixes
  * stress-close: remove scheduler class flag, it's the wrong
    classification
  * stress-fanotify: replace fanotify stats with generic metrics
  * stress-af-alg: don't fail on ETIMEDOUT bind exit
  * core-klog: log hung task information
  * core-klog: raise priority of klog process, throttle process dumping
    rate
  * core-vmstat: increase running and block process count fields to 3
    chars
  * core-processes: use variable j for iterating, not i, fixes clobbering
  * stress-icache: add more comment notes on how to check for icache
    misses
  * syscalls.txt: update for riscv specific system calls
  * stress-syscall: exercise new syscall riscv_flush_icache
  * stress-sysinval: exercise new syscall riscv_hwprobe
  * stress-syscall: exercise new syscall riscv_hwprobe
  * stress-nop: add comment about random being the last nop stressor
  * core-klog: fix order of kernel cmdline strings
  * core-resources: try memfd_create with MFD_NOEXEC_SEAL
  * core-interrupts: use int64_t for delta of interrupts
  * stress-far-branch: limit shift to avoid address request overflow
  * stress-vm-addr: remove redundant assignment of buf to NULL
  * stress-far-branch: voidify return from stress_get_setting
  * stress-softlockup: add more randomness is busy loop delay
  * stress-softlock: add busy loop to eat CPU for 1/100th second
  * stress-cyclic: remove use of softlockup_count
  * stress-softlock: spawn N children for N CPUs per stressor
  * stress-efivar: enable verification of EFI variable reading
  * stress-priv-instruction: add trapping count verification
  * stress-dynlib: add dlsym lookup time metrics
  * stress-x86syscall: add verification of getpid, time and
    gettimeofday syscalls
  * stress-lockbus: move metrics variables above x86 #ifdef
  * stress-forkheavy: ensure waitpid is waiting on a valid child pid
  * stress-lockbus: add bus lock duration metrics
  * stress-fpunch: replace %lu with PRIu64 format specifier
  * stress-far-branch: add --far-branch-pages option
  * core-affinity: allow affinity ranges of N-N to be interpreted as N
  * stress-af-alg: don't support tk transformations
  * stress-pipeherd: add verification check value in data
  * stress-x86syscall: exercise gitpid 0 arg syscall (stressor)
  * stress-x86syscall: exercise gitpid 0 arg systcall
  * stress-x86syscall: use size of array as for loop counter max
  * stress-fpunch: enable zero hole punch verification on --verify
  * core-klog: dump out processes on hard lockups
  * stress-udp: pass child error return status back to stressor main if
    failed
  * stress-udp: silently ignore EPERM sendto failures
  * core-interrupts: add FORMAT type hint
  * stress-func*c: use soft decimal float for s390x
  * core-helper: add extra paranoid checking for sysconf

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 7 Jul 2023 09:43:57 +0100

stress-ng (0.15.10-1) unstable; urgency=medium

  * Makefile: bump version
  * core-shim: add shim_raise helper to workaround SH4 raise
  * stress-funccall: disable Decimal and complex floats for SH4
  * stress-ipsec-mb: use the newer API, 0.53 has been deprecated

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 15 Jun 2023 13:12:11 +0100

stress-ng (0.15.09-1) unstable; urgency=medium

  [ Eder Zulian ]
  * Manual: fix typo: non-interritable -> uninterruptible

  [ Colin Ian King ]
  * Makefile: bump version
  * stress-funcret: disable Decimal float for s390x
  * stress-funccall: disable Decimal float for s390x
  * README.md: update contributor list
  * stress-sctp: use pidptr to clean up gcc 5.5.0 type punning warnings
  * stress-jpeg: only define stress_jpeg_checksum_data if
    HAVE_OPEN_MEMSTREAM is defined
  * stress-jpeg: voidify unused variable verify for non-verification
    #ifdef paths
  * stress-funcret: variable old_b needs tainting to keep old compilers
    happy
  * stress-sigsuspend: cast pid_t to intmax_t for portable width printing
    of pid_t
  * stress-sigchld: don't check for si_code on OpenBSD
  * stress-sigrt: cast pointer from mmap to (stress_metrics_t *)
  * stress-udp: add in a back-off delay on ENOBUFS
  * stress-udp: handle ENOBUFS on recvfrom
  * stress-udp: use pidptr to clean up gcc 5.5.0 type punning warnings
  * stress-bigheap: rename si_code to sigcode to avoid macro name clash
    in minix
  * stress-bigheap: remove SA_SIGINFO #ifdef, fixed minix build failure
  * core-interrupts: cast char to int for clean minix build
  * stress-fstat: compare stat buf fields with known original
  * core-asm-x86.h: fix cpuid for 32 bit x86
  * core-affinity: fix stress_change_cpu helper for non-linux systems
  * stress-stream: reduce the checksum floating point precision
  * core-interrupts: assert that number of interrupts does not exceed max
  * core-interrupts: only enable check on some specific x86 interrupts
  * core-helper: check for failed sysconf stack size calls
  * stress-misaligned: add timer to check for locked-up instructions
  * stress-mlock: don't make mlocked pages check a failure, just a debug
    message
  * stress-sleep: discount severe clock warping
  * stress-mq: add detection of system wide lack of file descriptors
  * stress-inotify: increase back-off time, keep retrying
  * stress-timer: cancel timer before deleting it
  * stress-funccall: ignore comparing some Decimal and Float types
  * stress-binderfs: bump timeout to 15 seconds
  * stress-fsize: remove failure from unexpected size issue
  * stress-hrtimers: skip stressor if low on resources on timer_create
    call
  * stress-mq: don't treat timeouts as hard failures
  * stress-dnotify: ignore stray SIGIOs
  * stress-eigen: add transpose and addition matrix operations
  * stress-dnotify: set F_NOTIFY flags to zero before closing
  * stress-waitcpu: add more slow
  * stress-x86cpuid: add verification on cpuid return register values
  * stress-ng: swap order of pid and started/exited messages
  * stress-wait: remove extraneous wait: prefix in messages
  * stress-kcmp: ensure EXIT_FAILURE is reported back to stress-ng
  * stress-kcmp: fix missing : on pr_fail message
  * stress-kmp: check bad file descriptors and silently ignore EBADF
  * stress-ng: reformat process exiting message, replace "process" with
    stressor name
  * core-resources: make tmp files smaller
  * TODO: remove --ksm option from TODO list
  * stress-urandom: make failed mmaping on urandom fd
  * stress-sparsematrix: use private mmapping rather than shared
  * stress-sigsegv: make shared mmapping private
  * stress-randlist: use private mmapping
  * stress-prefetch: use private mmapping rather than shared
  * stress-full: mmaps on /dev/full will fail, don't use MAP_ANONYMOUS
  * stress-dev-shm: mapping should not be anonymous, it's bound to fd
  * stress-dev-shm: make mapping anonymous private for better ksm
    performance
  * stress-ng: re-order --times option
  * stress-ng: update short help with missing general options
  * stress-ng: enable --ksm kernel samepage merging option
  * TODO: add ksm PR_SET_MEMORY_MERGE
  * TODO: add two more items to be implemented
  * syscalls: add riscv_hwprobe - TODO
  * stress-pthread: voidify snprintf return
  * core-ftrace: voidify snprintf return
  * stress-mmapmany: read /proc/self/smaps and /proc/self/maps
  * stress-hdd: use RWF_HIPRI when using O_DIRECT on pwritev2 writes
  * core-*/stress-*: fix a wide range of typos and spelling mistakes
  * stress-aiol: use O3 for data filling and checking
  * voidify returns from strlcpy and strlcat
  * stress-*sort: correct the message why the stressor is not implemented
  * stress-waitcpu: add a little slop in nop and wait cpu opcodes rate
    comparisons
  * stress-brk: reset index i on re-start on low memory, fixes random
    check failures
  * stress-stream: compare doubles using fabs and a small delta
  * stress-stream: make helper function stress_stream_checksum_data static
  * stress-stream: constify cast to clear up icc warning
  * stress-memrate: register and ALIGNED do not mix well with icc, remove
    ALIGNED hint
  * stress-rmap: use PRIxPTR format specifier for uintptr_t type
  * core-mmap: make page_end const
  * stress-funccal: usr helper macros to compare more esoteric float types
  * stress-vecfp: compare float and double with some slack
  * stress-udp: constify cast of data to pid_t *
  * stress-funccall: add helper macros to compare integer, float and
    complex types
  * stress-daemon: clear up name shadowing on variable rc
  * stress-prctl: verify that illegal prctl calls are handled correctly.
  * stress-sctp/udp: refactor: move 32 char string into core-helper
  * stress-sock: report number of messages send per second as extra
    metrics
  * stress-sctp: return EXIT_NO_RESOURCE on protocol not found
  * stress-timer: add timer_settime verification
  * stress-prefetch: add prefetch vs non-prefetch rate verification
  * stress-dnotify: dnotify_access_file: ensure file is removed
  * README.md: add another kernel bug found with stress-ng
  * stress-dnotify: remove error handling debug file size, return to 0
  * stress-dnotify: check for ENOSPC, return errors down the call chain
  * core-helper: turn #if/#endif chain into #if/#elif/#endif
  * stress-vm-rw: make pointer end const
  * stress-dev-shm: make pointer end const
  * stress-dentry: reduce scope of rret
  * stress-dccp: make pointer addr_un const
  * stress-af-alg: make function parameter info const
  * core-vmstat: make pointer cpu_ticks const
  * stress-daemon: check for setsid failure, report and write status back
    to parent
  * core-helper: make pointer ptr32end const, declare buffer buf only
    where required
  * core-mmap: make pointers end and page_end const
  * stress-ng.h: make pointer ci const
  * test-libbsd.c: constify pointers
  * test-builtin-memcmp: remove redundant pointer ptr
  * stress-zlib: make pointer zlib_checksum_in const
  * stress-waitcpu: reduce scope of array msg
  * stress-vm-rw: make pointer end const, make pointers registers
  * stress-vm-addr: make ptr_end const, make pointers registers
  * stress-userfaultfd: constify pointer end, zero stack
  * stress-udp: constify pointer addr_un
  * stress-sysfs: constify pointer d
  * stress-syscall: constify pointer ss
  * stress-stream: constify pointer arguments in checksum function
  * stress-stackmmap: rename status to check_status
  * stress-stack: make pointer start_ptr const
  * stress-sockfd: make pointer addr_un const
  * stress-sock: make pointer addr_un const
  * stress-shm-sysv: make pointer end const
  * stress-shm: make pointer end const
  * stress-scpt: make pointer addr_un const
  * stress-rmap: make pointer end const
  * stress-rawpkt: make pointer eth const
  * stress-procfs: make pointers ctxt and d const
  * stress-memrate: make pointer write_end const
  * stress-netlink-task: make pointer id_ptr const
  * stress-pagemove: make pointer p const
  * stress-ng: constify a couple of pointers
  * stress-ng: move scope of count to one level lower
  * stress-mprotect: move array str to lower scope
  * stress-madvise: constify pointer ptr
  * stress-memrate: constify some pointers
  * stress-memthrash: make pointers fwd, rev registers
  * stress-l1cache: constify pointer cache_end
  * stress-ipsec-mb: constify read-only pointer end
  * stress-jpeg: minor optimization for stress_jpeg_checksum_data
  * stress-iomix: constify read only pointer buffer
  * stress-getdent: constify pointer d
  * stress-funccall: reduce scope of array msg
  * stress-funcret: reduce scope of array msg
  * stress-fp: fix incorrect index on assignment, should be [1] and
    not [0]
  * stress-chattr: ensure 1ULL is being shifted for 64 bit shifts
  * stress-ioport: add verification of invalid ioperm parameters
  * stress-ioport: note the usage of iopl
  * Remove end of line spaces and tabs
  * stress-rawdev: add verify checking
  * stress-rawdev: fix skip message, replace flood with rawdev
  * stress-bad-altstack: move child to helper, retry faulting, add
    verification
  * stress-timerfd: various checks are performed, so enable verify
  * stress-fma: add fused multiply and add syncload, repeat other
    loads x 4
  * stress-mutex: pr_info should be pr_inf
  * stress-mutex: don't report pthread creation issues as a fail
  * stress-timer: make ENOMEM or EAGAIN on timer_again a resource
    skipping return
  * core-out-of-memory: don't remove temp files if retry on oomable death
  * stress-chattr: restore original chattr flags one by one
  * stress-chattr: only verify settings when 1 instance is running
  * stress-chattr: disable check for the moment
  * stress-sockdiag: this already checks for failures, so enable
    verification flag
  * stress-ng: add --change-cpu option for force child processes onto
    another CPU
  * core-helper: add libc version
  * stress-iomix: don't throw a write failure on ENOSPC
  * core-helper: report blocks available
  * core-helper: print the realpath of the temporary path
  * stress-brk: print address of shrink page error
  * stress-sctp: protocol not implemented should return EXIT_NO_RESOURCE
  * stress-ng: "no resource(s)" should be "no resources"
  * stress-sockfd: move sleep to after reporting error to avoid
    clobbering errno
  * core-vmstat: keep header and data togther using log locking
  * stress-chattr: add verification and improve error messages
  * stress-far-branch: add random located verification check function
  * stress-inode-flags: using a 0 flag will reset all flag bits to zero
  * stress-revio: add missing --revio-bytes in short help
  * core-helper: enable stress_get_cpu for all arches
  * stress-exec: silently ignore intentional EINVAL exec failures
  * stress-exec: only check WEXITSTATUS if WIFEXITED is true
  * stress-atomic: sanity check atomic ops on non-shared item work
    correctly
  * stress-tlb-shootdown: optimize mem writes and reads, periodically
    change cpu affinity
  * stress-session: add failure verification, return EXIT_FAILURE on
    failures
  * stress-session: fix typo in comment
  * stress-sleep: add underrun sanity check verification
  * stress-sleep: remove multiple counters, used shared counter with lock
  * stress-sigsuspend: add sigsuspend failure verification check
  * stress-rmap: add page data verification, store + check data per child
  * stress-smi: verify that regs are restored on SMI return
  * stress-fstat: re-work thread data to allow error return verification
  * stress-sigio: add verification on reads
  * stress-sigtrap: set metrics to index 0
  * stress-sigrt: add verification and metrics
  * stress-race-sched: add system call return verification checks
  * stress-sigtrap: add verification of trap handler and measure trap
    handling rate
  * stress-eigen: set verify to always, sanity checking is always
    performed
  * stress-stackmmap: add stack data sanity verification on last 256 calls
  * stress-eigen: enable for all arches
  * stress-sigq: fix missing . in verify field
  * stress-cache: don't enable SIGBUS handling for x86
  * stress-mlock: move helper function stress_mlock_pages
  * README: update build dependiency notes
  * stress-eigen: add Eigen 2d matrix stress cases
  * stress-physpage: voidify unused paramater success
  * stress-mlock: remove redundant return statement
  * stress-waitcpu: rename variable j to l to avoid shadowing
  * stress-mmapfixed: remove re-declaration of pointer buf64
  * core-log: remove unused helper function pr_spin_lock
  * Makefile.config: Add compiler check and HAVE_COMPILER_* macros
  * stress-matrix-3d: minor comment fixes
  * stress-matrix: minor comment fixes
  * core-klog: ignore "hrtimer: interrupt took" messages
  * Manual: add note that the default timeout is 24 hours
  * stress-mlock: add mlock growth verification for linux
  * stress-signal: use pr_fail for failures, add verification
  * stress-waitcpu: add verification that nop wait is shortest delay
  * stress-resched: check if set policy is the current policy
  * stress-sigq: fix missing . before struct field name
  * stress-siqq: add verification of si_value.sival_int value
  * stress-sigpipe: add verification of SIGPIPE signals
  * stress-rawudp: add simple data verification check
  * stress-far-branch: remove opcode from message, it is redundant
  * stress-dev-shm: remove debug message of line and return value
  * core-klog: ignore kmod concurrent module probes in klog checking
  * stress-*: ensure verify flags are set in the unimplemented variants
  * stress-mprotect: return failures back to to caller
  * stress-ng.h: core-killpid api changes
  * core-killpid: return EXIT_FAILURE if waited-for processes fail
  * stress-mmaphuge: add memory contents verification check
  * stress-vforkmany: add verificatin of vfork starting and invocation
    metrics
  * core-helper: make passing NULL stack disable alternative stack
  * stress-funccall: abort early once a failure is detected
  * stress-funcret: enable 'all' method by default. Add metrics and
    verification
  * stress-funccall: return EXIT_FAILURE if success is false
  * stress-funccall: enable 'all' method by default. Add metrics
  * stress-funccall: enable verification
  * stress-udp: add low resource check and throttle check
  * stress-steam: unroll loops for more throughput
  * stress-stream: re-phrase metrics description
  * stress-stream: enable verification with --verify option
  * core-nt-store.h: fix double precision nt store
  * core-asm-x86.h: add sfence x86 helper
  * stress-clone: add sanity check to see if clone processes started OK
  * stress-apparmor: move verifiable flag to correct struct
  * stress-apparmor: add lock protected concurrent failure counter
  * stress-ng: treat SIGABRT as a critical failure
  * stress-ng: add exit status of stressor at termination to debug message
  * core-klog: ignore callbacks suppressed kernel log messages
  * core-klog: count number of klog messages and report these at end
  * stress-pkey: move from CPU to OS class
  * Makefile: always undefine _FORTIFY_SOURCE before defining it
  * stress-vm-splice: remove whitespace in tab'd column
  * stress-vm-splice: add 64 bit check pattern to verify vm-splice data
  * stress-sctp: use pid as data check in sctp data for run time
    verification
  * stress-nice: add verification of nice(1) changing priority
  * core-out-of-memory: clean temp directory and files on a OOM
  * core-klog: add two more kernel messages to silently ignore
  * stress-physpage: flag mtrr failure as a EXIT_FAILURE and enable verify
  * core-shim: use libc nice as a final resort for shim_nice
  * stress-deamon: add verify always option since the stressor checks if
    fork fails
  * stress-daemon: add --daemon-wait wait option
  * stress-dirmany: verify if files are created with stat
  * stress-dirmany: add verification count of files created
  * stress-dirmany: add create/removal file rates
  * stress-bigheap: use larger check values, use uintptr rather
    than uint8_t
  * stress-bigheap: use malloc for new allocations rather than realloc
  * stress-verify: close fd on error exit path, clean fd leak
  * stress-bigheap: add SEGV debugging feature
  * stress-udp: use pid as data check in udp packet for run time
    verification
  * stress-signest: add signal handling rate metrics and check for
    failures
  * stress-peterson: add yield in busy loop for RISC-V
  * stress-mpfr: minor corrections, add a yield point per method
  * stress-mpfr: exercise the GNU multi-precision floating point
    reliable library
  * stress-fp: enable optional verification option
  * stress-dev-shm: add memory contents verification
  * stress-binderfs: add missing .verify setting
  * stress-chroot: move .verify tag to appropriate struct
  * stress-rawsock: add hash check to raw data for test verification
  * stress-madvise: make setjmp failure a no resource failure
  * stress-verify: add verify mode failure returns
  * stress-misaliged: remove trailing tabs
  * stress-misaligned: add verification of data written
  * stress-rdrand: add more verification
  * stress-stack: enable verification by sanity checking last 128 stack
    frames
  * stress-prefetch: enable --verify option, make data random too
  * stress-rotate: enable --verify option
  * stress-goto: add branch hit verification
  * stress-sigchld: verify SIGCHLD siginfo si_code values
  * stress-fsize: enable verification
  * core-interrupts: ensure default start and stop counters are set at
    start
  * stress-close: remove an empty line
  * stress-flock: enable verification for exclusive file lock
  * stress-close: add close failure verification
  * stress-branch: add branch hit verification
  * stress-ng: make --verifiable option print out stressors without
    verify modes
  * stress-vecshuf: move .verify tag to appropriate struct
  * stress-vecfp: enable --verify option
  * stress-stack: add backwards traversal down stack frames to keep
    pages busy
  * stress-stack: remove accidentally added sleep call
  * stress-randlist: enable --verify mode
  * stress-io-uring: add OOMable child wrapper incase memory runs low
  * stress-nanosleep: add underrun verification check
  * stress-nanosleep: add check for clock_gettime failures
  * stress-munmap: use mincore to verify that a page has been unmapped
  * stress-mmap-fixed: add verification to see if remap'd page contains
    expected data
  * stress-jpeg: enable --verify on jpeg generated data
  * stress-dirmany: fix missing ) on help information
  * stress-dirmany: fix typo in help for --dirmany-filesize option
  * stress-denty: enable --verify data checks in dentry files
  * stress-brk: add verification of brk pages on shrink
  * stress-vecmath: move verify flag into implemented struct
  * stress-vecwide: enable verify, compare computations between two rounds
  * core-interrupts: add x86 IO-APIC miscount interrupt
  * core-interrupts: add check for ARM Err interrupt
  * stress-vecmath: add per stress loop checksum checking
  * core-interrupts: add SMI count check for x86
  * core-helper: move smi reading function from stress-smi to core-helper
  * stress-fma: enable verify, compare computations between two rounds
  * stress-matrix-3d: unroll more loops for improved optimization
  * stress-matrix: unroll more loops for improved optimization
  * stress-matrix-3d: rename stressor name to match stressor source
  * stress-matrix-3d: add verification
  * core-builtin: add builtin shim for memcmp to use __builtin_memcmp
  * stress-matrix: add verification
  * core-interrupts: measure and report critical interrupts
  * core-perf: check for null stats when using random selection of
    stressors
  * core-klog: ignore loop capacity changed messages
  * core-perf: add extra pointer checks earlier in results dumping loop
  * stress-zlib: optimize ascii digits generator
  * core-klog: ignore x86 split log warnings
  * core-log: add helpers to reduce the number of getpid calls
  * stress-sysinval: use use shim_rorXXn builtin wrapper for rotate right
  * stress-zlib: use shim_ror32n builtin wrapper for 32 bit rotate right
  * core-sort: inline sort comparison functions + optimized bsearch to O3
  * README.md: add another citation
  * core-cpu-cache.h: define HAVE_SHIM_MFENCE for risc-v case

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 14 Jun 2023 21:49:19 +0100

stress-ng (0.15.08-1) unstable; urgency=medium

  [Fernand Sieber]
  * stress-cpu: Deduce waiting time in active cycle from idle time

  [Hui Wang]
  * snapcraft: remove a duplicated dependent package

  [Thinh Tran]
  * rawsock: locked up when parent sends SIGKILL to child

  [Colin Ian King]
  * Makefile: bump version
  * README.md: update contributors list
  * Manual: update date
  * stress-ng.h: rework OPTIMIZE_FAST_MATH to workaround cpp issue with pcc
  * stress-iomix: use pid_t type for pid array
  * core-killpid: use intmax_t to print format pid_t
  * Makefile: don't enable gcc flag -ftree-loop-vectorize for Solaris
  * core-helper: voidify stress_proc_self_exe_path for __sun__ builds
  * stress-ng: don't flag SIGALRM terminations of stressors as a failure
  * stress-sleep: cancel alarms on tidy up to avoid alarm cascade in
    pthreads
  * stress-fallocate: remove messy signal handler
  * core-klog: only declare stress_klog_kernel_cmdline for linux builds
  * stress-ng: add optional repeated SIGKILL force option to
    stress_kill_stressors
  * stress-fallocate: remove short file life hint
  * stress-fork: make 50% of forked children do immediate exit
  * core-lock: constify function argument lock
  * stress-tree: constify pointer node
  * stress-sleep: add missing __PCC__ ifdef constraint check
  * stress-rtc: move variables to local scopes
  * stress-module: improve module loading error message
  * stress-io-uring: constify various function arguments
  * stress-ipsec-mb: constify function argument job
  * stress-ipsec-mb: constify function argument p_mgr
  * stress-flock: move variable ret into local scope
  * stress-dnotify: reformat description declaration
  * core-vmstat: constify function argument tz_info
  * stress-crypt: constify function argument salt
  * stress-cache: constify function argument mem_cache
  * stress-aiol: constify function argument buffer
  * stress-affinity: constify info function argument
  * stress-sparsematrix: initialize x_node, y_node to clean up cppcheck
    warnings
  * stress-list: zero head to clean up pedantic static analysis warning
  * stress-wcs: set info name to the stressor name
  * stress-wcs: add index bounds check, keeps static analyzers happy
  * stress-cyclic: fix off-by-one comparison for cyclic_policy
  * stress-af-alg: add in some missing configs from 6.3 kernel
  * README.md: add another citation
  * stress-pthread: fix big endian tid addr for 32 bit systems
   (Closes #1036356)
  * stress-vecfp: replace debug metrics with standard metrics data,
    bump metrics to 40
  * stress-vm-segv: use pipe for a synchronization mechanism
  * core-klog: remove extraneous tab
  * Add --stderr option, default output now to stdout
  * README.md: add another kernel bug found with stress-ng
  * stress-sock: handle corner-case where n is zero
  * core-klog: dump kernel cmdline just once
  * stress-ng: handle SIGALRM in stressor and parent more intelligently
  * core-builtin: use builtin versions of memset, memcpy and memmove
  * stress-dev: disable warning for -Wgnu-variable-sized-type-not-at-end
  * stress-getdent: remove % operator with compare and subtract
  * core-killpid: add helper stress_kill_and_wait_many to kill many pids
  * core-thrash: constify pointer state
  * stress-wcs: constify static array letters
  * stress-vecwide: constify pointer vec_args
  * stress-udp: constify static array patterns
  * stress-rawpkt: constify pointer idx
  * stress-pthread: move new_head to local scope, replace memcpy with
    assignment
  * stress-prefetch: constify addr pointer argument
  * stress-prctl: move temp variables to lower scopes
  * stress-opcode: constify function parameters page_size and op
  * stress-mmapfork: constify function pointer ptr
  * stress-madvise: initialization poison_count
  * stress-list: constify pointer entries_end
  * stress-inode-flags: constify pointer to data
  * stress-ng.h: ensure unsigned 1 is being left shifted to avoid signed
    warnings
  * stress-af-alg: avoid adding potential NULL ptr to length of buffer
  * stress-chdir: move paths, fds and mkdir_ok arrays into one array
  * stress-affinity: force random cpu choice to never be same as previous
  * stress-af-alg: add in some missing configs
  * stress-io-uring: clean up 32 bit build warnings on addr to user_data
    casts
  * core-killpid: add sanity checks to pid being killed
  * core-killpid: add signal number to stress_kill_and_wait
  * stress-dccp: move kill out of server to parent patj
  * stress-*: use stress_kill_and_wait for kill and wait
  * core: add stress_kill_and_wait helper to kill and wait for children
  * stress-resched: ensure pids are initialized to -1
  * core-helper: stress_proc_self_exe_path: voidify unused args
  * stress-ng: remove empty line
  * stress-sctp: remove trailing space at end of line
  * Makefile: add gcc optimization flag -ftree-loop-vectorize
  * stress-{memthrash|zlib}: use memzero for zero data generation
  * Add build time check for __builtin_memset
  * stress-zlib: emit DEF/INF debug only for instance 0
  * stress-atomic: workaround gcc 11 atomic nand builtin issues
  * stress-exec: add FreeBSD rfork and get executable name using sysctl
  * stress-signest: add signal ignoring and don't jmp on invalid jmpbuf
  * stress-af-alg: silently handle EOPNOTSUPP recv errors
  * README.md: add two more research paper citations
  * README.md: add link to another kernel improvement that used stress-ng
  * stress-af-alg: use recv on socket rather than read
  * stress-vecshuf: make function pointer const
  * stress-vecfp.c: make function pointer const
  * stress-sparsematrix: move get/put stats into metrics output
  * stress-xattr: handle fall-out when file system fills up
  * README.md: add another kernel bug found with stress-ng
  * stress-xattr: keep track of xsetattr calls that succeeded using a bitmap
  * core-helper: remove need for static buffer in stress_proc_self_exe_path
  * stress-dnotify: double timeout, ignore notifies that timeout
  * stress-io-uring: remove redundant check of a non-null pointer
  * core-helper: rework underscore mungification helper
  * stress-cacheline: use global shared index to fix cache index issue
  * stress-urandom: fix corruption of neighbouring mmap'd page
  * stress-inotify: make inotify_init failure message into just a warning
  * stress-unshare: replace %= with compare and reset
  * stress-softlockup: replace %= with compare and reset
  * stress-rawdev: replace %= with compare and reset
  * stress-open: replace %= with compare and reset
  * stress-inode-flags: replace %= with compare and reset
  * stress-fcntl: replace %= with compare and reset
  * stress-chmod: replace %= with compare and reset
  * stress-chattr: replace %= with compare and reset
  * stress-chroot: replace %= with compare and reset
  * stress-io-uring: set the setup to just enough reqs
  * stress-io-uring: fix completion error checks for cancellation
  * stress-io-uring: cancel if HAVE_IORING_OP_ASYNC_CANCEL is defined
  * stress-io-uring: silently ignore cancel errors
  * stress-io-uring: add async cancellation
  * stress-io-uring: increase ring size, force complete on ring submit EBUSY
  * core-out-of-memory: report why oom_score_adj can't be set
  * Add forced_killed_counter to indicate a child has been killed forcefully
  * stress-io-uring: perform completion at the end of a round of submits
  * stress-rotate: remove this from the cpu cache class
  * stress-vm: add conditional parentheses
  * stress-vecfp: add conditional parentheses
  * stress-tsearch: add conditional parentheses
  * stress-sysinval: add conditional parentheses
  * stress-sysfs: add conditional parentheses
  * stress-sync-file: add conditional parentheses
  * stress-socklockup: add conditional parentheses
  * stress-skiplist: add conditional parentheses
  * stress-sigsegv: add conditional parentheses
  * stress-shellsort: add conditional parentheses
  * stress-session: add conditional parentheses
  * stress-sem-sysv: add conditional parentheses
  * stress-seek: add conditional parentheses
  * stress-sctp: add conditional parentheses
  * stress-rlimit: add conditional parentheses
  * stress-rawdev: add conditional parentheses
  * stress-procfs: add conditional parentheses
  * stress-peterson: add conditional parentheses
  * stress-mremap: add conditional parentheses
  * stress-malloc: add conditional parentheses
  * stress-lsearch: add conditional parentheses
  * stress-inotify: add conditional parentheses
  * stress-hsearch: add conditional parentheses
  * stress-hdd: add conditional parentheses
  * stress-hash: add conditional parentheses
  * stress-futex: add conditional parentheses
  * stress-fstat: re-order operands of && for minor optimization
  * stress-fp: add conditional parentheses
  * stress-exec: add conditional parentheses
  * stress-dnotify: add conditional parentheses
  * stress-dev: add conditional parentheses
  * stress-cyclic: add conditional parentheses
  * stress-bad-ioctl: add conditional parentheses
  * stress-af-alg: add conditional parentheses, re-order && operators
  * core-resources: ensure resources are marked as free as soon as possible
  * stress-io-uring: throttle calls to stress_read_fdinfo
  * stress-io-uring: keep a cached copy of fileno(stdin)
  * stress-io-uring: defer unlinking file to end
  * stress-io-uring: fix statx command, don't use path, use fd to path
  * stress-sockmany: use 64 char ascii string as base for memset data,
    remove expensive % operator
  * stress-sockabuse: use 64 char ascii string as base for memset data,
    remove expensive % operator
  * stress-sock: use 64 char ascii string as base for memset data, remove
    expensive % operator
  * stress-epoll: replace % operators with compare + reset and memset
    data from stress_ascii64
  * stress-reboot: replace expensive % operation with compare and reset
  * stress-dccp: use 64 char ascii string as base for memset data, remove
    expensive % operator
  * core-helper: add stress_ascii64[] for 64 bytes of ASCII data
  * core-vmstat: replace % operator with compare and reset
  * stress-pthread: use 64 bit tid_addr to fix stack clobbering on 32
    bit platforms
  * stress-fma: add fused-multiple-add stressor
  * stress-cpu-online: classify some write failures as non-fatal
  * README.md: add another kernel issue found with stress-ng

 -- Colin Ian King <colin.i.king@gmail.com>  Sun, 21 May 2023 15:27:37 +0100

stress-ng (0.15.07-1) unstable; urgency=medium

  [Shoily Rahman]
  * stress-rawpkt: use of rx ring to the rawpkt module

  [Luis Chamberlain]
  * stress-module: stress finit_module() and delete_module()

  [Colin Ian King]
  * Makefile: bump version
  * stress-memthrash: check for negative return from
    stress_numa_count_mem_nodes
  * stress-memthrash: add some numa sanity checking
  * stress-rawpkt: voidify blocknr if it is not being used
  * stress-memthrash: reduce copy128 hunks by half, use correct end offset
  * stress-memthrash: fix copy128 end offset
  * Makefile: shorten run time of verify-test-all rule, remove kernel
    log check
  * core-klog: exit klog child process rather than return
  * stress-timerfd: relax error message on timerfd creation w/o priv
  * stress-timerfd: add missing space in failure message
  * core-processes: don't use getpwuid for static builds
  * stress-zero: remove alignment from register pointer, icc does not
    support this idiom
  * stress-full: remove alignment from register pointer, icc does not
    support this idiom
  * core-helper: use char * pointers to avoid auto increment on void * ptr
  * stress-rawpkt: add built time check for struct tpacket_req3
  * core-shared-heap: use shim_strlcpy as some systems don't have strlcpy
  * core-shared-heap: use strlcpy rather than strcpy as it is safer
  * stress-zlib: cast mmap'd memory to stress_zlib_shared_checksums_t *
  * stress-module: only declare helper functions if they are required
  * stress-module: voidify unused function args
  * stress-msync: fix missing pointer constifications
  * stress-ng.h: re-work unconstify macro
  * core-resources: cast 0 for pthread to pthread_t
  * stress-memcpy: replace references to b with str2/str3
  * stress-tmpfs: don't assume page size is 4K, fixes PPC64 failure
  * stress-pthread: check for head being null
  * stress-malloc: avoid calloc allocatiob being less than a uintptr_t
  * stress-malloc: avoid zero sized callocs when performing len / n
    where len < n
  * core-helper: reduce scope of variable prev_flag
  * test/test-finit-module: ensure test is compilable
  * stress-wcs: reduce scope of variable t
  * stress-vdso: remove redudant shadowed declaration of pointer vdso_sym
  * stress-set: make bad_groups const
  * stress-sem-sysv: only declare variable nsems when required
  * stress-rawpkt: declare lable close_fd only when required
  * stress-seek: reduce scope of variable t
  * stress-sctp: make char array patterns const
  * stress-qsort: add ( ) to remove cppcheck precedence style warning
  * stress-malloc: remove shadow'd variable declaration ret
  * stress-mmap: rename shadow'd variable index with flag_perms_index,
    remove % operator
  * stress-ipsec-mb: only declare sz where it is required
  * stress-l1cache: fix incorrect cache size calculation
  * stress-revio: replace expensive % with compare and reset
  * stress-hdd: replace expensive % with compare and reset
  * stress-clone: replace expensive % with compare and reset
  * stress-affinity: check args counter as well as keep_stressing_affinity
  * stress-module: reduce scope of variable p and make it const
  * stress-module: use sscanf with specified size limit
  * stress-tmpfs: round file size to nearest 4K to avoid residual data
    in page
  * stress-sigfpe: declare variable verify only when required
  * core-resource: remove debug
  * stress-tmp: remove short life hint on tmpfs files to restore default
    data longevity state
  * stress-sem-sysv: use different key from core-resources sem keys
  * stress-resources: use the number of resources allocated to free
  * stress-switch: voidify semctl return
  * stress-bind-mount: make clone failure with EPERM a resource exit
    return
  * stress-sem-sysv: terminate children with SIGALRM and not SIGKILL
  * core-shared-heap: print shared heap stats if STRESS_SHARED_HEAP_DEBUG
    is defined
  * stress-lockbus: replace asm volatile with __asm__ __volatile__
  * core-asm-x86.h: replace asm volatile with __asm__ __volatile__
  * stress-itimer: add missing itimer-freq help information
  * stress-memcpy: exercise copying on smaller chunks to allow larger
    CPU scaling
  * core-log: ensure log file data is flushed hard
  * stress-ng: munge stressor name to replace _ with -
  * stress-rawpkg: memset tp to clear up static analysis warnings and
    #ifdef PACKET_RX_RING
  * stress-rawpkt: fix leak of file descriptor on error exit paths
  * stress-ng: provide passed/failed/skipped summary at end of run
  * stress-watchdog: remove incorrect CLASS_VM classification
  * Makefile: add verify-test-all make rule for test verification
  * stress-prctl: add missing ; for PR_SET_MEMORY_MERGE prctl
  * Revert "core-mwc.c: enable 64 bit multiply mwc, it is faster on 64
    bit systems"
  * stress-wcs: replace '_' with '~' in string patterns
  * stress-numa: minor optimizations
  * core-mmap: clean up build warnings for HAVE_ASM_X86_REP_STOSQ path
  * stress-bigheap: add const bools for global mask'd options
  * core-mwc.c: enable 64 bit multiply mwc, it is faster on 64 bit systems
  * core-mwc: group mcw data together, also add 64 bit multiply version
    (not enabled)
  * README.md: add Shoily Rahman to contributors list
  * Manual: add rawpkt-txring option to manual
  * stress-rawpkt: ensure int type is saved as rawpkt-rxring
  * stress-poll: fix missing free of rnd_fds_index array
  * stress-zero: perform metrics less frequently
  * stress-x86syscall: use filtered array of funcs to improve call rate
  * stress-wcs: optimize random string filling, perform metrics less
    frequently
  * stress-vm-splice: add branch hints, add alignment, perform metrics
    less frequently
  * stress-vm-rw: add O3 optimizations on parent and child
  * stress-vm-rw: add branch hints, add alignment on used data structs
  * stress-vdso: remove inc_counter from vdso loop, removes counter
    overhead
  * stress-utime: add branch hints and measure metrics less frequently
  * stress-usersyscall: add branch hints and O3 optimization level
  * stress-udp-flood: add some branch hints
  * stress-udp: optimize send/recv, remove need for % operator
  * stress-tree: add two minor branch hints
  * stress-touch: rename main touch loop function
  * stress-timerfd: add some branch hints
  * stress-timer: add branch hints, some alignments and O3
  * stress-tee: add branch hints and measure metrics less frequently
  * stress-sysinfo: add some branch hinting
  * stress-switch: use mmap'd page aligned pipe buffers, align sysv
    messages
  * stress-splice: reduce frequency of metrics measurement, add branch
    hints, align buffers
  * stress-sparsematrix: explicitly inline value_map
  * stress-sockpair: optimize using branch hints and some data alignments
  * stress-sockmany: add some branch hints
  * stress-sockfd: optimize using branch hints and some data alignments
  * stress-sockdiag: optimize using branch hints and some data alignments
  * stress-skiplist: use -O3 and add branch hints
  * stress-sigrt: optimization on memsets and add branch hints
  * stress-sigpending: add branch hints, align data structures
  * stress-signest: add some branch hint optimizations
  * stress-signal: minor optimizations
  * stress-sigio: use mmap'd read/write buffers, add branch hints
  * stress-sigfpe: minor optimizations, biggest win is removing % operator
  * stress-sigfd: add branch hints, some alignments and reduce memcpy
    overhead
  * stress-shm: minor optimization tweaks, very small gains
  * stress-sendfile: reduce metrics measurements frequency
  * stress-sem-sysv: add alignment and branch hint optimizations
  * stress-seek: reduce frequency of metrics measurement, add branch
    hints, align buffers
  * some minor optimizations to increase seek throughput
  * stress-seal: add some branch hints
  * stress-sctp: minor branch hint optimizations and remove expensive %
    operators
  * stress-schedpolicy: minor branch optimization hints
  * stress-malloc: add SIGSEGV handler in child
  * stress-ring-pipe: add some minor branch hint optimizations
  * stress-revio: add branch hints
  * stress-remap: optimize random shuffle and add branch hits, align
    array order
  * stress-readahead: optimize offset generation
  * stress-rawudp: add branch hint and O3 optimization
  * stress-rawsock: add branch hint and O3 optimization
  * stress-rawpkt: add branch hint and O3 optimization
  * stress-sem: add some more branch hinting
  * stress-ng: fix spelling mistake "geometic" -> "geometric"
  * stress-pagemove: move stress_pagemove_remap_fail to inside #ifdef hunk
  * stress-pty: add some optimization hints
  * stress-ptrace: add some optimization hints
  * stress-pthread: minor optimization hints
  * stress-poll: make buffer a uint16_t, halves payload, increases poll
    calls
  * stress-poll: pre-shuffle/randomize poll fds, remove random overhead
    per write
  * stress-pipeherd: add branch hints
  * stress-ping-sock: minor branch and port wrap optimizations
  * stress-personality: align an array, add branch hints
  * stress-pagemove: only measure mremap calls every 1000 calls, add
    branch hints
  * stress-mmap: page align various arrays, use more shuffling on index
  * stress-zlib: remove blocking complexity by putting checksum in shared
    memory
  * stress-msg: move #endif to correct position with respect to code block
  * core-shim: move module shim wrappers to below shim_enosys declaration
  * stress-null: gather metrics every 100 null reads
  * stress-netlink-task: minor optimization tweaks
  * stress-nanosleep: use mwc32 and mask for power of two random values
  * stress-inode-flags: voidify return from inc_counter_lock
  * core-mwc: check if max is zero before attempting zero division
  * stress-mutex: only measure mutex calls every 1000 calls, add branch
    hints
  * stress-msync: optimize page checking, check in 64 bit chunks
  * stress-mremap: only measure remap calls every 500 calls
  * stress-mq: minor optimization on mwc mod operation and switch ordering
  * stress-mmapfixed: minor optimizations to
    stress_mmapfixed_is_mapped_slow
  * stress-mlock: measure mlock/mlock2 duration every 1000 calls
  * stress-mincore: add some branch hinting
  * stress-memfd: use 64 bit nt stores where possible
  * stress-membarrier: reduce number of time calls, increases membarrier
    rate
  * stress-zlib: add more yield points to detect SIGALRM timeouts
  * core-processes: add stress_dump_processes to dump stress-ng process
    state
  * stress-madvise: use stress_mwc64modn_maybe_pwr2 for size modulo
  * core-mwc: add modulo mwc functions for max where max is probably a
    power of 2
  * stress-longjmp: sample metrics time less frequently
  * stress-list: pass end of entries rather than number of entries
  * stress-kcmp: minor optimizations, reduced main loop by 0.5%
    according to perf
  * stress-judy: minor optimizations, very slim improvement
  * stress-inode-flags: add locked bogo-ops increment
  * stress-hdd: optimize data buffer setting
  * stress-fpunch: mmap buffers, alignment makes copying a little faster
  * stress-full: make buffer mmap'd, add zero check optimizations
  * stress-mmap: move stress_mmap_set_vma_name to core-helper, rename to
    stress_set_vma_anon_name
  * stress-zero: optimize stress_is_not_zero
  * core-thrash: add kmemleak scans
  * stress-*: use stress_file_rw_hint_short on temporary test files
  * core-helper: add stress_file_rw_hint_short file hint
  * stress-memfd: exercise memfd flags MFD_NOEXEC_SEAL and MFD_EXEC
  * stress-prctl: fix missing }
  * core-helper: add kernel samepage merging helper, use it when forking
    hard
  * stress-prctl: add new PR_* prctl options
  * snapcraft: remove UNEXPECTED setting
  * snapcraft: make libipsec-mb-dev depend on amd64 arch
  * snapcraft: move to snap22, add missing libs and -lrt flag
  * core-mmap: add prefetch in check loop
  * stress-mcontend: add more stress for x86 with lfence after reads
  * README.md: Add Luis Chamberlain to contributors list
  * stress-module: rename options, add '-' following the no part
  * core-shim: remove need for errno.h include, add definitions for
    module handling
  * stress-module: only fclose fp if file is opened
  * stress-module: remove module-sharedfd, clean up fd opening
  * stress-module: changes to conform to stress-ng coding style
  * stress-module: clean up gcc-10.2.1 build issues
  * core-mmap: fill memory with random 64 bit value
  * core-mmap: optimize, use 64 bit load/stores, add x86 rep sto for
    stores
  * stress-sockpair: try to avoid OOMing when using --oom-avoid option
  * stress-msg: split send/recv code into functions, improve optimizations
  * stress-sem: more even use of sem_wait, sem_trywait, sem_timedwait
    and add metrics
  * stress-sem: add branch hints and O3 optimization
  * stress-sock: optimizations, move to -O3 on client/server + branch
    hints
  * stress-pipe: terminate run when read from pipe is zero bytes
  * README.md: Add another citation
  * core-helper: don't report failure on prctl PR_SET_NO_NEW_PRIVS with
    errno EINVAL
  * stress-pipe: add handler to stop stressor on SIGPIPE
  * stress-switch: add handler to stop stressor on SIGPIPE
  * stress-af-alg: remove check for HAVE_LIB_IPSEC_MB
  * stress-eventfd: add branch hints
  * core-help: minor branch hints on system_read and system_write
  * stress-epoll: add branch hints
  * stress-dup: add branch hints, minor optimization on info struct layout
  * stress-copy-file: minor optimization repeated verify flag check
  * stress-context: optimize: remove padding, optimize bogo-checks
  * stress-close: add branch hints, add one more open type, replace %
    with &
  * stress-pipe: use EPIPE for stressor termination, remove need for
    pipe stop token
  * stress-pipe: verify just first 32 bits in buffer, add in more
    optimizations
  * core-helper: fix stress_rndbuf to fill entire buff
  * stress-switch: use register for active fd, saves a load each loop
  * stress-ng.h: add likely hints to keep_stressing()
  * stress-switch: add branch hints
  * stress-ng: move counter and flag into structure close to each other
  * stress-ng.h: align counter to cache boundary
  * stress-exec: remove logging the status on failed exec

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 13 Apr 2023 16:52:11 +0100

stress-ng (0.15.06-1) unstable; urgency=medium

  * Makefile: bump version
  * README.md: add another citation
  * Manual: update date
  * debian/testing/fast-test-all: remove --klog-check
  * stress-ng: fix truncated pr_inf call
  * stress-ng: add --oom-avoid-bytes option for the free memory avoid
    allocation threshold
  * stress-cache: remove % operator, using compare and re-assign to zero
  * stress-msg: add --msg-bytes option to specify size of message being
    sent/recv'd
  * stress-msg: voidify return of msgctl
  * stress-*, test-*: remove trailing spaces at end of lines
  * stress-shm-sysv: define SHM_HUGE_* macros if required, drop IPC_PRIVATE
    error check
  * stress-shm-sysv: add SHM_HUGE_2MB flag when using SHM_HUGETLB
  * stress-shm-sysv: plumb in --sym-sysv-bytes option to correct ID
  * stress-shm-sysv: replace IPC_RMID with IPC_PRIVATE in error message
  * stress-shm-sysv: add missing space in error message
  * stress-cyclic: report the number of samples required for the test run
  * stress-memrate: make vector types based on uint32_t, add prefetch 128
  * stress-memrate: make prefetch offset 2K
  * stress-memrate: remove inner loops for non-memory rate timed functions
  * stress-memrate: remove keep_stressing check, use siglongjmp in alarm
    handler
  * stress-memrate: add in further loop optimizations
  * stress-vm: explicitly add modulo inline helper function
  * core-helper: add stress_get_prime64 to get prime above a given value
  * core-helper: rename stress_get_prime64 to stress_get_next_prime64
  * stress-memrate: fix --memrate-wr-mbs/rd-mbs, use best fit size, add
    memset writes too
  * stress-vm: skip stressor when out of resources, return EXIT_NO_RESOURCES
  * stress-vm: fix prime index accumulation overflow and speed up modulo
  * stress-vm: compute a new prime that is larger than sz rather than use
    PRIME_64

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 16 Mar 2023 12:47:17 +0000

stress-ng (0.15.05-1) unstable; urgency=medium

  [Erik Stahlman]
  * Populate jmp_env before it could be used

  [Julien Olivain]
  * Makefile: introduce PRESERVE_CFLAGS build flag
  * stress-regs: fix build on riscv32
  * stress-mmap: fix build with HAVE_SYSCALL or __NR_mmap2 is undefined

  [Colin Ian King]
  * Makefile: bump version
  * Manual: simplify the contributors text and put a link to the README.md
    file
  * README.md: add contributors
  * README.md: update notes about icc, icx and musl-gcc
  * stress-ng.h: disable fast math for icc, it's not supported yet
  * core-pragma: generalize unroll n to unroll for Intel icc compiler
  * Manual: add bold notes about using bogo-ops as a benchmarking metric
  * stress-pthread: call sys_set_robust_list using copy of head on
    the stack
  * stress-pthread: disable set_robust_list calls
  * stress-mremap: pass an illegal remapping address rather than null
  * core-pragma: bump clang version for STRESS_PRAGMA_WARN_CPP_OFF
  * core-pragma: define STRESS_PRAGMA_WARN_CPP_OFF for different compiler
   versions
  * stress-qsort: cast return of mmap to same type as data
  * stress-ng: only define OPTIMIZE_FAST_MAST with fast math attribute
    for gcc 10+
  * stress-brk: voidify two more args to clean up OS X build warning
  * stress-brk: clean up OS X build warning
  * stress-lockbus: enable for tested targets
  * stress-lockbus: enable riscv
  * stress-lock: try alternative __atomic_fetch_add if add_fetch is not
    available
  * stress-cpu: collatz: force compiler to generate collatz computation
  * stress-cpu: explog: add randomness, stash intermediates to force exp
    and log calls
  * stress-cpu: add some randomness to force code generation of
    computation
  * Makefile: fix typo, remove i after parisc
  * stress-tee: use correct format specifiers for size_t values
  * stress-chown: fix incorrect goto before zero ret check
  * Avoid division by zero
  * stress-cache: fix incorrect variable being passed to cache helper
    functions
  * stress-zero: exercise a couple of ioctls
  * stress-full: exercise a couple of ioctls
  * stress-shellsort: remove 8 bit sort, replace it with 32 bit mangling
  * stress-mergesort: remove 64 bit sort, replace it with 32 bit mangling
  * stress-heapsort: remove 8 bit sort, replace it with 32 bit mangling
  * core-sort: move stress_sort_data_int32_mangle from stress-qsort to
    core-sort
  * stress-rtc: add const to * ptr
  * stress-rmap: add yield check, helps BSD systems when touching many
    pages
  * stress-evivar: use a lookup table for names to ignore
  * stress-l1cache: add a l1cache method to select forward, random or
    reverse cache exercising
  * stress-wcs: remove redundant forward declaration of wcs
  * stress-str: remove redundant forward declaration of metrics
  * stress-x86cpuid: reduce scope of variables eax, ebx, ecx and edx
  * test/test-timerfd-create: remove unused variable fd
  * stress-vm-rw: memset stack to zero to silence pedantic static
    analyzers
  * stress-vdso: reduce scope of variable str
  * stress-ng: reduce scope of variable ret
  * stress-shm-sysv: rename sz to shmmax and add it to error message
  * stress-sigio: reduce scope of buffer
  * stress-rawdev: reduce scope of rate, constify rate and duration
  * stress-prctl: change scope of declaration of ret
  * stress-prctl: voidify ret
  * stress-mutex: only declare cpus if (HAVE_PTHREAD_SETAFFINITY_NP is
    defined
  * stress-ipsec-mb: move declaration of ptr into context that uses it
  * stress-cyclic: rename noclobber rc to ncrc
  * core-vmstat: move variables into more local context
  * stress-quota: memset dqinfo to zero to keep static analyzers happy
  * stress-open: fix open_flag_perm #if defs and mkdir missing mode
  * stress-prctl: move } to correct side of #endif
  * stress-list: add more struct list_entry * casts
  * stress-list: cast CIRCLEQ_FIRST return to struct list_entry *
  * stress-io-uring: fix incorrect declaration of statxbuf, make it static
  * core-resources: move } to correct location after #endifs
  * core-vmstat: zero vm_stat to keep static analyzers happy
  * stress-zlib: optimize double precision data generation
  * Add support for optimization attribute fast-math, use in cpu stressors
  * stress-tree: unroll loops for improved speed
  * stress-shm-sysv: get max shm size from /proc/sys
  * stress-quota: memset structs before quota calls
  * stress-cyclic: add bounds check for DEADLINE scheduler failure
  * stress-syscall: fix build issues with set_mempolicy
  * stress-syscall: fix typo on check for __NR_get_mempolicy
  * stress-open: fix missing (
  * stress-msg: rename n to msgsz to avoid name shadowing
  * stress-mmaphugepage: reduce scope of variable flags
  * stress-madvice: reduce scope of a couple of variables
  * core-helper: memset vm_stat and use correct sscanf format for size_t
  * stress-enosys: make number unsigned and shift by 1U
  * stress-bind-mount: reduce scope of variable pid
  * stress-bind-mount: remove duplicated S_IRUSR in mkdir
  * core-shim: put return -1 in correct place for RISC-V shim_cacheflush
  * stress-msg: skip stressor on ENOSPC or ENOSYS
  * stress-wcs: ensure metrics are scaled by the number of calls mad
  * stress-str: ensure metrics are scaled by the number of calls made
  * stress-zero: fix build error on declaration of i for non-Linux builds
  * stress-yield: fix typo in args for FreeBSD build
  * stress-exec: fix build failure when clone/vfork/posix_spawn not
    available
  * stress-brk: cast nt load argument to uint32_t *
  * stress-wcs: add metrics for wide string functions
  * stress-str: fix array overflow, re-order code too.
  * stress-str: remove NULL entries from methods
  * stress-access: make pointer "metrics" static
  * stress-str: add metrics to string functions
  * stress-rtc: check for EINTR from ioctl calls
  * stress-fanotify: skip stressors when low on resources (fds or memory)
  * stress-quota: improve quota error handling
  * stress-sctp: fix typo in error message
  * stress-brk: add some minor optimizations
  * stress-brk: force read to "touch" a page, add helper to do this
  * stress-msg: add extra error handling
  * stress-tee: add more sanity checking in read/write/tee system calls
  * stress-gpu: run stressor inside OOM catcher, add jump to abort on
    SIGALRM
  * stress-alarm: use SIGUSR1 to signal termination of child rather than
    SIGKILL
  * stress-resched: send ALRM rather than KILL signal to child renicer
    process
  * stress-futex: send ALRM rather than KILL signal to waiter process
  * stress-sctp: report connect retry failure with correct errno
  * stress-exec: handle more error returns from execve calls
  * stress-x86syscall: report all metrics via the metrics interface
  * stress-yield: add metrics for the duration of each sched_yield call
  * stress-zombie: report number of zombies created as a metric
  * stress-userfaultfd: add early check to see if userfaultfd() is
    supported
  * stress-yield: make yielder count a debug message
  * stress-pipeherd: remove context switch info as it is in metrics
  * stress-gpu: add pre-run check to see if GPU device is accessible
  * stress-dirmany: move directory create/destroy times to metrics
  * stress-ng: metrics: base metrics on number gathered not number
    instances
  * stress-pthread: report number of pthreads created as % of expected
    total
  * stress-plugin: add plugin-so check before invoking stressors
  * stress-shm-sysv: handle ENOSPC, ENOMEM and EEXIST as non-fatal issues
  * stress-mq: report ENOSPC on a mq_open as out of resources and skip
    stressor
  * stress-vdso: report all metrics via the metrics interface
  * stress-switch: report switch rate using metrics interface
  * stress-revio: move extents metrics to metrics information
  * stress-gpu: prefix errno number with errno= for clarification
  * stress-chown: don't prematurely finish stressors on ENOENT or ENOTDIR
  * stress-chmod: remove CHECK macro now that is no longer used
  * stress-chmod: don't prematurely finish stressors on ENOENT or ENOTDIR
  * stress-flushcache: add oomable wrapper to restart if OOM'd
  * stress-gpu: set MESA_SHADER_CACHE_DISABLE to true to avoid warnings
  * stress-fpunch: move extent count to metrics information
  * stress-epoll: #ifdef out epoll retry count and timeout exit
  * stress-epoll: clean up error message, remove ;
  * stress-rawsock: add OOM retries to child processes, back off on
    ENOBUFS (LP: #1968361)
  * stress-x86cpuid: move STRESS_ARCH_X86 ifdef check
  * core-shim: add RISC-V implementation of cache flushing
  * stress-dup: use stress_close_fds to close file descriptors
  * stress-rlimit: use stress_close_fds to close file descriptors
  * stress-memfd: use stress_close_fds to close file descriptors
  * stress-io: use stress_close_fds to close file descriptors
  * core-helper: add stress_close_fds to close a range of file descriptors
  * core-log: add pr_metrics to log and tag metrics only data
  * stress-jpeg: don't free row_pointer, it is now mmap'd
  * core-perf: add more perf metrics
  * Manual: fix wrrd128nt alignment in --vm-method
  * core-sort: rename forward compares, add fwd into name, default to
    the original cmp method
  * core-hash: add more loop unrolling
  * core-sort: tweak comparison functions for less overhead on branching
  * core-sort: unroll shuffle loop
  * core-mmap: unroll inner loops for more throughput
  * core-hash: unroll mulxror and xorror hashes
  * core-perf: add in more comparisons of misses vs hits
  * stress-zlib: fix grammar in a comment
  * stress-rawpkt: cache align buffer and struct for minor speed up
  * stress-judy: minor if path hinting and optimization
  * stress-context: make context cache aligned, allocate it using mmap
    for page alignment
  * stress-swap: allocate 1 page using mmap instead of calloc
  * stress-zero: increase number of reads for more stable read rate
    metrics
  * stress-qsort: tweak sorting thresholds for some minor improvements
    in speed
  * stress-qsort: further optimization tweaks
  * stress-qsort: add optimizations for verification helper functions
  * stress-qsort: factor out forward/reverse verification helper functions
  * stress-jpeg: optimize performance, mmap row_pointer at start,
    unroll the loop
  * stress-qsort: voidify return from stress_get_setting
  * stress-ng.h: remove reduntant return from add_counter_lock
  * stress-copy-file: remove commented out junk fsync code
  * stress-qsort: add an alternative qsort implementation
  * stress-hrtimers: fix incorrect id being passed to timer_getoverrun
  * stress-hrtimers: optimize signal handler, use overruns to drive freq
  * stress-qsort: remove extraneous huge mmap flag macros
  * stress-qsort: use mmap'd memory for sorting rather than heap
  * stress-*: replace UNROLL macro with pragma versions
  * stress-madvise: remove two blank lines
  * core-helper: add missing newline
  * stress-cpu: add one more loop unroll
  * stress-matrix: unroll some loops
  * stress-x86cpuid: add some loop unrolling
  * stress-cpu: add some loop unrolling for some performance improvements
  * core-pragma: add loop unrolling pragma macros
  * stress-x86cpuid: use cpuid values from a table, add randomized
    selection
  * stress-opcode: use stress_reverse64 from core-bitops.h
  * core-cache: rename to core-cpu-cache as this is cpu specific caching
  * core-cache: rename all functions and types to start with
    stress_cpu_cache_*
  * stress-memrate: determine best power of two size from 1MB .. 1K for
    loops
  * stress-memrate: add --memrate-flush and fix memrate read/write rates
    for < 1MB sizes
  * stress-memrate: fix sub 1MB read/write rates
  * stress-memrate: allow memrate-byte sizes of L1, L2, L3 or LLC
  * stress-cache: remove variable j to clean up variable shadowing
  * stress-fiemap: add yields to help rt prempt kernels for smoother runs
  * stress-cache: add more cache metrics, scale bogo-ops to read/writes
    per 1K
  * stress-ng: make EXIT_NO_RESOURCES a skipped warning message and not
    a hard error
  * stress-chown: don't make file opening timeouts a fatal error
  * Manual: fix vm stressor method name, should be wrrd128
  * stress-tsc: voidify return from call to stress_get_setting
  * debian/control: update standards version to 4.6.2
  * Makefile: add CFLAGS to apparmor-data and core-personality compilation
  * stress-memrate: don't use rep stos* for x32 builds
  * stress-memthrash: don't use rep stosd for x32 builds
  * Makefile: add ia64 to architectures that don't support the
    -fstack-protector compiler option

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 9 Mar 2023 15:46:53 +0000

stress-ng (0.15.04-1) unstable; urgency=medium

  [Khem Raj]
  * Include sys/timex.h for clock_adjtime
  * test-float: Make variables global

  [Nick Hanley]
  * Makefile.config: fix mktemp file leak
  * Makefile.config: style: consistently omit parens around call arguments
  * Makefile.config: style: replace trailing tabs with spaces

  [Colin Ian King]
  * Makefile: bump version
  * stress-waitcpu: reduce scope for variables t and j
  * stress-ng: reduce scope of variables inverse_n and f
  * stress-lsearch: reduce the scope of variable t
  * stress-cpu-online: reduce the scope of variable t
  * stress-cpu: add missing line
  * stress-bsearch: reduce scope of variable t
  * stress-misaligned: disable misaligned atomic ops on PPC64 with older gcc
  * stress-epoll: return client error return back to parent
  * stress-waitcpu: add check for PAUSE instruction
  * stress-vecwide: disable stress_vint8w16_t as this causes build failures
  * stress-memrate: only define stos helpers if STOS instructions are
    available
  * stress-syncload: fix #ifdef's around stress_syncload_rdrand
  * stress-wait: unconstify status to clear warning on OS X builds
  * Makefile: disable -fstack-protector-strong for hppa too
  * stress-sysinfo: don't fail on gvfs ENOTCONN errors
  * Makefile: disable -fstack-protector-strong for alpha
  * stress-tsc: add --tsc-lfence option to force tsc read serialization
  * Manual: update copyright year and date
  * stress-goto: add optimization tweak for icx compiler
  * core-helper: add Intel icx compiler version detection
  * stress-zlib: allow rdrand for 32 and 64 bit x86
  * stress-waitcpu: disable umwait for x86-32
  * stress-syncload: allow 32 bit x86 as well as 64 bit
  * stress-opcode: mark ops_ptr as NOCLOBBERable to clear up longjmp warning
  * Makefile: check and use hardening flags where available
  * stress-prefetch: move prefetch and increment to increase throughput
  * stress-prefetch: add check to see if prefetch* on x86 is available
  * README.md: add another citation of an academic paper
  * stress-prefetch: move read rates to metrics output
  * stress-prefetch: add locality hinted prefetch, move read loop into a
    macro
  * stress-prefetch: add ppc64 prefetch methods
  * stress-prefetch: add prefetch-method option to specify prefetch
    instructions
  * README.md: add some more citiations
  * README.md: add another kernel issue found with stress-ng
  * core-klog: add proc title status
  * core-ignite-cpu: add proc title status
  * core-vmstat: set proc title to indicate periodic stats process
  * stress-fault: add more signal failure information
  * stress-mremap: fix mremap with MAP_FIXED and no target address to use
    NULL
  * stress-waitcpu: annotate the address umonitor is waiting on
  * stress-vecwide: add 16 bit vector, add metrics, report stats in bit
    width
  * core-asm-arm.h: helper include file for ARM assembler helpers
  * stress-*: use generic stress_metrics_t type for per-stressor metrics
  * stress-ng.h: rename stress_metrics_t to stress_metrics_data_t
  * stress-waitcpu: add in ppc64 yieldy instructions
  * stress-waitcpu: use yield instruction for ARM
  * stress-waitcpu: use processor specific wait/pause instructions
  * README.md: add another kernel issue found with stress-ng
  * core-cache: allow x86 cache size checking for non-Linux/Apple systems
  * core-cache: attempt to find cache size using x86 CPUID info
  * stress-x86cpuid: add missing running and deinit proc state
  * stress-umount: set child process in running state
  * stress-rmap: set child process in running state
  * stress-pthread: remove pthread instance id from proc cmdline
  * stress-lease: set child process in running state
  * stress-kill: set child process in running state
  * stress-forkheavy: set child process in running state
  * stress-fifo: set child process in running state
  * stress-dir-deep: set run state earlier
  * stress-context: set run state earlier
  * stress-affinity: set child process in running state
  * stress-vdso: set run state earlier
  * stress-sigio: set child process in running state
  * stress-idle-page: fix swapped args in error message
  * stress-landlock: fix missing space between call & is in message
  * stress-dentry: remove "removing .. dentries" message
  * stress-chdir: inform user of delay in removing directories after 0.5
    seconds
  * core-mwc: fix comment of stress_mwc64modn
  * stress-hdd: add read/write metrics
  * stress-opcode: use non-volatile pointer state for mmap/mprotect/munmap
    calls
  * core-cache, core-asm-x86: modify volatile pointer casting
  * stress-ipsec-mb: use shim_strlcat for a safer strcat
  * stress-umount: stressor to exercise racy umount calls
  * core-asm-x86.h: rework tpause to use rdtsc inlined code and return
    carry flag
  * core-cache.h: remove redundant #if 1 .. #endif
  * stress-opcode: print estimate of total run time when using -v mode
  * core-asm-ppc64.h: Enable msync instruction
  * core-helper: disable __stack_chk_fail for clang - it breaks clang-16
  * stress-flushcache: use more asm inline helpers
  * stress-lock{a|f|ofd}: terminate contention process with SIGALRM
  * core-asm-sparc.h, stress-tsc: check for HAVE_ASM_SPARC_TICK when using
    tick opcode
  * core-cache: use stress_asm_sparc_membar from core-asm-sparc.h
  * core-cache: use stress_asm_riscv_fence from core-asm-riscv.h
  * core-cache: use stress_asm_x86_clflush from core-asm-x86.h
  * core-cache: use stress_asm_x86_clflush from core-asm-x86.h
  * core-asm-x86.h: move x86 cache ops to core-asm-x86.h
  * Makefile: add code fortify flags
  * core-asm-x86: add checks for rdrand and rdseek opcodes being supported
  * core-asm-sparc: remove extraneous tab
  * stress-tree: add some minor optimization tweaks
  * stress-tree: ensure all data is unique to avoid dups
  * stress-tsc: add tick instruction for SPARC implementation of clock
    tick read
  * core-asm-s390.h: header for inlined s390 assembler
  * core-asm-riscv.h: header for inlined RISC-V assembler
  * stress-af-alg: check if HAVE_LIB_IPSEC_MB is defined
  * stress-ipsec-mb: fix build failure for systems without ipsec-mb library
  * stress-zlib: add inc16 zlib data filling method
  * stress_atomic_lock_acquire: provide 5 seconds grace before bailing on Xi
    EAGAIN
  * stress-ipsec-mb: add ipsec-method option to select crypto/integrity
    to use
  * stress-ipsec-mb: re-work feature flag mechanism, add ipsec functions
    in an array
  * README.md: Add some more references and citations
  * stress-memthrash: add memsetstosd memory zero method
  * stress-sleep: reduce default threads per instance to 256, add more
    yield checks
  * stress-sleep: use x86 tpause where available
  * stress-opcode: map/unmap opcodes in parent, fclose stdio descriptors
  * stress-opcode: add siglongjmp handler for some signals, add metrics
  * stress-opcode: cater for different arch opcode sizes
  * stress-opcode: format opcode number as 8 hex digit wide string
  * stress-opcode: implement inc opcode method more efficiently
  * README.md: Add another bug found by stress-ng
  * Add core-asm-ppc64.h for ppc64 asm helper code
  * stress-zlib: remove unused function rand64
  * core-asm-x86.h: add check for x86 arch
  * test/test-asm-x86-mov-dr0.c: replace asm volatile with __asm__
    __volatile__
  * Add stress_asm_x86_lock_add to core-asm-x86.h for memthrash MEM_LOCK
    macro
  * rename stress_x86_cpuid to stress_asm_x86_cpuid and move it to
    core-asm-x86.h
  * stress-zombie: remove empty line
  * core-asm-x86.h: add rdrand and rdseed x86 asm helpers
  * core-asm-x86.h: add rdtsc x86 asm helper
  * Move common x86 assembler into core-asm-x86.h
  * stress-atomic: fix non-indexing of atomic lock space
  * stress-memrate: use registers for rep stos, reduces stack loads
  * stress-memrate: inline and add OPTIMIZE3 rep sto* code
  * Manual: add rep sto x86 writes to the memrate stressor
  * stress-memrate: don't print out metrics to log, use --metrics instead
  * stress-memrate: use fast string write rep stos* instructions
  * stress-atomic: exercise atomic locks on different offsets
  * Makefile.config: don't build with libatomic for musl-gcc
  * stress-list: fix build issue with musl-gcc
  * stress-list: uncomment out HAVE_SYS_QUEUE_CIRCLEQ
  * stress-nop: add serialize opcode for x86 and opcode support for x86
  * stress-nop: reduce tpause from 5000 to 100 for more responsive handling
  * Makefile: fix some missing config dependencies, remove gold ld
  * Makefile: replace include with some eval magic
  * Makefile: use -O2 as default only if -O option not defined in CFLAGS

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 15 Feb 2023 15:50:31 +0000

stress-ng (0.15.03-1) unstable; urgency=medium

  [Anton Eliasson]
  * stress-cpu: Add verification to rand48

  [Colin Ian King]
  * Makefile: bump version
  * Manual: update contributors names
  * stress-cpu: only verify rand48 for Linux glibc
  * stress-pci: disable reading of ROMs
  * core-ignite-cpu: randomly flip between cpu governors
  * Manual: update nop stressor INSTR to note nop15 is the largest nop
    for x86
  * stress-version.h: rename to core-version.h
  * stress-list: add per list method metrics
  * core-helper: minor code reformatting for alphabet string
  * core-helper: add compiler information to yaml file
  * Add number of instances used in geometric mean metrics
  * stress-fp: add alarm check flag in main stress fp loop, remove debug
  * stress-fp: fix metrics, should be adding stats for all instances
  * Add --sn (scientific notation) for metrics
  * core-helper: add more gcc and icc version information

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 19 Jan 2023 10:50:01 +0000

stress-ng (0.15.02-1) unstable; urgency=medium

  [Florian Weimer]
  * test/test-float.c: Avoid tickling an implicit int error
  * test-aligned-alloc: Define _GNU_SOURCE for the aligned_alloc prototype
  * test-fchmodat: Include <sys/stat.h> for the fchmodat prototype
  * test-pidfd-getfd: Include <syspidfd.h> if available for pidfd_getfd

  [Guilherme Janczak]
  * rework stress_strnrnd()

  [Yong-Xuan Wang]
  * stress-signest: disable alternative stack before unmap

  [Colin Ian King]
  * Makefile: bump verison, update to new code name
  * stress-forkheavy: cast mmap return to same type as pointer metrics
  * stress-fp: disable float128 for OpenBSD
  * stress-fp: disable float80 due to unresolved division by zero SIGFPEs
  * core-shared-heap: cast void * ptt to uintptr_t to clean up icc build
    warning
  * stress-matrix-3d: remove redundant redeclaration of variable j
  * stress-matrix: remove redundant redeclaration of variable j
  * stress-efivar: rename varname to get_varname to avoid name shadowing
  * stress-fp: add fp rates into metrics output, increase metrics to 24
    slots
  * stress-fp: only count bogo-ops for float, double, long double
  * core-helper: silence a spurious gcc warning
  * stress-str: replace search for _ with +
  * README.md: update number of stressors
  * stress-fp: exercise various floating point values with +, *, /
    operations
  * stress-branch: add yield call for SH4 to allow it to be interrupted
  * stress-pci: add locking around PCI memory rate stats
  * stress-ipsec-mb: add locking around statistics being dumped in debug
  * core-shared-heap: ensure offset is always aligned to natural pointer
    alignment
  * stress-fault: restore signal handlers at end of stressor loop
  * stress-bad-altstack: replace STRESS_MINSIGSTKSZ with static size_t
    stress_minsigstksz
  * core-shared-heap: only report shared heap usage if it has been used
  * core-mwc: add stress_mwc*modn() functions for modulo'd range
  * core-builtin.h: convert macros into inline functions
  * stress-*: voidify return from snprintf
  * stress-str: fix prototype for test_strcpy_t
  * stress-list: evaluate entry->value ^ rnd before passing it into a macro
  * stress-wcs: add missing strdsc for stress_wcscpy testcase
  * core-shared-heap: add strdup for shared description metrics string
  * stress-ng: replace size of on index element j with 0
  * stress-ng.h: divide by size of make allocator bitmap elements instead
    of 8
  * stress-cpu: use a clang builtin for reversing bits
  * core-hash: replace hash_rol_uint32 with shim_rol32n
  * stress-wcs: remove variable failed, use info.failed instead
  * stress-str: bundle wcs function args into a struct, improves run time
  * stress-wcs: bundle wcs function args into a struct, improves run time
  * core-hash: use builtin rotate macros for rotating values
  * core-builtin: re-work rotate helpers, add generalised rotate
    left/right macros
  * stress-list: use builtin shim_ror64
  * stress-resources: free resources before child exit
  * core-helper: fix stack size for non-first calls (incorrect cached value)
  * stress-pci: print PCI config and resource space read rates
  * core-helper: fix typo on STRESS_MAXIMUM macro
  * core-cache: Add 32 bit variants of 64 bit hashes
  * core-hash: add more comments to explain the nuances of memcpy
  * core-hash: xorror64: cast len to uint64_t before flipping bits
  * core-helper: simplify stack size calculations using STRESS_MAXIMUM macro
  * core-helper: limit iterations on stress_get_prime64
  * stress-priv-instr: remove extraneous ) for SPARC (again)
  * stress-priv-instr: remove extraneous ) for SPARC
  * stress-mlock: fix typo on time function
  * stress-judy: move judy_ops array to function scope
  * core-resources: clean up code, voidify, constify, misc cleanups
  * stress-dirdeep: only report directories being deleted if it is taking
    a while to complete
  * stress-dirdeep: remove commented out cruft.
  * stress-evivar: ignore ioctl FS_IOC_SETFLAGS error return
  * stress-sigio: use metrics interface to report SIGIOs per sec
  * stress-malloc: add missing tab
  * stress-judy: add judy insert/find/delete rate metrics
  * stress-jpeg: add compression ratio metrics
  * stress-getdent: add duration metrics for getdent call
  * stress-dev-shm: use more efficient method to touch pages with data
  * stress-dirdeep: remove empty line
  * stress-icache: fix spelling mistake in comment
  * stress-flock: add lock/unlock flock metrics
  * stress-zlib: use the generic metrics API to report metrics
  * stress-unshare: add unshare() duration metrics
  * stress-touch: remove empty line
  * stress-tlb-shootdown: remove empty line
  * stress-mremap: add metrics
  * stress-mlock: remove extraneous tab
  * stress-mlock: add mlock/munlock metrics
  * stress-*: replace hard coded time constants with #defined constants
  * Add x86intrin.h implementations for rotate left/right
  * stress-*: use shim_rol/shim_ror builtins
  * stress-rotate: add builtin support for clang rotateleft/rotateright
  * stress-rotate: add a 8/16/32/64/128 bit rotate left/right stressor
  * Update copyright to 2023
  * stress-matrix: rename matrix_3d_yx to matrix_3d_zyx
  * stress-matrix: add per method metrics
  * stress-matrix-3d: add per method metrics and bump metrics to 16 items
  * stress-memfd: add memfd_create metrics
  * Revert "core-helper: use 8K stack check if PTHREAD_STACK_MIN is less
    than 8K"
  * stress-memfd: use uint64_t ptr offset helper, re-order code
  * stress-memfd: add a zap pte linux stress test cast
  * stress-tty: exercise ldisc settings on stressor instance 0's ptys
  * stress-sparsematrix: force remove the unused splay function warnings
  * core-pragma.h: define STRESS_PRAGMA_WARN_CPP_OFF for clang
  * stress-resources: break from loop rather than use a leaky exit return
  * stress-forkheavy: free resources to clean up memory leak
  * core-helper: use 8K stack check if PTHREAD_STACK_MIN is less than 8K
  * core-*: silence sys/sysctl.h deprecated warning
  * stress-forkheavy: Add --forkheavy-allocs and --forkheavy-procs options
  * stress-shm-sysv: remove debug of memory sizes
  * stress-lockbus: only report splitlocks enabled on stressor instance 0
  * stress-enosys: index into hash table using unsigned long
  * stress-cacheline: only print out the method being used on instance 0
  * stress-atomic: move metric measurments closer to lock instructions
  * stress-atomic: make atomic ops operate on union'd data for more
    contention
  * Add new forkheavy stressor
  * stress-link: add EINTR check for Serenity OS
  * stress-syscall: add build time detection for select
  * stress-efivar: add support for reading vars from the sysfs file
    /sys/firmware/efi/efivars
  * core-out-of-memory: add wait/exit/run states
  * core-helper: add STRESS_STATE_ZOMBIE state
  * stress-mcontend: set process state to run for all threads
  * stress-*: print method being used only by first stressor instance
  * core-sort: fix missing int type for j
  * stress sort/search: add data helpers, add metrics
  * stress-priv-instr: add SPARC draina and halt instructions
  * stress-hash: add new xorror64 hash, a fast string hash
  * core-cache: add M68K cache sizes
  * Add build time check for SPARC membar instruction
  * stress-ng: fix space identation with tab
  * stress-ng: rename stress_misc_stats_t to stress_metrics and clean up
    code
  * stress-*: Add helper function stress_metrics_set to set metrics
  * stress-shm-sysv: add shm* syscall metrics
  * Add x86 mfence instruction auto build detection
  * stress-syscall: rename struct with stress_ prefix to avoid name clashes
  * core-vmstat: add OS X vmstat runnable/blocked process count
  * stress-mmap: make variable mask non-clobberable
  * stress-fault: make variables duration and count non-clobberable
  * core-cpu: rework cpuid macros to build on gcc 4.8 with and without -fPIC
  * core-nt-store: only use HAVE_XMMINTRIN_H with SSE supported by toolchain
  * README.md: add the Ubuntu stress-ng ppa
  * core-vmstat: Add OS X cpu system/user/idle stats in vmstat output
  * stress-brk: disable page touching for OS X
  * Revert "stress-brk: unmapping pages in brk will cause OS X segfaults,
    disable it"
  * Add more system statistics for OS X
  * core-vmstat: add OS X support for CPU frequency stats
  * core-vmstat: fix stress_get_cpu_ghz for non-FreeBSD and non-Linux builds
  * Add min, max CPU frequencies to --thermalstat stats
  * core-cache: move two more functions and rename cpusort to cpu_sort
  * core-cache: re-order functions and #ifdef for Linux, OS X, etc
  * core-cache: add OS X cache size support
  * stress-brk: unmapping pages in brk will cause OS X segfaults, disable it
  * core-thermal-zone: order thermal zone entries by type
  * README.md: add another citation "The TSN Building Blocks in Linux"
  * stress-branch: don't use -O3 on branch stressor for SH4

 -- Colin Ian King <colin.i.king@gmail.com>  Thu, 12 Jan 2023 17:27:22 +0000

stress-ng (0.15.01-1) unstable; urgency=medium

  [Davidson Francis]
  * core-thermal-zone: fix the average temperature calculation

  [Colin Ian King]
  * Makefile: bump version
  * debian/control: update standards version to 4.6.1
  * stress-tlb-shootdown: fix missing temporary directory removal
  * stress-priv-instr: handle SIGBUS as SIGILL for FreeBSD
  * stress-procfs: rename shadowed variable offset to mem_offset
  * stress-brk: cast uint8_t ptr to void * for munmap
  * stress-syscall: remove redundant initialization of variable max
  * kernel-coverage: add two more stack stressor options
  * stress-stack: add a new --stack-unmap option to unmap pages in stack
  * stress-brk: regularly unmap pages in heap to create many heap mappings
  * stress-pagemove: fix modulo of negative issue causing page check
    failure
  * stress-procfs: clean up off_t and ptr cast warnings
  * stress-priv-instr: add support for aarch64
  * stress-far-branch: set base to 0, remove mask
  * stress-priv-instr: fix swapped size and fd args to mmap
  * stress-priv-instruct: fix typo: HAVE_ASM_S390_PTLV -> HAVE_ASM_S390_PTLB
  * stress-priv-instr: onlt log unhandled instructions info if any ops are
    not trapped
  * stress-priv-instr: add privileged instruction stressor
  * stress-x86cpuid: fix short help message
  * stress-*, core-*: Fix uname success check for Solaris/OpenHipster
  * stress-x86cpuid: stressor does not verify, so set VERIFY_NONE
  * stress-rdrand: reduce number of loops to avoid timeout overrun
  * stress-x86cpuid: remove trailing spaces after comments
  * stress-ng: free names[i] at first opportunity
  * stress-syscall: clean up some valgrind uninitialized memory warnings
  * stress-syscall: set threshold based on total available syscall tests
  * stress-syscall: add restart_syscall system call
  * stress-x86cpuid: add some more CPUID leaf types
  * stress-nop: add some more x86 long nops, add metrics
  * core-thermal-zone: move scope of total and count, add division by zero
    check
  * stress-*: add missing space between + operator
  * Manual: update contributors
  * stress-x86cpuid: replace ns with nanosecs in metrics
  * stress-fault: double major faults using madvise PAGE_OUT where
    possible
  * stress-fault: triple minor page faults using MADV_DONTNEED where
    available
  * stress-tlb-shootdown: double TLB read/writes and misses
  * stress-x86cpuid: more cpuid method for cpu stressor and make new
    stressor
  * stress-touch: add spacing between list of touch opts
  * stress-softlockup: remove redundant fflush call
  * stress-open: add open duration metrics
  * stress-*: use pr_inf_skip for skipped stressor messages
  * stress-nanosleep: add option --nanosleep-threads
  * core-hash: align primes lookup table, slight improvement
  * README.md: add another research paper citation
  * stress-peterson: add note describing cache alignment optimization
  * stress-dekker: add note describing cache alignment optimization
  * stress-*: replace various empty signal handlers with
    stress_sighandler_nop
  * stress-page-swap: only define stress_pageswap_count_paged_out when
    required
  * stress-far-branch: move #endif to end of correct function
  * stress-far-branch: only define stress_far_mmap_try32 if required
  * stress-sysfs: add sys_skip_paths array for paths to skip reading
  * stress-rdrand: remove metrics from debug, they are in the metrics
    output
  * stress-urandom: add random read rate metrics
  * stress-remap: add remap page metrics
  * stress-pageswap: add duration per page swapout metrics
  * stress-mutex: add mutex locking rate metrics
  * stress-mergesort: style: replace ptr+1 with ptr + 1
  * stress-memhotplug: add metrics reporting for successful
    offline/online operations
  * stress-dekker: add cache friendly padding in mutex and counters
  * stress-peterson: add cache friendly padding in mutex and counters
  * stress-peterson: add mutex duration metrics
  * stress-dekker: add mutex duration metrics
  * stress-cpu-online: add offline/online duration metrics
  * stress-munmap: use __builtin_clzl for faster log2(n) calculation
  * stress-idle-page: fix comment description of stressor
  * stress-far-branch: report that architecture may not be supported
  * stress-far-branch: trim stride to minimum size, add ppc6le
    implementation
  * stress-dentry: remove empty tabbed line
  * stress-fifo: add --fifo-data-size option to specify the data
    read/write size
  * stress-dup: add dup call duration metrics
  * stress-dentry: add some dentry create/access/unlink metrics
  * stress-brk: add sbrk page expand/shrink metrics
  * stress-binderfs: add mount/umount duration metrics
  * stress-bind-mount: add mount/umount duration metrics
  * stress-sockpair: add metrics for socketpair call rate and write rates
  * stress-sockpair: add potential sockpair sk leak test
  * stress-vm: add a checkboard method
  * stress-procfs: make helper function stress_proc_scandir static
  * stress-stream: remove redundant casts
  * stress-ng: move declaration of pointer munged
  * stress_vm: replace stress_vm_popcount with stress_vm_count_bits8
  * stress-cpu/vm: use builtin popcount where available
  * stress-ng.h: make ALIGNED macro a no-op for Minix (wrong number of
    segments error)
  * stress-vm: fill memory from a 32 bit Galois linear feedback shift
    register
  * Manual: fix spelling mistake "iterively" -> "iteratively"
  * stress-far-branch: re-work mmap handling for 32 bit and improved random
    mmaps
  * stress-sparsematrix: add a splay tree implementation to the mix
  * stress-procfs: sanity check /proc/self/mem
  * stress-mmap: attempt to name VMA using prctl
  * workflows: unset env for Trivy upload
  * workflows: set env for Trivy
  * workflows: set correct name for env
  * workflows: append env setting into $GITHUB_ENV
  * workflows: add missing ) at end of expression
  * workflows: fix IMAGE_REPOSITORY env setting
  * stress-shm: move /dev/shm check to earlier in the setup phase
  * stress-shm: skip stressor if /dev/shm is not mounted with tmpfs on
    linux
  * stress-sysfs: check for zero sysfs entries after pruning the directory

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 13 Dec 2022 09:26:11 +0100

stress-ng (0.15.00-1) unstable; urgency=medium

  [Meysam Azad]
  * add relevant docs to readme
  * remove playground stuff
  * update deprecated action
  * add workflow dependency
  * remove platform and add trivy image scan
  * take it for a test run
  * tag the image manually
  * feat(ci): build docker image for DockerHub

  [Kenny Gong]
  * correct macro name to avoid build fail on riscv

  [Thinh Tran]
  * core-log: fix pr_spin_lock() spin forever when timeout expired

  [Colin Ian King]
  * stress-vm-addr: add a yield point in address loop
  * stress-far-branch: voidify base and offset
  * stress-crypt: add Solaris ENOENT return check
  * stress-crypt: fix crypt call for systems without crypt_r
  * stress-chroot: cast mmap return to same type as metrics pointer
  * stress-atomic: cast mmap return to same type as metrics pointer
  * stress-access: cast mmap to same type as metrics pointer
  * stress-mmap: only declare pointer buf64 when it is required
  * stress-mmap: add build check for mprotect use in Step #10
  * stress-mmap: add build check for mprotect use in Step #9
  * stress-race-sched: add built time check for sched_setaffinity
  * stress-flushcache: remove voidification of non-existant args
  * stress-sigsegv: rework rdtsc assembler to clear up tcc compiler warning
  * core-mwc: remove target clones as clang does not support multiversioned clones
  * stress-sigsegv: correct the cache flushing, should be on the ptr address
  * stress-memthrash: remove pointer constifications
  * stress-link: fix missing ; after voidification of do_link
  * stress-fsize: use correct hex format specifiers and fix error message
  * stress-fsize: don't fail on fsize overflow checks, report these just once
  * stress-vm-addr: iterate over wider address range, remove ALIGN_VM macro
  * stress-cacheline: replace assignment with load and store assignments
  * stress-rawsock: add built time detection for just struct iphdr
  * stress-sparsematrix: fix some casting that fails on s390x
  * stress-tsc: fix build error on 32 bit x86
  * stress-tsc: add verification that TSC is monotonically increasing
  * core-job: remove redundant assignment to ptr
  * core-job: check buf instead of ptr, cleans up cppcheck false positive
  * stress-ng.h: don't forward declare stressor_info_t as it is a C11 feature
  * stress-syscall: only declare clocks[] where needed
  * core-net: voidify unused args for non-net builds
  * stress-*: rename stress_not_implemented to stress_unimplemented
  * stress-*: add more explanation about stressors being unimplemented
  * stress-syscall: terminate sigsuspend syscall child processes
  * stress-list: fix help information
  * stress-tree: add metrics
  * stress-tree: add more fine-grained checks for RB and SPLAY trees
  * stress-l1cache: remove { } around 1 item statement
  * stress-hash: add two more hash functions
  * stress-syscall: disable mknodat on OS X
  * stress-fcntl: disabled F_GETLEASE on OS X, it fails
  * stress-race-sched: fix build issues with systems without scheduling
  * stress-stream: unroll index 0 level stream operations
  * core-perf: add missing tab before comment
  * core-job: remove empty line
  * core-mwc: use TARGET_CLONES in stress_mwc32
  * Manual: update stream stressor with some additional notes
  * stress-stream: add read and write rates, correct fp op rate
  * Add gcc unroll optimization detection and use it in a few niche places
  * stress-madvise: add NOCLOBBER annotation on bool file_mapped
  * stress-memthrash: add explanation to the store after a prefetch
  * stress-goto: remove label direction for non-random gotos on each bogo loop
  * stress-branch: minor re-ordering of seed + label, speed up by ~11%
  * stress-dev-shm: add OOMable child wrapper to catch OOMing (LP: #1961076)
  * core-perf: add some more kernel related events
  * stress-sigsegv: fix incorrect sizeof on cacheflush call
  * stress-race-sched: force mix of scheduling activity based on random value
  * stress-sigsegv: ensure expected_addr is flushed back before sigsegv
  * workflows: turn uppercase chars in repo to lowercase
  * stress-numa: use %zu for size_t in pr_* statements
  * stress-memthrash: remove debug message on mbind returns
  * stress-memthrash: add numa mbind'ing of pages
  * stress-numa: size numa bitmask based on max number of numa nodes
  * Manual: remove some tabs and white spaces
  * stress-utime: remove tab
  * stress-race-sched: add yield before exiting child
  * stress-race-sched: also try to change scheduler for each process
  * stress-race-sched: add synchronized prev/forward methods
  * stress-race-sched: add option --race-sched-method for CPU selection
  * core-log: remove extraneous getpid call
  * stress-tsc: riscv: fix error message, should be rdtime and not rdcycle
  * stress-ng: add --log-lockless option to disable log message locking
  * core-log: add global shared memory check before dereferencing it
  * stress-efivar: disable for ALPHA
  * stress-shellsort: rename OPT_shellsort_integers to OPT_shellsort_size
  * stress-race-sched: add some renicing for child process
  * stress-sparsematrix: remove unused variable j
  * stress-race-sched: add stressor to exercise races on cpu affinity
  * stress-loadavg.c: force 64 bit multiply to avoid overflow on 32 bit multiply
  * stress-procfs: avoid misaligned pci reads on sh4, it causes SIGBUS
  * stress-vdso: return -1 for bad time() return rather than cast to int
  * stress-syscall: return -1 for bad time() return rather than cast to int
  * stress-sysbadaddr: return -1 for bad time() return rather than cast to int
  * stress-fsize: add in fallocate offsets to help debugging on failures
  * stress-clock/syscall: Forgot to check-in struct shim_timex changes
  * clean up build issues on OS/X
  * stress-sparsematrix: only declare hash judy struct if judy is supported
  * stress-vecwide: add stressor name and a key to debug performance data
  * stress-plugin: only report plugging loading failures on instance 0
  * stress-ng: ensure geometric mean of misc stats uses non-zero valid data
  * stress-hrtimes: make failed interrupt sleep warning a debug message
  * Revert "stress-readahead: move modulo max size out of loop"
  * test/test-builtin-nontemporal-load: voidify returns
  * stress-tsc: reduce scope of variables duration and count
  * stress-tee: reduce scope of variable ret
  * stress-llc-affinity: make pointer buf_end const
  * stress-full: remove duplicated shadowed variable offset
  * stress-fault: move average_duration to deeper scope
  * stress-cache: move struct mask to deeper scope
  * core-net: reduce scope of variable j
  * core-shim: add shim'd clock_adjtime, add build time checks for struct timex
  * stress-syscall: fix missing ), after syscall_clock_adjtime
  * stress-rtc: make select timout smaller, adds more stress, less delays
  * stress-sparsematrix: fix mmap memory calculations on 32 bit systems
  * stress-*: report times in secs,nanosecs and clean up metric rates
  * stress-stack: add { } around if block
  * stress-sparsematrix: add mmap size limit
  * stress-sparsematrix: make data items 32 bit, double default items to store
  * stress-sparsematrix: disable hashjudy for 32 bit systems
  * stress-sparsematrix: replace Gets/Puts with gets/puts
  * stress-*: report times in secs,nanosecs and clean up metric rates
  * stress-syscall: report % of syscalls exercised
  * stress-prefect: replace GB/s with GB per sec
  * stress-l1cache: report cache line size in bytes
  * stress-dirmany: rephrase directory create/remove time
  * stress-*: replace seconds with secs, / with per
  * core-thrash: use stress_set_proc_state_str to set proc name
  * stress-gpu: format GPU source, add open failure errno
  * stress-utime: add utime call rate metrics
  * stress-usersyscall: add user system call metrics
  * stress-userfaultfd: add per pagefault metrics
  * stress-uprobe: add trace read rate metrics
  * stress-tee: add tee copy rate metrics
  * stress-stack: add --stack-pageout option
  * stress-sparsematrix: remove max, it was introduced during a debug
  * stress-sparsematrix: add a hybrid hash judy implementation
  * README.md: add another kernel issue found by stress-ng
  * stress-softmath: remove this partially implemented stressor
  * core-thrash: print thrashing state
  * stress-ng: remove "stress-ng" from stressor name messages
  * stress-gpu: add stressor name in pr_inf messages
  * stress-ng: calculate metrics using geometric mean rather than average
  * stress-sigabrt: add sigabrt signal handler latency metrics
  * stress-ramfs: add --ramfs-fill option to enable ramfs filling
  * strress-munmap: add page size munmap call duration metrics
  * Manual: remove the parameter from eventfd-nonblock option
  * stress-loadavg: add a --loadavg-max option to specify upper load average
  * stress-ioport: add metrics and write same value to port
  * stress-full: exercise random offset pread and fstat on /dev/full
  * stress-fp-error: remove empty lines
  * stress-*: sort and clean-up help options help
  * stress-sock: rename socket_* to sock_* to match stressor name
  * stress-sockmany: add --sockmany-port option to specify port to use
  * stress-sockabuse: add --sockabuse-port option to specify port to use
  * stress-rawsock: add --rawsock-port option to specify port to use
  * core-net: add helpers to reserve and release ports
  * stress-alarm: remove 3 from comment
  * core-cache: return zero for llc cache size for non-linux builds
  * icache: add missing #endif and fix another long section name
  * icache: make section names smaller and fix build issue for MACH OS X builds
  * stress-seek: use inc label only when FALLOC_FL_PUNCH_HOLE is defined
  * stress-chroot: voidify metrics arg for non-Linux builds
  * stress-bind-mount: move mkdir on path to stressor rather than child
  * stress-ng: fix incorrect premature run time duration information
  * stress-binderfs: add more clarity to skip test messages
  * stress-procfs: check if no proc entries exist after pruning
  * core-out-of-memory: fix array out-of-bounds read on index loop
  * stress-link: add { } around block.
  * stress-link: close temp_dir_fd if it is open, fixes fd leak (#2)
  * stress-exit-group: move pthread_count into locked context
  * stress-crypt: use safer strlcpy for string copying
  * stress-link: close temp_dir_fd if it is open, fixes fd leak
  * stress-link: compare temp_dir_fd with >= 0 rather than > 0
  * stress-syscall: add clock_gettime error return check
  * stress-*: use VOID_RET to replace ret = func(); (void)ret;
  * stress-fsize: Add new file size stressor to exercise file limits
  * README.md: Add another academic paper citation
  * stress-vm-splice: remove tab
  * stress-mmap: add simple read-write protection checks on a page
  * stress-readahead: move modulo max size out of loop
  * stress-quota: remove commented out unused macros
  * stress-membarrier: add membarrier call rate metrics
  * stress-context: add swapcontext rate metrics
  * stress-access: put misc stats into slot 0 and not slot 1
  * stress-access: add metrics for access call rate
  * README.md: add more stressor information and more OS tests
  * stress-vm-splice: add vm-splice metrics
  * core-vmstat: constify variable name
  * core-try-open: constify sleep_ns
  * core-time: constify variable now
  * core-smart: add constification to array
  * core-shim: add some constifications
  * core-perf: add more constifications
  * core-log: add constification
  * core-ignite-cpu: add constifications
  * core-helper: add some constifications
  * core-cache: minor code cleanup
  * stress-ng: revert killing all stressors on SIGALRM, it breaks --seq option
  * stress-ng: enable SIGALRM on parent to enforce all child terminations
  * stress-flushcache: add ppc dcbst and icbi flush instructions
  * core-icache: factor out icache return funcs into core-icache
  * stress-flushcache: cater for different cache sizes for icache
  * stress-flushcache: remove clear cache call on D$
  * stress-flushcache: add yield points for slower platforms
  * stress-lockbus: only declare lockbus_nosplit for x86
  * stress-ng: move fanotify info to correct place
  * Add new flushcache stressor to hammer icache and dcache flushes
  * stress-lockbus: add --lockbus-nosplit to disable split locks
  * Manual: minor text change for TLB
  * core-thermal-zone.h: rename 2nd arg in stress_tz_dump()
  * stress-ng.h: shim_nanosleep_uint64 arg should be named nsec
  * core-perf: use && instead of & in expression
  * stress-clone: add time warping check for -ve durations
  * stress-tsc: add average TSC read duration metrics
  * stress-splice: add metrics of splice data transfer rate
  * stress-sendfile: add metrics of sendfile data transfer rate to /dev/null
  * stress-seek: fix bogo-op increment and add avergae seek duration metrics
  * stress-rawudp: add recv data rate metrics
  * stress-rawsock: add recfrom data rate metrics
  * syscalls: update syscall implementation details
  * core-time: try to get time in nanosecond resolution, fallback to millionths if fails
  * stress-nanosleep: add average sleep overrun metrics
  * stress-fault: add page fault duration metrics
  * stress-copy-file: add copy file rate copying rate
  * stress-close: add close call rate metrics
  * stress-bigheap: add reallocs per second metrics
  * stress-fiemap: report that the the ioctl was not supported
  * stress-hdd: add this to the filesystem class of stressors
  * core-helper: add a few more file system magics
  * stress-fanotify: ensure filename2 is unlinked
  * core-helper: add ubifs magic to file system table
  * stress-sync-file: don't treat EINTR on fallocate as a failure
  * README.md: add another academic paper citation
  * stress-vecfp: add negation as vector math operation
  * stress-ring-pipe: improve resource free'ing on err exit paths
  * stress-*: print skipped info messages using pr_inf_skip
  * stress-ng: Add OPT_FLAGS_TZ_INFO to indicate we need thermal zone data
  * core-helper: use builtin bswap32 to swap uint32 bytes
  * stress-ring-pipe: add stressor to copy data around a ring of pipes
  * stress-open: pass pid to test functions rather than call getpid()
  * stress-pthread: add pthread create -> exec time metric
  * stress-kill: add kill() call rate metrics
  * stress-chroot: add chroot call rate metrics
  * stress-chdir: add chdir rate metrics
  * Makefile.config: fix typo on __ppc_get_timebase, was missing 'e' at end
  * stress-open: add a few more open test helpers
  * core-sort: undef macros once usedin core-sort.h, include header in core-sort.c
  * stress-rawpkt: add raw recv data rate in MB metrics
  * stress-rawdev: add pread rate metrics for all methods
  * stress-randlist: use single bit for randlist allocator type flag
  * stress-jpeg: add megapixel compression rate metrics
  * stress-icmp-flood: add packet and data rate metrics
  * stress-clone: add clone time duration metrics
  * stress-ng: sort options
  * stress-wcstr: rename to stress-wcs to match stress name
  * stress-remap-file-pages: rename to stress-remap to match stress name
  * stress-iosync: rename to stress-io to match stress name
  * stress-aio-linux: rename to stress-aiol to match stress name
  * core-try-open: add more comments
  * core-perf: add more comments
  * core-net: update function comments
  * core-ignite-cpu.c: add missing comments
  * core-helper: add missing function comments
  * kernel-coverage: fix mkfs.ntfs sector size -s option
  * stress-pagemove: add page remap rate metrics
  * stress-goto: add millions of gotos per second metrics
  * stress-crypt: add SHA-1 and SunMD5 crypt to stressor
  * stress-crypt: add per-crypt metrics
  * stress-ng: add more digits to misc metrics values
  * stress-mmap: report mmap2 not being used just by instance 0
  * stress-atomic: add uint8..uint64 atomic op rate metrics
  * stress-pipe: rename variable bytes to avoid name shadowing
  * stress-zero: add /dev/zero read rate metrics
  * stress-udp-flood: add sendto metrics
  * stress-pipe: add write rate metrics and set minimum pipe write to 4K
  * stress-ping-sock: add ping sendto rate metrics
  * stress-dev: remove debug LOCK message
  * stress-null: add /dev/null write rate metrics
  * stress-getrandom: print out getrandom() bit rate
  * stress-bigheap: fix short help, should mention realloc and not calloc
  * core-helper: remove duplicated assignment of fs_type
  * kernel-coverage: add forceful killing of stressors and umount
  * stress-syscall: fix array overrun on --syscall-methods
  * core-helper: print temporary file path and file system type in pr_runinfo
  * stress-dir: start concurrent dir stressor later and check for open failure
  * Manual: remove note about not supporting GPU tests, since it now does
  * kernel-coverage: remove ftrace from main I/O tests as it slows throughput
  * stress-copy-file: add more yield points
  * stress-link: add --link-sync and --symlink-sync options
  * stress-fiemap: use O_SYNC where possible, else fall back to fdatasync
  * Add FUNDING yaml file
  * stress-far-branch: add sparc support
  * stress-far-branch: add signal handlers for SIGILL, SIGBUS, SIGSEGV
  * stress-far-branch: remove duplicated little endian macro
  * stress-far-branch: new stressor to exercise far function calls
  * core-sort: add in missing pointer constifications
  * stress-llc-affinity: Add a Lower level cache CPU/affinity stressor
  * stress_*search: Use core sorting comparison functions
  * Factor out sorting comparison functions, add new core-sort helpers
  * stress-lsearch: use #define'd shift for size
  * stress-tsearch: Fix duplicated random values causing search failures
  * stress-syscall: fix incorrect sort comparison
  * test-icc-mm_stream_si128: clean up clang warning

 -- Colin Ian King <colin.i.king@gmail.com>  Fri, 19 Nov 2022 08:31:22 +0100

stress-ng (0.14.06-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-sigsegv: only used expected_addr if SA_SIGINFO is defined
  * stress-*: rename CACHE_LINE* macros to STRESS_CACHE_LINE*
  * README.md: update number of stressors and arches supported
  * stress-vm-addr: remove redundant initialization of pointer buf
  * stress-pagemove: remove redundant assignment to variable page_num
  * stress-sync-file: remove redundant redeclaration of offset
  * stress-sigsegv: remove redundant (void *) cast
  * stress-sigfpe: force division by zero for x86, disable alarm for m68K
  * stress-ng: remove duplicated application name in error message
  * stress-sigsegv: compare sigsegv address with expected address
  * stress-fp-error: fix missing continuation
  * stress-fp-error: disable stressor for arc64
  * stress-sigfpe: disable this stressor for arc64 as feraiseexcept is
    not implemented
  * core-arch: add ARC64 arch support macro STRESS_ARCH_ARC64
  * stress-regs: fix compilation error with gcc-8 on armel and ppc
  * Makefile.config: sort libraries
  * Add libmd dependency for static builds
  * stress-plug: disable for static builds as it requires dlopen
  * stress-vm-addr: remove align attribute from register pointers
  * stress-pagemove: add a stressor to exercise page moving using remap
    fixed move ops
  * stress-memthrash: add a new swapfwdrev 64 bit mempory swapping method
  * stress-vm-addr: add address bit flip vm-addr method
  * stress-vm-addr: add a bitposn bit flipping powers of 2 address space
    striding method
  * stress-sigsegv: perform illegal vdso calls that can cause SEGVs
  * stress-sigsegv: generate SIGSEGV on illegal port read access
  * stress-sigsegv: generate SIGSEGV via TSC when TSC access is disabled
  * stress-vm: remove tabs in empty line
  * stress-tlb-shootdown: optimize for higher TLB read/write misses
  * stress-memthrash: add a translation lookaside buffer thrashing method
  * stress-vm: determine cache line size from cache info or default to 64
    bytes
  * stress-vm-addr: add a bunch of optimizations to improve throughput
  * stress-zlib: minor register optimizations
  * stress-x86syscall: add register hint to loop counters
  * stress-wcstr: constify wide string function pointers
  * stress-wait: add missing line
  * stress-vm-segv: add missing space before {
  * stress-vm: add some constifications and add some parentheses
  * stress-verity: factor out variable rnd
  * stress-vecmath: add missing empty line
  * stress-vecfp: clean up some line white spacing
  * stress-vdso: make pointer sym const, add extra parenthesis on time
    expression
  * stress-tsearch: make pointers const
  * stress-tree: make variable median const
  * stress-timerfd: make variable r const
  * stress-itimer: make variables r and ret const
  * stress-sysfs: constify some variables
  * stress-sync-file: make variable offset const
  * stress-stream: constify some variables
  * stress-str: constify function pointers
  * stress-splice: Make variabls pipe_size and n const
  * stress-sparsematrix: constify some misc. variables
  * stress-skiplist: make variable v const
  * stress-shellsort: make variable temp const
  * stress-secretmem: make variable offset const
  * stress-rmap: make variable offset const
  * stress-rawdev: make variable offset const
  * stress-randlist: fix comment the describes the stressor
  * stress-procfs: make variable sz const
  * stress-pipeherd: make variable dt const
  * stress-personality: make variable p const
  * stress-opcode: constify a couple of variables
  * stress-msyncmany: make variable pattern const
  * stress-mlock: constify variable rnd
  * stress-loadavg: make variable t_end const
  * stress-ipsec-mb: constify some variables and minor code cleanup
  * stress-inotify: add parentheses to clarify logic
  * stress-hrtimes: make ns_adjust const
  * stress-file-ioctl: constify variables rnd and offset
  * stress-epoll: constify variable port
  * stress-enosys: reduce scope of pointer h
  * stress-dir: constify gray_code variable
  * stress-dentry: constify some variables
  * stress-cyclic: make some variables const
  * stress-cpu-online: make cpu const
  * stress-chroot: make dev static
  * stress-chdir: add some constifications
  * stress-cpu: constify some constant values
  * core-helper: implement stress_fs_type for OpenBSD
  * core-helper: implement stress_fs_type for FreeBSD
  * core-helper: fix cut-n-paste error in comment
  * core-helper: implement stress_get_meminfo for NetBSD
  * core-helper: remove debug info
  * core-helper: partially implement stress_get_meminfo for FreeBSD
  * core-smart: remove unnecessary empty smart helper functions for
    non-SMART builds
  * core-helper: move netbsd/freebsd sysctl helpers from core-vmstat.c
  * stress-bad-altstack: for munmap symbol to be fixed up before it is
    required
  * core-helper: add static helper stress_get_meminfo to get memory info
  * core-helper: extend stress_get_memlimits to return totalswap
    information
  * README.md: add another citation
  * Makefile: add -fma and -qoverride-limits icc optimization flags
  * Makefile: icc: enable various cpu specific optimizations
  * core-nt-store: restore HAVE_NT_STORE_DOUBLE
  * core-nt-store: add ICC compiler support for non-temporal stores
  * stress-hash: fix comment, add missing "
  * stress-sock: only close sfd if it was open
  * stress-sock: remove debug, checked in the wrong version with debug
  * stress-sock: simplify the ctrls fetching and free'ing
  * stress-bad-altstack: ensure ret is initialized
  * stress-chdir: clean up pedantic static analysis warning on chdir of
    null string
  * Manual. Update --pathological option documentation, add stressor
    names
  * stress-wcstr: voidify len2 and strdstlen unused function arguments

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 27 Sep 2022 17:22:23 +0100

stress-ng (0.14.05-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: remove gold linker from build depends (Closes: #1019727)

 -- Colin Ian King <colin.i.king@gmail.com>  Wed, 14 Sep 2022 11:59:59 +0100

stress-ng (0.14.04-1) unstable; urgency=medium

  [Alexandru Ardelean]
  * stress-sysinval: fix fstat/fstat64 compat check

  [Bryan W. Lewis]
  * stress-ng.h: harmonize header definition of stress_misc_stats_set

  [Camille Constans]
  * Fix buffer overflow if tty return width is zero

  [Fabrice Fontaine]
  * Makefile: fix build with kernel < 5.6

  [Francis Laniel]
